/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.37.0-dev.20230310(4a80f8e85250b80d44d2249076ba5afba6721db5)
 * Released under the MIT license
 * https://github.com/microsoft/vscode/blob/main/LICENSE.txt
 *-----------------------------------------------------------*/(function(){var X=["require","exports","vs/editor/common/core/range","vs/editor/common/core/position","vs/base/common/strings","vs/editor/common/diff/algorithms/diffAlgorithm","vs/base/common/platform","vs/base/common/event","vs/base/common/errors","vs/base/common/assert","vs/base/common/lifecycle","vs/base/common/objects","vs/base/common/uri","vs/base/common/functional","vs/base/common/iterator","vs/base/common/linkedList","vs/base/common/diff/diff","vs/base/common/types","vs/base/common/uint","vs/editor/common/core/characterClassifier","vs/editor/common/core/lineRange","vs/editor/common/core/wordHelper","vs/editor/common/diff/linesDiffComputer","vs/base/common/stopwatch","vs/nls","vs/base/common/arrays","vs/base/common/cache","vs/base/common/diff/diffChange","vs/base/common/keyCodes","vs/base/common/lazy","vs/base/common/hash","vs/base/common/codicons","vs/editor/common/core/selection","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/diff/algorithms/joinSequenceDiffs","vs/editor/common/diff/algorithms/myersDiffAlgorithm","vs/editor/common/diff/algorithms/utils","vs/editor/common/diff/algorithms/dynamicProgrammingDiffing","vs/editor/common/diff/smartLinesDiffComputer","vs/editor/common/diff/standardLinesDiffComputer","vs/editor/common/diff/linesDiffComputers","vs/editor/common/languages/linkComputer","vs/editor/common/languages/supports/inplaceReplaceSupport","vs/editor/common/model","vs/editor/common/model/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/services/unicodeTextModelHighlighter","vs/editor/common/standalone/standaloneEnums","vs/nls!vs/base/common/platform","vs/base/common/process","vs/base/common/path","vs/base/common/cancellation","vs/editor/common/tokenizationRegistry","vs/editor/common/languages","vs/editor/common/services/editorBaseApi","vs/nls!vs/base/common/worker/simpleWorker","vs/base/common/worker/simpleWorker","vs/editor/common/services/editorSimpleWorker"],Q=function(O){for(var n=[],E=0,D=O.length;E<D;E++)n[E]=X[O[E]];return n};const Ee=this,Re=typeof global=="object"?global:{};var se;(function(O){O.global=Ee;class n{get isWindows(){return this._detect(),this._isWindows}get isNode(){return this._detect(),this._isNode}get isElectronRenderer(){return this._detect(),this._isElectronRenderer}get isWebWorker(){return this._detect(),this._isWebWorker}get isElectronNodeIntegrationWebWorker(){return this._detect(),this._isElectronNodeIntegrationWebWorker}constructor(){this._detected=!1,this._isWindows=!1,this._isNode=!1,this._isElectronRenderer=!1,this._isWebWorker=!1,this._isElectronNodeIntegrationWebWorker=!1}_detect(){this._detected||(this._detected=!0,this._isWindows=n._isWindows(),this._isNode=typeof module<"u"&&!!module.exports,this._isElectronRenderer=typeof process<"u"&&typeof process.versions<"u"&&typeof process.versions.electron<"u"&&process.type==="renderer",this._isWebWorker=typeof O.global.importScripts=="function",this._isElectronNodeIntegrationWebWorker=this._isWebWorker&&typeof process<"u"&&typeof process.versions<"u"&&typeof process.versions.electron<"u"&&process.type==="worker")}static _isWindows(){return typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.indexOf("Windows")>=0?!0:typeof process<"u"?process.platform==="win32":!1}}O.Environment=n})(se||(se={}));var se;(function(O){class n{constructor(o,y,S){this.type=o,this.detail=y,this.timestamp=S}}O.LoaderEvent=n;class E{constructor(o){this._events=[new n(1,"",o)]}record(o,y){this._events.push(new n(o,y,O.Utilities.getHighPerformanceTimestamp()))}getEvents(){return this._events}}O.LoaderEventRecorder=E;class D{record(o,y){}getEvents(){return[]}}D.INSTANCE=new D,O.NullLoaderEventRecorder=D})(se||(se={}));var se;(function(O){class n{static fileUriToFilePath(D,i){if(i=decodeURI(i).replace(/%23/g,"#"),D){if(/^file:\/\/\//.test(i))return i.substr(8);if(/^file:\/\//.test(i))return i.substr(5)}else if(/^file:\/\//.test(i))return i.substr(7);return i}static startsWith(D,i){return D.length>=i.length&&D.substr(0,i.length)===i}static endsWith(D,i){return D.length>=i.length&&D.substr(D.length-i.length)===i}static containsQueryString(D){return/^[^\#]*\?/gi.test(D)}static isAbsolutePath(D){return/^((http:\/\/)|(https:\/\/)|(file:\/\/)|(\/))/.test(D)}static forEachProperty(D,i){if(D){let o;for(o in D)D.hasOwnProperty(o)&&i(o,D[o])}}static isEmpty(D){let i=!0;return n.forEachProperty(D,()=>{i=!1}),i}static recursiveClone(D){if(!D||typeof D!="object"||D instanceof RegExp||!Array.isArray(D)&&Object.getPrototypeOf(D)!==Object.prototype)return D;let i=Array.isArray(D)?[]:{};return n.forEachProperty(D,(o,y)=>{y&&typeof y=="object"?i[o]=n.recursiveClone(y):i[o]=y}),i}static generateAnonymousModule(){return"===anonymous"+n.NEXT_ANONYMOUS_ID+++"==="}static isAnonymousModule(D){return n.startsWith(D,"===anonymous")}static getHighPerformanceTimestamp(){return this.PERFORMANCE_NOW_PROBED||(this.PERFORMANCE_NOW_PROBED=!0,this.HAS_PERFORMANCE_NOW=O.global.performance&&typeof O.global.performance.now=="function"),this.HAS_PERFORMANCE_NOW?O.global.performance.now():Date.now()}}n.NEXT_ANONYMOUS_ID=1,n.PERFORMANCE_NOW_PROBED=!1,n.HAS_PERFORMANCE_NOW=!1,O.Utilities=n})(se||(se={}));var se;(function(O){function n(i){if(i instanceof Error)return i;const o=new Error(i.message||String(i)||"Unknown Error");return i.stack&&(o.stack=i.stack),o}O.ensureError=n;class E{static validateConfigurationOptions(o){function y(S){if(S.phase==="loading"){console.error('Loading "'+S.moduleId+'" failed'),console.error(S),console.error("Here are the modules that depend on it:"),console.error(S.neededBy);return}if(S.phase==="factory"){console.error('The factory function of "'+S.moduleId+'" has thrown an exception'),console.error(S),console.error("Here are the modules that depend on it:"),console.error(S.neededBy);return}}if(o=o||{},typeof o.baseUrl!="string"&&(o.baseUrl=""),typeof o.isBuild!="boolean"&&(o.isBuild=!1),typeof o.paths!="object"&&(o.paths={}),typeof o.config!="object"&&(o.config={}),typeof o.catchError>"u"&&(o.catchError=!1),typeof o.recordStats>"u"&&(o.recordStats=!1),typeof o.urlArgs!="string"&&(o.urlArgs=""),typeof o.onError!="function"&&(o.onError=y),Array.isArray(o.ignoreDuplicateModules)||(o.ignoreDuplicateModules=[]),o.baseUrl.length>0&&(O.Utilities.endsWith(o.baseUrl,"/")||(o.baseUrl+="/")),typeof o.cspNonce!="string"&&(o.cspNonce=""),typeof o.preferScriptTags>"u"&&(o.preferScriptTags=!1),o.nodeCachedData&&typeof o.nodeCachedData=="object"&&(typeof o.nodeCachedData.seed!="string"&&(o.nodeCachedData.seed="seed"),(typeof o.nodeCachedData.writeDelay!="number"||o.nodeCachedData.writeDelay<0)&&(o.nodeCachedData.writeDelay=1e3*7),!o.nodeCachedData.path||typeof o.nodeCachedData.path!="string")){const S=n(new Error("INVALID cached data configuration, 'path' MUST be set"));S.phase="configuration",o.onError(S),o.nodeCachedData=void 0}return o}static mergeConfigurationOptions(o=null,y=null){let S=O.Utilities.recursiveClone(y||{});return O.Utilities.forEachProperty(o,(c,d)=>{c==="ignoreDuplicateModules"&&typeof S.ignoreDuplicateModules<"u"?S.ignoreDuplicateModules=S.ignoreDuplicateModules.concat(d):c==="paths"&&typeof S.paths<"u"?O.Utilities.forEachProperty(d,(p,e)=>S.paths[p]=e):c==="config"&&typeof S.config<"u"?O.Utilities.forEachProperty(d,(p,e)=>S.config[p]=e):S[c]=O.Utilities.recursiveClone(d)}),E.validateConfigurationOptions(S)}}O.ConfigurationOptionsUtil=E;class D{constructor(o,y){if(this._env=o,this.options=E.mergeConfigurationOptions(y),this._createIgnoreDuplicateModulesMap(),this._createSortedPathsRules(),this.options.baseUrl===""&&this.options.nodeRequire&&this.options.nodeRequire.main&&this.options.nodeRequire.main.filename&&this._env.isNode){let S=this.options.nodeRequire.main.filename,c=Math.max(S.lastIndexOf("/"),S.lastIndexOf("\\"));this.options.baseUrl=S.substring(0,c+1)}}_createIgnoreDuplicateModulesMap(){this.ignoreDuplicateModulesMap={};for(let o=0;o<this.options.ignoreDuplicateModules.length;o++)this.ignoreDuplicateModulesMap[this.options.ignoreDuplicateModules[o]]=!0}_createSortedPathsRules(){this.sortedPathsRules=[],O.Utilities.forEachProperty(this.options.paths,(o,y)=>{Array.isArray(y)?this.sortedPathsRules.push({from:o,to:y}):this.sortedPathsRules.push({from:o,to:[y]})}),this.sortedPathsRules.sort((o,y)=>y.from.length-o.from.length)}cloneAndMerge(o){return new D(this._env,E.mergeConfigurationOptions(o,this.options))}getOptionsLiteral(){return this.options}_applyPaths(o){let y;for(let S=0,c=this.sortedPathsRules.length;S<c;S++)if(y=this.sortedPathsRules[S],O.Utilities.startsWith(o,y.from)){let d=[];for(let p=0,e=y.to.length;p<e;p++)d.push(y.to[p]+o.substr(y.from.length));return d}return[o]}_addUrlArgsToUrl(o){return O.Utilities.containsQueryString(o)?o+"&"+this.options.urlArgs:o+"?"+this.options.urlArgs}_addUrlArgsIfNecessaryToUrl(o){return this.options.urlArgs?this._addUrlArgsToUrl(o):o}_addUrlArgsIfNecessaryToUrls(o){if(this.options.urlArgs)for(let y=0,S=o.length;y<S;y++)o[y]=this._addUrlArgsToUrl(o[y]);return o}moduleIdToPaths(o){if(this._env.isNode&&this.options.amdModulesPattern instanceof RegExp&&!this.options.amdModulesPattern.test(o))return this.isBuild()?["empty:"]:["node|"+o];let y=o,S;if(!O.Utilities.endsWith(y,".js")&&!O.Utilities.isAbsolutePath(y)){S=this._applyPaths(y);for(let c=0,d=S.length;c<d;c++)this.isBuild()&&S[c]==="empty:"||(O.Utilities.isAbsolutePath(S[c])||(S[c]=this.options.baseUrl+S[c]),!O.Utilities.endsWith(S[c],".js")&&!O.Utilities.containsQueryString(S[c])&&(S[c]=S[c]+".js"))}else!O.Utilities.endsWith(y,".js")&&!O.Utilities.containsQueryString(y)&&(y=y+".js"),S=[y];return this._addUrlArgsIfNecessaryToUrls(S)}requireToUrl(o){let y=o;return O.Utilities.isAbsolutePath(y)||(y=this._applyPaths(y)[0],O.Utilities.isAbsolutePath(y)||(y=this.options.baseUrl+y)),this._addUrlArgsIfNecessaryToUrl(y)}isBuild(){return this.options.isBuild}shouldInvokeFactory(o){return!!(!this.options.isBuild||O.Utilities.isAnonymousModule(o)||this.options.buildForceInvokeFactory&&this.options.buildForceInvokeFactory[o])}isDuplicateMessageIgnoredFor(o){return this.ignoreDuplicateModulesMap.hasOwnProperty(o)}getConfigForModule(o){if(this.options.config)return this.options.config[o]}shouldCatchError(){return this.options.catchError}shouldRecordStats(){return this.options.recordStats}onError(o){this.options.onError(o)}}O.Configuration=D})(se||(se={}));var se;(function(O){class n{constructor(d){this._env=d,this._scriptLoader=null,this._callbackMap={}}load(d,p,e,C){if(!this._scriptLoader)if(this._env.isWebWorker)this._scriptLoader=new i;else if(this._env.isElectronRenderer){const{preferScriptTags:v}=d.getConfig().getOptionsLiteral();v?this._scriptLoader=new E:this._scriptLoader=new o(this._env)}else this._env.isNode?this._scriptLoader=new o(this._env):this._scriptLoader=new E;let f={callback:e,errorback:C};if(this._callbackMap.hasOwnProperty(p)){this._callbackMap[p].push(f);return}this._callbackMap[p]=[f],this._scriptLoader.load(d,p,()=>this.triggerCallback(p),v=>this.triggerErrorback(p,v))}triggerCallback(d){let p=this._callbackMap[d];delete this._callbackMap[d];for(let e=0;e<p.length;e++)p[e].callback()}triggerErrorback(d,p){let e=this._callbackMap[d];delete this._callbackMap[d];for(let C=0;C<e.length;C++)e[C].errorback(p)}}class E{attachListeners(d,p,e){let C=()=>{d.removeEventListener("load",f),d.removeEventListener("error",v)},f=m=>{C(),p()},v=m=>{C(),e(m)};d.addEventListener("load",f),d.addEventListener("error",v)}load(d,p,e,C){if(/^node\|/.test(p)){let f=d.getConfig().getOptionsLiteral(),v=y(d.getRecorder(),f.nodeRequire||O.global.nodeRequire),m=p.split("|"),w=null;try{w=v(m[1])}catch(_){C(_);return}d.enqueueDefineAnonymousModule([],()=>w),e()}else{let f=document.createElement("script");f.setAttribute("async","async"),f.setAttribute("type","text/javascript"),this.attachListeners(f,e,C);const{trustedTypesPolicy:v}=d.getConfig().getOptionsLiteral();v&&(p=v.createScriptURL(p)),f.setAttribute("src",p);const{cspNonce:m}=d.getConfig().getOptionsLiteral();m&&f.setAttribute("nonce",m),document.getElementsByTagName("head")[0].appendChild(f)}}}function D(c){const{trustedTypesPolicy:d}=c.getConfig().getOptionsLiteral();try{return(d?self.eval(d.createScript("","true")):new Function("true")).call(self),!0}catch{return!1}}class i{constructor(){this._cachedCanUseEval=null}_canUseEval(d){return this._cachedCanUseEval===null&&(this._cachedCanUseEval=D(d)),this._cachedCanUseEval}load(d,p,e,C){if(/^node\|/.test(p)){const f=d.getConfig().getOptionsLiteral(),v=y(d.getRecorder(),f.nodeRequire||O.global.nodeRequire),m=p.split("|");let w=null;try{w=v(m[1])}catch(_){C(_);return}d.enqueueDefineAnonymousModule([],function(){return w}),e()}else{const{trustedTypesPolicy:f}=d.getConfig().getOptionsLiteral();if(!(/^((http:)|(https:)|(file:))/.test(p)&&p.substring(0,self.origin.length)!==self.origin)&&this._canUseEval(d)){fetch(p).then(m=>{if(m.status!==200)throw new Error(m.statusText);return m.text()}).then(m=>{m=`${m}
//# sourceURL=${p}`,(f?self.eval(f.createScript("",m)):new Function(m)).call(self),e()}).then(void 0,C);return}try{f&&(p=f.createScriptURL(p)),importScripts(p),e()}catch(m){C(m)}}}}class o{constructor(d){this._env=d,this._didInitialize=!1,this._didPatchNodeRequire=!1}_init(d){this._didInitialize||(this._didInitialize=!0,this._fs=d("fs"),this._vm=d("vm"),this._path=d("path"),this._crypto=d("crypto"))}_initNodeRequire(d,p){const{nodeCachedData:e}=p.getConfig().getOptionsLiteral();if(!e||this._didPatchNodeRequire)return;this._didPatchNodeRequire=!0;const C=this,f=d("module");function v(m){const w=m.constructor;let _=function(h){try{return m.require(h)}finally{}};return _.resolve=function(h,N){return w._resolveFilename(h,m,!1,N)},_.resolve.paths=function(h){return w._resolveLookupPaths(h,m)},_.main=process.mainModule,_.extensions=w._extensions,_.cache=w._cache,_}f.prototype._compile=function(m,w){const _=f.wrap(m.replace(/^#!.*/,"")),g=p.getRecorder(),h=C._getCachedDataPath(e,w),N={filename:w};let b;try{const R=C._fs.readFileSync(h);b=R.slice(0,16),N.cachedData=R.slice(16),g.record(60,h)}catch{g.record(61,h)}const r=new C._vm.Script(_,N),l=r.runInThisContext(N),s=C._path.dirname(w),a=v(this),u=[this.exports,a,this,w,s,process,Re,Buffer],L=l.apply(this.exports,u);return C._handleCachedData(r,_,h,!N.cachedData,p),C._verifyCachedData(r,_,h,b,p),L}}load(d,p,e,C){const f=d.getConfig().getOptionsLiteral(),v=y(d.getRecorder(),f.nodeRequire||O.global.nodeRequire),m=f.nodeInstrumenter||function(_){return _};this._init(v),this._initNodeRequire(v,d);let w=d.getRecorder();if(/^node\|/.test(p)){let _=p.split("|"),g=null;try{g=v(_[1])}catch(h){C(h);return}d.enqueueDefineAnonymousModule([],()=>g),e()}else{p=O.Utilities.fileUriToFilePath(this._env.isWindows,p);const _=this._path.normalize(p),g=this._getElectronRendererScriptPathOrUri(_),h=Boolean(f.nodeCachedData),N=h?this._getCachedDataPath(f.nodeCachedData,p):void 0;this._readSourceAndCachedData(_,N,w,(b,r,l,s)=>{if(b){C(b);return}let a;r.charCodeAt(0)===o._BOM?a=o._PREFIX+r.substring(1)+o._SUFFIX:a=o._PREFIX+r+o._SUFFIX,a=m(a,_);const u={filename:g,cachedData:l},L=this._createAndEvalScript(d,a,u,e,C);this._handleCachedData(L,a,N,h&&!l,d),this._verifyCachedData(L,a,N,s,d)})}}_createAndEvalScript(d,p,e,C,f){const v=d.getRecorder();v.record(31,e.filename);const m=new this._vm.Script(p,e),w=m.runInThisContext(e),_=d.getGlobalAMDDefineFunc();let g=!1;const h=function(){return g=!0,_.apply(null,arguments)};return h.amd=_.amd,w.call(O.global,d.getGlobalAMDRequireFunc(),h,e.filename,this._path.dirname(e.filename)),v.record(32,e.filename),g?C():f(new Error(`Didn't receive define call in ${e.filename}!`)),m}_getElectronRendererScriptPathOrUri(d){if(!this._env.isElectronRenderer)return d;let p=d.match(/^([a-z])\:(.*)/i);return p?`file:///${(p[1].toUpperCase()+":"+p[2]).replace(/\\/g,"/")}`:`file://${d}`}_getCachedDataPath(d,p){const e=this._crypto.createHash("md5").update(p,"utf8").update(d.seed,"utf8").update(process.arch,"").digest("hex"),C=this._path.basename(p).replace(/\.js$/,"");return this._path.join(d.path,`${C}-${e}.code`)}_handleCachedData(d,p,e,C,f){d.cachedDataRejected?this._fs.unlink(e,v=>{f.getRecorder().record(62,e),this._createAndWriteCachedData(d,p,e,f),v&&f.getConfig().onError(v)}):C&&this._createAndWriteCachedData(d,p,e,f)}_createAndWriteCachedData(d,p,e,C){let f=Math.ceil(C.getConfig().getOptionsLiteral().nodeCachedData.writeDelay*(1+Math.random())),v=-1,m=0,w;const _=()=>{setTimeout(()=>{w||(w=this._crypto.createHash("md5").update(p,"utf8").digest());const g=d.createCachedData();if(!(g.length===0||g.length===v||m>=5)){if(g.length<v){_();return}v=g.length,this._fs.writeFile(e,Buffer.concat([w,g]),h=>{h&&C.getConfig().onError(h),C.getRecorder().record(63,e),_()})}},f*Math.pow(4,m++))};_()}_readSourceAndCachedData(d,p,e,C){if(!p)this._fs.readFile(d,{encoding:"utf8"},C);else{let f,v,m,w=2;const _=g=>{g?C(g):--w===0&&C(void 0,f,v,m)};this._fs.readFile(d,{encoding:"utf8"},(g,h)=>{f=h,_(g)}),this._fs.readFile(p,(g,h)=>{!g&&h&&h.length>0?(m=h.slice(0,16),v=h.slice(16),e.record(60,p)):e.record(61,p),_()})}}_verifyCachedData(d,p,e,C,f){!C||d.cachedDataRejected||setTimeout(()=>{const v=this._crypto.createHash("md5").update(p,"utf8").digest();C.equals(v)||(f.getConfig().onError(new Error(`FAILED TO VERIFY CACHED DATA, deleting stale '${e}' now, but a RESTART IS REQUIRED`)),this._fs.unlink(e,m=>{m&&f.getConfig().onError(m)}))},Math.ceil(5e3*(1+Math.random())))}}o._BOM=65279,o._PREFIX="(function (require, define, __filename, __dirname) { ",o._SUFFIX=`
});`;function y(c,d){if(d.__$__isRecorded)return d;const p=function(C){c.record(33,C);try{return d(C)}finally{c.record(34,C)}};return p.__$__isRecorded=!0,p}O.ensureRecordedNodeRequire=y;function S(c){return new n(c)}O.createScriptLoader=S})(se||(se={}));var se;(function(O){class n{constructor(c){let d=c.lastIndexOf("/");d!==-1?this.fromModulePath=c.substr(0,d+1):this.fromModulePath=""}static _normalizeModuleId(c){let d=c,p;for(p=/\/\.\//;p.test(d);)d=d.replace(p,"/");for(d=d.replace(/^\.\//g,""),p=/\/(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//;p.test(d);)d=d.replace(p,"/");return d=d.replace(/^(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//,""),d}resolveModule(c){let d=c;return O.Utilities.isAbsolutePath(d)||(O.Utilities.startsWith(d,"./")||O.Utilities.startsWith(d,"../"))&&(d=n._normalizeModuleId(this.fromModulePath+d)),d}}n.ROOT=new n(""),O.ModuleIdResolver=n;class E{constructor(c,d,p,e,C,f){this.id=c,this.strId=d,this.dependencies=p,this._callback=e,this._errorback=C,this.moduleIdResolver=f,this.exports={},this.error=null,this.exportsPassedIn=!1,this.unresolvedDependenciesCount=this.dependencies.length,this._isComplete=!1}static _safeInvokeFunction(c,d){try{return{returnedValue:c.apply(O.global,d),producedError:null}}catch(p){return{returnedValue:null,producedError:p}}}static _invokeFactory(c,d,p,e){return c.shouldInvokeFactory(d)?c.shouldCatchError()?this._safeInvokeFunction(p,e):{returnedValue:p.apply(O.global,e),producedError:null}:{returnedValue:null,producedError:null}}complete(c,d,p,e){this._isComplete=!0;let C=null;if(this._callback)if(typeof this._callback=="function"){c.record(21,this.strId);let f=E._invokeFactory(d,this.strId,this._callback,p);C=f.producedError,c.record(22,this.strId),!C&&typeof f.returnedValue<"u"&&(!this.exportsPassedIn||O.Utilities.isEmpty(this.exports))&&(this.exports=f.returnedValue)}else this.exports=this._callback;if(C){let f=O.ensureError(C);f.phase="factory",f.moduleId=this.strId,f.neededBy=e(this.id),this.error=f,d.onError(f)}this.dependencies=null,this._callback=null,this._errorback=null,this.moduleIdResolver=null}onDependencyError(c){return this._isComplete=!0,this.error=c,this._errorback?(this._errorback(c),!0):!1}isComplete(){return this._isComplete}}O.Module=E;class D{constructor(){this._nextId=0,this._strModuleIdToIntModuleId=new Map,this._intModuleIdToStrModuleId=[],this.getModuleId("exports"),this.getModuleId("module"),this.getModuleId("require")}getMaxModuleId(){return this._nextId}getModuleId(c){let d=this._strModuleIdToIntModuleId.get(c);return typeof d>"u"&&(d=this._nextId++,this._strModuleIdToIntModuleId.set(c,d),this._intModuleIdToStrModuleId[d]=c),d}getStrModuleId(c){return this._intModuleIdToStrModuleId[c]}}class i{constructor(c){this.id=c}}i.EXPORTS=new i(0),i.MODULE=new i(1),i.REQUIRE=new i(2),O.RegularDependency=i;class o{constructor(c,d,p){this.id=c,this.pluginId=d,this.pluginParam=p}}O.PluginDependency=o;class y{constructor(c,d,p,e,C=0){this._env=c,this._scriptLoader=d,this._loaderAvailableTimestamp=C,this._defineFunc=p,this._requireFunc=e,this._moduleIdProvider=new D,this._config=new O.Configuration(this._env),this._hasDependencyCycle=!1,this._modules2=[],this._knownModules2=[],this._inverseDependencies2=[],this._inversePluginDependencies2=new Map,this._currentAnonymousDefineCall=null,this._recorder=null,this._buildInfoPath=[],this._buildInfoDefineStack=[],this._buildInfoDependencies=[]}reset(){return new y(this._env,this._scriptLoader,this._defineFunc,this._requireFunc,this._loaderAvailableTimestamp)}getGlobalAMDDefineFunc(){return this._defineFunc}getGlobalAMDRequireFunc(){return this._requireFunc}static _findRelevantLocationInStack(c,d){let p=f=>f.replace(/\\/g,"/"),e=p(c),C=d.split(/\n/);for(let f=0;f<C.length;f++){let v=C[f].match(/(.*):(\d+):(\d+)\)?$/);if(v){let m=v[1],w=v[2],_=v[3],g=Math.max(m.lastIndexOf(" ")+1,m.lastIndexOf("(")+1);if(m=m.substr(g),m=p(m),m===e){let h={line:parseInt(w,10),col:parseInt(_,10)};return h.line===1&&(h.col-=53),h}}}throw new Error("Could not correlate define call site for needle "+c)}getBuildInfo(){if(!this._config.isBuild())return null;let c=[],d=0;for(let p=0,e=this._modules2.length;p<e;p++){let C=this._modules2[p];if(!C)continue;let f=this._buildInfoPath[C.id]||null,v=this._buildInfoDefineStack[C.id]||null,m=this._buildInfoDependencies[C.id];c[d++]={id:C.strId,path:f,defineLocation:f&&v?y._findRelevantLocationInStack(f,v):null,dependencies:m,shim:null,exports:C.exports}}return c}getRecorder(){return this._recorder||(this._config.shouldRecordStats()?this._recorder=new O.LoaderEventRecorder(this._loaderAvailableTimestamp):this._recorder=O.NullLoaderEventRecorder.INSTANCE),this._recorder}getLoaderEvents(){return this.getRecorder().getEvents()}enqueueDefineAnonymousModule(c,d){if(this._currentAnonymousDefineCall!==null)throw new Error("Can only have one anonymous define call per script file");let p=null;this._config.isBuild()&&(p=new Error("StackLocation").stack||null),this._currentAnonymousDefineCall={stack:p,dependencies:c,callback:d}}defineModule(c,d,p,e,C,f=new n(c)){let v=this._moduleIdProvider.getModuleId(c);if(this._modules2[v]){this._config.isDuplicateMessageIgnoredFor(c)||console.warn("Duplicate definition of module '"+c+"'");return}let m=new E(v,c,this._normalizeDependencies(d,f),p,e,f);this._modules2[v]=m,this._config.isBuild()&&(this._buildInfoDefineStack[v]=C,this._buildInfoDependencies[v]=(m.dependencies||[]).map(w=>this._moduleIdProvider.getStrModuleId(w.id))),this._resolve(m)}_normalizeDependency(c,d){if(c==="exports")return i.EXPORTS;if(c==="module")return i.MODULE;if(c==="require")return i.REQUIRE;let p=c.indexOf("!");if(p>=0){let e=d.resolveModule(c.substr(0,p)),C=d.resolveModule(c.substr(p+1)),f=this._moduleIdProvider.getModuleId(e+"!"+C),v=this._moduleIdProvider.getModuleId(e);return new o(f,v,C)}return new i(this._moduleIdProvider.getModuleId(d.resolveModule(c)))}_normalizeDependencies(c,d){let p=[],e=0;for(let C=0,f=c.length;C<f;C++)p[e++]=this._normalizeDependency(c[C],d);return p}_relativeRequire(c,d,p,e){if(typeof d=="string")return this.synchronousRequire(d,c);this.defineModule(O.Utilities.generateAnonymousModule(),d,p,e,null,c)}synchronousRequire(c,d=new n(c)){let p=this._normalizeDependency(c,d),e=this._modules2[p.id];if(!e)throw new Error("Check dependency list! Synchronous require cannot resolve module '"+c+"'. This is the first mention of this module!");if(!e.isComplete())throw new Error("Check dependency list! Synchronous require cannot resolve module '"+c+"'. This module has not been resolved completely yet.");if(e.error)throw e.error;return e.exports}configure(c,d){let p=this._config.shouldRecordStats();d?this._config=new O.Configuration(this._env,c):this._config=this._config.cloneAndMerge(c),this._config.shouldRecordStats()&&!p&&(this._recorder=null)}getConfig(){return this._config}_onLoad(c){if(this._currentAnonymousDefineCall!==null){let d=this._currentAnonymousDefineCall;this._currentAnonymousDefineCall=null,this.defineModule(this._moduleIdProvider.getStrModuleId(c),d.dependencies,d.callback,null,d.stack)}}_createLoadError(c,d){let p=this._moduleIdProvider.getStrModuleId(c),e=(this._inverseDependencies2[c]||[]).map(f=>this._moduleIdProvider.getStrModuleId(f));const C=O.ensureError(d);return C.phase="loading",C.moduleId=p,C.neededBy=e,C}_onLoadError(c,d){const p=this._createLoadError(c,d);this._modules2[c]||(this._modules2[c]=new E(c,this._moduleIdProvider.getStrModuleId(c),[],()=>{},null,null));let e=[];for(let v=0,m=this._moduleIdProvider.getMaxModuleId();v<m;v++)e[v]=!1;let C=!1,f=[];for(f.push(c),e[c]=!0;f.length>0;){let v=f.shift(),m=this._modules2[v];m&&(C=m.onDependencyError(p)||C);let w=this._inverseDependencies2[v];if(w)for(let _=0,g=w.length;_<g;_++){let h=w[_];e[h]||(f.push(h),e[h]=!0)}}C||this._config.onError(p)}_hasDependencyPath(c,d){let p=this._modules2[c];if(!p)return!1;let e=[];for(let f=0,v=this._moduleIdProvider.getMaxModuleId();f<v;f++)e[f]=!1;let C=[];for(C.push(p),e[c]=!0;C.length>0;){let v=C.shift().dependencies;if(v)for(let m=0,w=v.length;m<w;m++){let _=v[m];if(_.id===d)return!0;let g=this._modules2[_.id];g&&!e[_.id]&&(e[_.id]=!0,C.push(g))}}return!1}_findCyclePath(c,d,p){if(c===d||p===50)return[c];let e=this._modules2[c];if(!e)return null;let C=e.dependencies;if(C)for(let f=0,v=C.length;f<v;f++){let m=this._findCyclePath(C[f].id,d,p+1);if(m!==null)return m.push(c),m}return null}_createRequire(c){let d=(p,e,C)=>this._relativeRequire(c,p,e,C);return d.toUrl=p=>this._config.requireToUrl(c.resolveModule(p)),d.getStats=()=>this.getLoaderEvents(),d.hasDependencyCycle=()=>this._hasDependencyCycle,d.config=(p,e=!1)=>{this.configure(p,e)},d.__$__nodeRequire=O.global.nodeRequire,d}_loadModule(c){if(this._modules2[c]||this._knownModules2[c])return;this._knownModules2[c]=!0;let d=this._moduleIdProvider.getStrModuleId(c),p=this._config.moduleIdToPaths(d),e=/^@[^\/]+\/[^\/]+$/;this._env.isNode&&(d.indexOf("/")===-1||e.test(d))&&p.push("node|"+d);let C=-1,f=v=>{if(C++,C>=p.length)this._onLoadError(c,v);else{let m=p[C],w=this.getRecorder();if(this._config.isBuild()&&m==="empty:"){this._buildInfoPath[c]=m,this.defineModule(this._moduleIdProvider.getStrModuleId(c),[],null,null,null),this._onLoad(c);return}w.record(10,m),this._scriptLoader.load(this,m,()=>{this._config.isBuild()&&(this._buildInfoPath[c]=m),w.record(11,m),this._onLoad(c)},_=>{w.record(12,m),f(_)})}};f(null)}_loadPluginDependency(c,d){if(this._modules2[d.id]||this._knownModules2[d.id])return;this._knownModules2[d.id]=!0;let p=e=>{this.defineModule(this._moduleIdProvider.getStrModuleId(d.id),[],e,null,null)};p.error=e=>{this._config.onError(this._createLoadError(d.id,e))},c.load(d.pluginParam,this._createRequire(n.ROOT),p,this._config.getOptionsLiteral())}_resolve(c){let d=c.dependencies;if(d)for(let p=0,e=d.length;p<e;p++){let C=d[p];if(C===i.EXPORTS){c.exportsPassedIn=!0,c.unresolvedDependenciesCount--;continue}if(C===i.MODULE){c.unresolvedDependenciesCount--;continue}if(C===i.REQUIRE){c.unresolvedDependenciesCount--;continue}let f=this._modules2[C.id];if(f&&f.isComplete()){if(f.error){c.onDependencyError(f.error);return}c.unresolvedDependenciesCount--;continue}if(this._hasDependencyPath(C.id,c.id)){this._hasDependencyCycle=!0,console.warn("There is a dependency cycle between '"+this._moduleIdProvider.getStrModuleId(C.id)+"' and '"+this._moduleIdProvider.getStrModuleId(c.id)+"'. The cyclic path follows:");let v=this._findCyclePath(C.id,c.id,0)||[];v.reverse(),v.push(C.id),console.warn(v.map(m=>this._moduleIdProvider.getStrModuleId(m)).join(` => 
`)),c.unresolvedDependenciesCount--;continue}if(this._inverseDependencies2[C.id]=this._inverseDependencies2[C.id]||[],this._inverseDependencies2[C.id].push(c.id),C instanceof o){let v=this._modules2[C.pluginId];if(v&&v.isComplete()){this._loadPluginDependency(v.exports,C);continue}let m=this._inversePluginDependencies2.get(C.pluginId);m||(m=[],this._inversePluginDependencies2.set(C.pluginId,m)),m.push(C),this._loadModule(C.pluginId);continue}this._loadModule(C.id)}c.unresolvedDependenciesCount===0&&this._onModuleComplete(c)}_onModuleComplete(c){let d=this.getRecorder();if(c.isComplete())return;let p=c.dependencies,e=[];if(p)for(let m=0,w=p.length;m<w;m++){let _=p[m];if(_===i.EXPORTS){e[m]=c.exports;continue}if(_===i.MODULE){e[m]={id:c.strId,config:()=>this._config.getConfigForModule(c.strId)};continue}if(_===i.REQUIRE){e[m]=this._createRequire(c.moduleIdResolver);continue}let g=this._modules2[_.id];if(g){e[m]=g.exports;continue}e[m]=null}const C=m=>(this._inverseDependencies2[m]||[]).map(w=>this._moduleIdProvider.getStrModuleId(w));c.complete(d,this._config,e,C);let f=this._inverseDependencies2[c.id];if(this._inverseDependencies2[c.id]=null,f)for(let m=0,w=f.length;m<w;m++){let _=f[m],g=this._modules2[_];g.unresolvedDependenciesCount--,g.unresolvedDependenciesCount===0&&this._onModuleComplete(g)}let v=this._inversePluginDependencies2.get(c.id);if(v){this._inversePluginDependencies2.delete(c.id);for(let m=0,w=v.length;m<w;m++)this._loadPluginDependency(c.exports,v[m])}}}O.ModuleManager=y})(se||(se={}));var Y,se;(function(O){const n=new O.Environment;let E=null;const D=function(S,c,d){typeof S!="string"&&(d=c,c=S,S=null),(typeof c!="object"||!Array.isArray(c))&&(d=c,c=null),c||(c=["require","exports","module"]),S?E.defineModule(S,c,d,null,null):E.enqueueDefineAnonymousModule(c,d)};D.amd={jQuery:!0};const i=function(S,c=!1){E.configure(S,c)},o=function(){if(arguments.length===1){if(arguments[0]instanceof Object&&!Array.isArray(arguments[0])){i(arguments[0]);return}if(typeof arguments[0]=="string")return E.synchronousRequire(arguments[0])}if((arguments.length===2||arguments.length===3)&&Array.isArray(arguments[0])){E.defineModule(O.Utilities.generateAnonymousModule(),arguments[0],arguments[1],arguments[2],null);return}throw new Error("Unrecognized require call")};o.config=i,o.getConfig=function(){return E.getConfig().getOptionsLiteral()},o.reset=function(){E=E.reset()},o.getBuildInfo=function(){return E.getBuildInfo()},o.getStats=function(){return E.getLoaderEvents()},o.define=D;function y(){if(typeof O.global.require<"u"||typeof require<"u"){const S=O.global.require||require;if(typeof S=="function"&&typeof S.resolve=="function"){const c=O.ensureRecordedNodeRequire(E.getRecorder(),S);O.global.nodeRequire=c,o.nodeRequire=c,o.__$__nodeRequire=c}}n.isNode&&!n.isElectronRenderer&&!n.isElectronNodeIntegrationWebWorker?module.exports=o:(n.isElectronRenderer||(O.global.define=D),O.global.require=o)}O.init=y,(typeof O.global.define!="function"||!O.global.define.amd)&&(E=new O.ModuleManager(n,O.createScriptLoader(n),D,o,O.Utilities.getHighPerformanceTimestamp()),typeof O.global.require<"u"&&typeof O.global.require!="function"&&o.config(O.global.require),Y=function(){return D.apply(null,arguments)},Y.amd=D.amd,typeof doNotInitLoader>"u"&&y())})(se||(se={}));var fe=this&&this.__awaiter||function(O,n,E,D){function i(o){return o instanceof E?o:new E(function(y){y(o)})}return new(E||(E=Promise))(function(o,y){function S(p){try{d(D.next(p))}catch(e){y(e)}}function c(p){try{d(D.throw(p))}catch(e){y(e)}}function d(p){p.done?o(p.value):i(p.value).then(S,c)}d((D=D.apply(O,n||[])).next())})};Y(X[24],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.load=n.create=n.setPseudoTranslation=n.getConfiguredDefaultLocale=n.localize=void 0;let E=typeof document<"u"&&document.location&&document.location.hash.indexOf("pseudo=true")>=0;const D="i-default";function i(v,m){let w;return m.length===0?w=v:w=v.replace(/\{(\d+)\}/g,(_,g)=>{const h=g[0],N=m[h];let b=_;return typeof N=="string"?b=N:(typeof N=="number"||typeof N=="boolean"||N===void 0||N===null)&&(b=String(N)),b}),E&&(w="\uFF3B"+w.replace(/[aouei]/g,"$&$&")+"\uFF3D"),w}function o(v,m){let w=v[m];return w||(w=v["*"],w)?w:null}function y(v){return v.charAt(v.length-1)==="/"?v:v+"/"}function S(v,m,w){return fe(this,void 0,void 0,function*(){const _=y(v)+y(m)+"vscode/"+y(w),g=yield fetch(_);if(g.ok)return yield g.json();throw new Error(`${g.status} - ${g.statusText}`)})}function c(v){return function(m,w){const _=Array.prototype.slice.call(arguments,2);return i(v[m],_)}}function d(v,m,...w){return i(m,w)}n.localize=d;function p(v){}n.getConfiguredDefaultLocale=p;function e(v){E=v}n.setPseudoTranslation=e;function C(v,m){var w;return{localize:c(m[v]),getConfiguredDefaultLocale:(w=m.getConfiguredDefaultLocale)!==null&&w!==void 0?w:_=>{}}}n.create=C;function f(v,m,w,_){var g;const h=(g=_["vs/nls"])!==null&&g!==void 0?g:{};if(!v||v.length===0)return w({localize:d,getConfiguredDefaultLocale:()=>{var s;return(s=h.availableLanguages)===null||s===void 0?void 0:s["*"]}});const N=h.availableLanguages?o(h.availableLanguages,v):null,b=N===null||N===D;let r=".nls";b||(r=r+"."+N);const l=s=>{Array.isArray(s)?s.localize=c(s):s.localize=c(s[v]),s.getConfiguredDefaultLocale=()=>{var a;return(a=h.availableLanguages)===null||a===void 0?void 0:a["*"]},w(s)};typeof h.loadBundle=="function"?h.loadBundle(v,N,(s,a)=>{s?m([v+".nls"],l):l(a)}):h.translationServiceUrl&&!b?fe(this,void 0,void 0,function*(){var s;try{const a=yield S(h.translationServiceUrl,N,v);return l(a)}catch(a){if(!N.includes("-"))return console.error(a),m([v+".nls"],l);try{const u=N.split("-")[0],L=yield S(h.translationServiceUrl,u,v);return(s=h.availableLanguages)!==null&&s!==void 0||(h.availableLanguages={}),h.availableLanguages["*"]=u,l(L)}catch(u){return console.error(u),m([v+".nls"],l)}}}):m([v+r],l,s=>{if(r===".nls"){console.error("Failed trying to load default language strings",s);return}console.error(`Failed to load message bundle for language ${N}. Falling back to the default language:`,s),m([v+".nls"],l)})}n.load=f}),function(){var O,n;const E=globalThis.MonacoEnvironment,D=E&&E.baseUrl?E.baseUrl:"../../../",i=typeof((O=self.trustedTypes)===null||O===void 0?void 0:O.createPolicy)=="function"?(n=self.trustedTypes)===null||n===void 0?void 0:n.createPolicy("amdLoader",{createScriptURL:e=>e,createScript:(e,...C)=>{const f=C.slice(0,-1).join(","),v=C.pop().toString();return`(function anonymous(${f}) { ${v}
})`}}):void 0;function o(){try{return(i?globalThis.eval(i.createScript("","true")):new Function("true")).call(globalThis),!0}catch{return!1}}function y(){return new Promise((e,C)=>{if(typeof globalThis.define=="function"&&globalThis.define.amd)return e();const f=D+"vs/loader.js";if(!(/^((http:)|(https:)|(file:))/.test(f)&&f.substring(0,globalThis.origin.length)!==globalThis.origin)&&o()){fetch(f).then(m=>{if(m.status!==200)throw new Error(m.statusText);return m.text()}).then(m=>{m=`${m}
//# sourceURL=${f}`,(i?globalThis.eval(i.createScript("",m)):new Function(m)).call(globalThis),e()}).then(void 0,C);return}i?importScripts(i.createScriptURL(f)):importScripts(f),e()})}function S(){require.config({baseUrl:D,catchError:!0,trustedTypesPolicy:i,amdModulesPattern:/^vs\//})}function c(e){y().then(()=>{S(),require([e],function(C){setTimeout(function(){const f=C.create((v,m)=>{globalThis.postMessage(v,m)},null);for(globalThis.onmessage=v=>f.onmessage(v.data,v.ports);p.length>0;){const v=p.shift();f.onmessage(v.data,v.ports)}},0)})})}typeof globalThis.define=="function"&&globalThis.define.amd&&S();let d=!0;const p=[];globalThis.onmessage=e=>{if(!d){p.push(e);return}d=!1,c(e.data)}}(),Y(X[25],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.CallbackIterable=n.ArrayQueue=n.findMinBy=n.findLastMaxBy=n.findMaxBy=n.numberComparator=n.compareBy=n.CompareResult=n.splice=n.insertInto=n.asArray=n.pushMany=n.pushToEnd=n.pushToStart=n.arrayInsert=n.range=n.firstOrDefault=n.lastIndex=n.findLast=n.distinct=n.isNonEmptyArray=n.isFalsyOrEmpty=n.coalesceInPlace=n.coalesce=n.groupBy=n.quickSelect=n.findFirstInSorted=n.binarySearch2=n.binarySearch=n.removeFastWithoutKeepingOrder=n.equals=n.tail2=n.tail=void 0;function E(F,T=0){return F[F.length-(1+T)]}n.tail=E;function D(F){if(F.length===0)throw new Error("Invalid tail call");return[F.slice(0,F.length-1),F[F.length-1]]}n.tail2=D;function i(F,T,k=(V,t)=>V===t){if(F===T)return!0;if(!F||!T||F.length!==T.length)return!1;for(let V=0,t=F.length;V<t;V++)if(!k(F[V],T[V]))return!1;return!0}n.equals=i;function o(F,T){const k=F.length-1;T<k&&(F[T]=F[k]),F.pop()}n.removeFastWithoutKeepingOrder=o;function y(F,T,k){return S(F.length,V=>k(F[V],T))}n.binarySearch=y;function S(F,T){let k=0,V=F-1;for(;k<=V;){const t=(k+V)/2|0,ne=T(t);if(ne<0)k=t+1;else if(ne>0)V=t-1;else return t}return-(k+1)}n.binarySearch2=S;function c(F,T){let k=0,V=F.length;if(V===0)return 0;for(;k<V;){const t=Math.floor((k+V)/2);T(F[t])?V=t:k=t+1}return k}n.findFirstInSorted=c;function d(F,T,k){if(F=F|0,F>=T.length)throw new TypeError("invalid index");const V=T[Math.floor(T.length*Math.random())],t=[],ne=[],le=[];for(const de of T){const we=k(de,V);we<0?t.push(de):we>0?ne.push(de):le.push(de)}return F<t.length?d(F,t,k):F<t.length+le.length?le[0]:d(F-(t.length+le.length),ne,k)}n.quickSelect=d;function p(F,T){const k=[];let V;for(const t of F.slice(0).sort(T))!V||T(V[0],t)!==0?(V=[t],k.push(V)):V.push(t);return k}n.groupBy=p;function e(F){return F.filter(T=>!!T)}n.coalesce=e;function C(F){let T=0;for(let k=0;k<F.length;k++)F[k]&&(F[T]=F[k],T+=1);F.length=T}n.coalesceInPlace=C;function f(F){return!Array.isArray(F)||F.length===0}n.isFalsyOrEmpty=f;function v(F){return Array.isArray(F)&&F.length>0}n.isNonEmptyArray=v;function m(F,T=k=>k){const k=new Set;return F.filter(V=>{const t=T(V);return k.has(t)?!1:(k.add(t),!0)})}n.distinct=m;function w(F,T){const k=_(F,T);if(k!==-1)return F[k]}n.findLast=w;function _(F,T){for(let k=F.length-1;k>=0;k--){const V=F[k];if(T(V))return k}return-1}n.lastIndex=_;function g(F,T){return F.length>0?F[0]:T}n.firstOrDefault=g;function h(F,T){let k=typeof T=="number"?F:0;typeof T=="number"?k=F:(k=0,T=F);const V=[];if(k<=T)for(let t=k;t<T;t++)V.push(t);else for(let t=k;t>T;t--)V.push(t);return V}n.range=h;function N(F,T,k){const V=F.slice(0,T),t=F.slice(T);return V.concat(k,t)}n.arrayInsert=N;function b(F,T){const k=F.indexOf(T);k>-1&&(F.splice(k,1),F.unshift(T))}n.pushToStart=b;function r(F,T){const k=F.indexOf(T);k>-1&&(F.splice(k,1),F.push(T))}n.pushToEnd=r;function l(F,T){for(const k of T)F.push(k)}n.pushMany=l;function s(F){return Array.isArray(F)?F:[F]}n.asArray=s;function a(F,T,k){const V=L(F,T),t=F.length,ne=k.length;F.length=t+ne;for(let le=t-1;le>=V;le--)F[le+ne]=F[le];for(let le=0;le<ne;le++)F[le+V]=k[le]}n.insertInto=a;function u(F,T,k,V){const t=L(F,T),ne=F.splice(t,k);return a(F,t,V),ne}n.splice=u;function L(F,T){return T<0?Math.max(T+F.length,0):Math.min(T,F.length)}var R;(function(F){function T(t){return t<0}F.isLessThan=T;function k(t){return t>0}F.isGreaterThan=k;function V(t){return t===0}F.isNeitherLessOrGreaterThan=V,F.greaterThan=1,F.lessThan=-1,F.neitherLessOrGreaterThan=0})(R=n.CompareResult||(n.CompareResult={}));function A(F,T){return(k,V)=>T(F(k),F(V))}n.compareBy=A;const M=(F,T)=>F-T;n.numberComparator=M;function U(F,T){if(F.length===0)return;let k=F[0];for(let V=1;V<F.length;V++){const t=F[V];T(t,k)>0&&(k=t)}return k}n.findMaxBy=U;function W(F,T){if(F.length===0)return;let k=F[0];for(let V=1;V<F.length;V++){const t=F[V];T(t,k)>=0&&(k=t)}return k}n.findLastMaxBy=W;function I(F,T){return U(F,(k,V)=>-T(k,V))}n.findMinBy=I;class q{constructor(T){this.f=T,this.c=0,this.d=this.f.length-1}get length(){return this.d-this.c+1}takeWhile(T){let k=this.c;for(;k<this.f.length&&T(this.f[k]);)k++;const V=k===this.c?null:this.f.slice(this.c,k);return this.c=k,V}takeFromEndWhile(T){let k=this.d;for(;k>=0&&T(this.f[k]);)k--;const V=k===this.d?null:this.f.slice(k+1,this.d+1);return this.d=k,V}peek(){if(this.length!==0)return this.f[this.c]}dequeue(){const T=this.f[this.c];return this.c++,T}takeCount(T){const k=this.f.slice(this.c,this.c+T);return this.c+=T,k}}n.ArrayQueue=q;class z{constructor(T){this.iterate=T}toArray(){const T=[];return this.iterate(k=>(T.push(k),!0)),T}filter(T){return new z(k=>this.iterate(V=>T(V)?k(V):!0))}map(T){return new z(k=>this.iterate(V=>k(T(V))))}findLast(T){let k;return this.iterate(V=>(T(V)&&(k=V),!0)),k}findLastMaxBy(T){let k,V=!0;return this.iterate(t=>((V||R.isGreaterThan(T(t,k)))&&(V=!1,k=t),!0)),k}}z.empty=new z(F=>{}),n.CallbackIterable=z}),Y(X[26],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.CachedFunction=n.LRUCachedFunction=void 0;class E{constructor(o){this.c=o,this.a=void 0,this.b=void 0}get(o){const y=JSON.stringify(o);return this.b!==y&&(this.b=y,this.a=this.c(o)),this.a}}n.LRUCachedFunction=E;class D{get cachedValues(){return this.a}constructor(o){this.b=o,this.a=new Map}get(o){if(this.a.has(o))return this.a.get(o);const y=this.b(o);return this.a.set(o,y),y}}n.CachedFunction=D}),Y(X[27],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.DiffChange=void 0;class E{constructor(i,o,y,S){this.originalStart=i,this.originalLength=o,this.modifiedStart=y,this.modifiedLength=S}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}n.DiffChange=E}),Y(X[8],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.BugIndicatingError=n.ErrorNoTelemetry=n.NotSupportedError=n.illegalState=n.illegalArgument=n.canceled=n.CancellationError=n.isCancellationError=n.transformErrorForSerialization=n.onUnexpectedExternalError=n.onUnexpectedError=n.errorHandler=n.ErrorHandler=void 0;class E{constructor(){this.b=[],this.a=function(w){setTimeout(()=>{throw w.stack?f.isErrorNoTelemetry(w)?new f(w.message+`

`+w.stack):new Error(w.message+`

`+w.stack):w},0)}}c(w){this.b.forEach(_=>{_(w)})}onUnexpectedError(w){this.a(w),this.c(w)}onUnexpectedExternalError(w){this.a(w)}}n.ErrorHandler=E,n.errorHandler=new E;function D(m){S(m)||n.errorHandler.onUnexpectedError(m)}n.onUnexpectedError=D;function i(m){S(m)||n.errorHandler.onUnexpectedExternalError(m)}n.onUnexpectedExternalError=i;function o(m){if(m instanceof Error){const{name:w,message:_}=m,g=m.stacktrace||m.stack;return{$isError:!0,name:w,message:_,stack:g,noTelemetry:f.isErrorNoTelemetry(m)}}return m}n.transformErrorForSerialization=o;const y="Canceled";function S(m){return m instanceof c?!0:m instanceof Error&&m.name===y&&m.message===y}n.isCancellationError=S;class c extends Error{constructor(){super(y),this.name=this.message}}n.CancellationError=c;function d(){const m=new Error(y);return m.name=m.message,m}n.canceled=d;function p(m){return m?new Error(`Illegal argument: ${m}`):new Error("Illegal argument")}n.illegalArgument=p;function e(m){return m?new Error(`Illegal state: ${m}`):new Error("Illegal state")}n.illegalState=e;class C extends Error{constructor(w){super("NotSupported"),w&&(this.message=w)}}n.NotSupportedError=C;class f extends Error{constructor(w){super(w),this.name="CodeExpectedError"}static fromError(w){if(w instanceof f)return w;const _=new f;return _.message=w.message,_.stack=w.stack,_}static isErrorNoTelemetry(w){return w.name==="CodeExpectedError"}}n.ErrorNoTelemetry=f;class v extends Error{constructor(w){super(w||"An unexpected bug occurred."),Object.setPrototypeOf(this,v.prototype);debugger}}n.BugIndicatingError=v}),Y(X[9],Q([0,1,8]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.checkAdjacentItems=n.assertFn=n.assertNever=n.ok=void 0;function D(S,c){if(!S)throw new Error(c?`Assertion failed (${c})`:"Assertion Failed")}n.ok=D;function i(S,c="Unreachable"){throw new Error(c)}n.assertNever=i;function o(S){if(!S()){debugger;S(),(0,E.onUnexpectedError)(new E.BugIndicatingError("Assertion Failed"))}}n.assertFn=o;function y(S,c){let d=0;for(;d<S.length-1;){const p=S[d],e=S[d+1];if(!c(p,e))return!1;d++}return!0}n.checkAdjacentItems=y}),Y(X[13],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.once=void 0;function E(D){const i=this;let o=!1,y;return function(){return o||(o=!0,y=D.apply(i,arguments)),y}}n.once=E}),Y(X[14],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.Iterable=void 0;var E;(function(D){function i(N){return N&&typeof N=="object"&&typeof N[Symbol.iterator]=="function"}D.is=i;const o=Object.freeze([]);function y(){return o}D.empty=y;function*S(N){yield N}D.single=S;function c(N){return i(N)?N:S(N)}D.wrap=c;function d(N){return N||o}D.from=d;function p(N){return!N||N[Symbol.iterator]().next().done===!0}D.isEmpty=p;function e(N){return N[Symbol.iterator]().next().value}D.first=e;function C(N,b){for(const r of N)if(b(r))return!0;return!1}D.some=C;function f(N,b){for(const r of N)if(b(r))return r}D.find=f;function*v(N,b){for(const r of N)b(r)&&(yield r)}D.filter=v;function*m(N,b){let r=0;for(const l of N)yield b(l,r++)}D.map=m;function*w(...N){for(const b of N)for(const r of b)yield r}D.concat=w;function _(N,b,r){let l=r;for(const s of N)l=b(l,s);return l}D.reduce=_;function*g(N,b,r=N.length){for(b<0&&(b+=N.length),r<0?r+=N.length:r>N.length&&(r=N.length);b<r;b++)yield N[b]}D.slice=g;function h(N,b=Number.POSITIVE_INFINITY){const r=[];if(b===0)return[r,N];const l=N[Symbol.iterator]();for(let s=0;s<b;s++){const a=l.next();if(a.done)return[r,D.empty()];r.push(a.value)}return[r,{[Symbol.iterator](){return l}}]}D.consume=h})(E=n.Iterable||(n.Iterable={}))}),Y(X[28],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.KeyChord=n.KeyCodeUtils=n.IMMUTABLE_KEY_CODE_TO_CODE=n.IMMUTABLE_CODE_TO_KEY_CODE=n.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE=n.EVENT_KEY_CODE_MAP=void 0;class E{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(C,f){this._keyCodeToStr[C]=f,this._strToKeyCode[f.toLowerCase()]=C}keyCodeToStr(C){return this._keyCodeToStr[C]}strToKeyCode(C){return this._strToKeyCode[C.toLowerCase()]||0}}const D=new E,i=new E,o=new E;n.EVENT_KEY_CODE_MAP=new Array(230),n.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE={};const y=[],S=Object.create(null),c=Object.create(null);n.IMMUTABLE_CODE_TO_KEY_CODE=[],n.IMMUTABLE_KEY_CODE_TO_CODE=[];for(let e=0;e<=193;e++)n.IMMUTABLE_CODE_TO_KEY_CODE[e]=-1;for(let e=0;e<=127;e++)n.IMMUTABLE_KEY_CODE_TO_CODE[e]=-1;(function(){const e="",C=[[0,1,0,"None",0,"unknown",0,"VK_UNKNOWN",e,e],[0,1,1,"Hyper",0,e,0,e,e,e],[0,1,2,"Super",0,e,0,e,e,e],[0,1,3,"Fn",0,e,0,e,e,e],[0,1,4,"FnLock",0,e,0,e,e,e],[0,1,5,"Suspend",0,e,0,e,e,e],[0,1,6,"Resume",0,e,0,e,e,e],[0,1,7,"Turbo",0,e,0,e,e,e],[0,1,8,"Sleep",0,e,0,"VK_SLEEP",e,e],[0,1,9,"WakeUp",0,e,0,e,e,e],[31,0,10,"KeyA",31,"A",65,"VK_A",e,e],[32,0,11,"KeyB",32,"B",66,"VK_B",e,e],[33,0,12,"KeyC",33,"C",67,"VK_C",e,e],[34,0,13,"KeyD",34,"D",68,"VK_D",e,e],[35,0,14,"KeyE",35,"E",69,"VK_E",e,e],[36,0,15,"KeyF",36,"F",70,"VK_F",e,e],[37,0,16,"KeyG",37,"G",71,"VK_G",e,e],[38,0,17,"KeyH",38,"H",72,"VK_H",e,e],[39,0,18,"KeyI",39,"I",73,"VK_I",e,e],[40,0,19,"KeyJ",40,"J",74,"VK_J",e,e],[41,0,20,"KeyK",41,"K",75,"VK_K",e,e],[42,0,21,"KeyL",42,"L",76,"VK_L",e,e],[43,0,22,"KeyM",43,"M",77,"VK_M",e,e],[44,0,23,"KeyN",44,"N",78,"VK_N",e,e],[45,0,24,"KeyO",45,"O",79,"VK_O",e,e],[46,0,25,"KeyP",46,"P",80,"VK_P",e,e],[47,0,26,"KeyQ",47,"Q",81,"VK_Q",e,e],[48,0,27,"KeyR",48,"R",82,"VK_R",e,e],[49,0,28,"KeyS",49,"S",83,"VK_S",e,e],[50,0,29,"KeyT",50,"T",84,"VK_T",e,e],[51,0,30,"KeyU",51,"U",85,"VK_U",e,e],[52,0,31,"KeyV",52,"V",86,"VK_V",e,e],[53,0,32,"KeyW",53,"W",87,"VK_W",e,e],[54,0,33,"KeyX",54,"X",88,"VK_X",e,e],[55,0,34,"KeyY",55,"Y",89,"VK_Y",e,e],[56,0,35,"KeyZ",56,"Z",90,"VK_Z",e,e],[22,0,36,"Digit1",22,"1",49,"VK_1",e,e],[23,0,37,"Digit2",23,"2",50,"VK_2",e,e],[24,0,38,"Digit3",24,"3",51,"VK_3",e,e],[25,0,39,"Digit4",25,"4",52,"VK_4",e,e],[26,0,40,"Digit5",26,"5",53,"VK_5",e,e],[27,0,41,"Digit6",27,"6",54,"VK_6",e,e],[28,0,42,"Digit7",28,"7",55,"VK_7",e,e],[29,0,43,"Digit8",29,"8",56,"VK_8",e,e],[30,0,44,"Digit9",30,"9",57,"VK_9",e,e],[21,0,45,"Digit0",21,"0",48,"VK_0",e,e],[3,1,46,"Enter",3,"Enter",13,"VK_RETURN",e,e],[9,1,47,"Escape",9,"Escape",27,"VK_ESCAPE",e,e],[1,1,48,"Backspace",1,"Backspace",8,"VK_BACK",e,e],[2,1,49,"Tab",2,"Tab",9,"VK_TAB",e,e],[10,1,50,"Space",10,"Space",32,"VK_SPACE",e,e],[83,0,51,"Minus",83,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[81,0,52,"Equal",81,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[87,0,53,"BracketLeft",87,"[",219,"VK_OEM_4","[","OEM_4"],[89,0,54,"BracketRight",89,"]",221,"VK_OEM_6","]","OEM_6"],[88,0,55,"Backslash",88,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,0,56,"IntlHash",0,e,0,e,e,e],[80,0,57,"Semicolon",80,";",186,"VK_OEM_1",";","OEM_1"],[90,0,58,"Quote",90,"'",222,"VK_OEM_7","'","OEM_7"],[86,0,59,"Backquote",86,"`",192,"VK_OEM_3","`","OEM_3"],[82,0,60,"Comma",82,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[84,0,61,"Period",84,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[85,0,62,"Slash",85,"/",191,"VK_OEM_2","/","OEM_2"],[8,1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",e,e],[59,1,64,"F1",59,"F1",112,"VK_F1",e,e],[60,1,65,"F2",60,"F2",113,"VK_F2",e,e],[61,1,66,"F3",61,"F3",114,"VK_F3",e,e],[62,1,67,"F4",62,"F4",115,"VK_F4",e,e],[63,1,68,"F5",63,"F5",116,"VK_F5",e,e],[64,1,69,"F6",64,"F6",117,"VK_F6",e,e],[65,1,70,"F7",65,"F7",118,"VK_F7",e,e],[66,1,71,"F8",66,"F8",119,"VK_F8",e,e],[67,1,72,"F9",67,"F9",120,"VK_F9",e,e],[68,1,73,"F10",68,"F10",121,"VK_F10",e,e],[69,1,74,"F11",69,"F11",122,"VK_F11",e,e],[70,1,75,"F12",70,"F12",123,"VK_F12",e,e],[0,1,76,"PrintScreen",0,e,0,e,e,e],[79,1,77,"ScrollLock",79,"ScrollLock",145,"VK_SCROLL",e,e],[7,1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",e,e],[19,1,79,"Insert",19,"Insert",45,"VK_INSERT",e,e],[14,1,80,"Home",14,"Home",36,"VK_HOME",e,e],[11,1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",e,e],[20,1,82,"Delete",20,"Delete",46,"VK_DELETE",e,e],[13,1,83,"End",13,"End",35,"VK_END",e,e],[12,1,84,"PageDown",12,"PageDown",34,"VK_NEXT",e,e],[17,1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",e],[15,1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",e],[18,1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",e],[16,1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",e],[78,1,89,"NumLock",78,"NumLock",144,"VK_NUMLOCK",e,e],[108,1,90,"NumpadDivide",108,"NumPad_Divide",111,"VK_DIVIDE",e,e],[103,1,91,"NumpadMultiply",103,"NumPad_Multiply",106,"VK_MULTIPLY",e,e],[106,1,92,"NumpadSubtract",106,"NumPad_Subtract",109,"VK_SUBTRACT",e,e],[104,1,93,"NumpadAdd",104,"NumPad_Add",107,"VK_ADD",e,e],[3,1,94,"NumpadEnter",3,e,0,e,e,e],[94,1,95,"Numpad1",94,"NumPad1",97,"VK_NUMPAD1",e,e],[95,1,96,"Numpad2",95,"NumPad2",98,"VK_NUMPAD2",e,e],[96,1,97,"Numpad3",96,"NumPad3",99,"VK_NUMPAD3",e,e],[97,1,98,"Numpad4",97,"NumPad4",100,"VK_NUMPAD4",e,e],[98,1,99,"Numpad5",98,"NumPad5",101,"VK_NUMPAD5",e,e],[99,1,100,"Numpad6",99,"NumPad6",102,"VK_NUMPAD6",e,e],[100,1,101,"Numpad7",100,"NumPad7",103,"VK_NUMPAD7",e,e],[101,1,102,"Numpad8",101,"NumPad8",104,"VK_NUMPAD8",e,e],[102,1,103,"Numpad9",102,"NumPad9",105,"VK_NUMPAD9",e,e],[93,1,104,"Numpad0",93,"NumPad0",96,"VK_NUMPAD0",e,e],[107,1,105,"NumpadDecimal",107,"NumPad_Decimal",110,"VK_DECIMAL",e,e],[92,0,106,"IntlBackslash",92,"OEM_102",226,"VK_OEM_102",e,e],[58,1,107,"ContextMenu",58,"ContextMenu",93,e,e,e],[0,1,108,"Power",0,e,0,e,e,e],[0,1,109,"NumpadEqual",0,e,0,e,e,e],[71,1,110,"F13",71,"F13",124,"VK_F13",e,e],[72,1,111,"F14",72,"F14",125,"VK_F14",e,e],[73,1,112,"F15",73,"F15",126,"VK_F15",e,e],[74,1,113,"F16",74,"F16",127,"VK_F16",e,e],[75,1,114,"F17",75,"F17",128,"VK_F17",e,e],[76,1,115,"F18",76,"F18",129,"VK_F18",e,e],[77,1,116,"F19",77,"F19",130,"VK_F19",e,e],[0,1,117,"F20",0,e,0,"VK_F20",e,e],[0,1,118,"F21",0,e,0,"VK_F21",e,e],[0,1,119,"F22",0,e,0,"VK_F22",e,e],[0,1,120,"F23",0,e,0,"VK_F23",e,e],[0,1,121,"F24",0,e,0,"VK_F24",e,e],[0,1,122,"Open",0,e,0,e,e,e],[0,1,123,"Help",0,e,0,e,e,e],[0,1,124,"Select",0,e,0,e,e,e],[0,1,125,"Again",0,e,0,e,e,e],[0,1,126,"Undo",0,e,0,e,e,e],[0,1,127,"Cut",0,e,0,e,e,e],[0,1,128,"Copy",0,e,0,e,e,e],[0,1,129,"Paste",0,e,0,e,e,e],[0,1,130,"Find",0,e,0,e,e,e],[0,1,131,"AudioVolumeMute",112,"AudioVolumeMute",173,"VK_VOLUME_MUTE",e,e],[0,1,132,"AudioVolumeUp",113,"AudioVolumeUp",175,"VK_VOLUME_UP",e,e],[0,1,133,"AudioVolumeDown",114,"AudioVolumeDown",174,"VK_VOLUME_DOWN",e,e],[105,1,134,"NumpadComma",105,"NumPad_Separator",108,"VK_SEPARATOR",e,e],[110,0,135,"IntlRo",110,"ABNT_C1",193,"VK_ABNT_C1",e,e],[0,1,136,"KanaMode",0,e,0,e,e,e],[0,0,137,"IntlYen",0,e,0,e,e,e],[0,1,138,"Convert",0,e,0,e,e,e],[0,1,139,"NonConvert",0,e,0,e,e,e],[0,1,140,"Lang1",0,e,0,e,e,e],[0,1,141,"Lang2",0,e,0,e,e,e],[0,1,142,"Lang3",0,e,0,e,e,e],[0,1,143,"Lang4",0,e,0,e,e,e],[0,1,144,"Lang5",0,e,0,e,e,e],[0,1,145,"Abort",0,e,0,e,e,e],[0,1,146,"Props",0,e,0,e,e,e],[0,1,147,"NumpadParenLeft",0,e,0,e,e,e],[0,1,148,"NumpadParenRight",0,e,0,e,e,e],[0,1,149,"NumpadBackspace",0,e,0,e,e,e],[0,1,150,"NumpadMemoryStore",0,e,0,e,e,e],[0,1,151,"NumpadMemoryRecall",0,e,0,e,e,e],[0,1,152,"NumpadMemoryClear",0,e,0,e,e,e],[0,1,153,"NumpadMemoryAdd",0,e,0,e,e,e],[0,1,154,"NumpadMemorySubtract",0,e,0,e,e,e],[0,1,155,"NumpadClear",126,"Clear",12,"VK_CLEAR",e,e],[0,1,156,"NumpadClearEntry",0,e,0,e,e,e],[5,1,0,e,5,"Ctrl",17,"VK_CONTROL",e,e],[4,1,0,e,4,"Shift",16,"VK_SHIFT",e,e],[6,1,0,e,6,"Alt",18,"VK_MENU",e,e],[57,1,0,e,57,"Meta",0,"VK_COMMAND",e,e],[5,1,157,"ControlLeft",5,e,0,"VK_LCONTROL",e,e],[4,1,158,"ShiftLeft",4,e,0,"VK_LSHIFT",e,e],[6,1,159,"AltLeft",6,e,0,"VK_LMENU",e,e],[57,1,160,"MetaLeft",57,e,0,"VK_LWIN",e,e],[5,1,161,"ControlRight",5,e,0,"VK_RCONTROL",e,e],[4,1,162,"ShiftRight",4,e,0,"VK_RSHIFT",e,e],[6,1,163,"AltRight",6,e,0,"VK_RMENU",e,e],[57,1,164,"MetaRight",57,e,0,"VK_RWIN",e,e],[0,1,165,"BrightnessUp",0,e,0,e,e,e],[0,1,166,"BrightnessDown",0,e,0,e,e,e],[0,1,167,"MediaPlay",0,e,0,e,e,e],[0,1,168,"MediaRecord",0,e,0,e,e,e],[0,1,169,"MediaFastForward",0,e,0,e,e,e],[0,1,170,"MediaRewind",0,e,0,e,e,e],[114,1,171,"MediaTrackNext",119,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",e,e],[115,1,172,"MediaTrackPrevious",120,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",e,e],[116,1,173,"MediaStop",121,"MediaStop",178,"VK_MEDIA_STOP",e,e],[0,1,174,"Eject",0,e,0,e,e,e],[117,1,175,"MediaPlayPause",122,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",e,e],[0,1,176,"MediaSelect",123,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",e,e],[0,1,177,"LaunchMail",124,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",e,e],[0,1,178,"LaunchApp2",125,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",e,e],[0,1,179,"LaunchApp1",0,e,0,"VK_MEDIA_LAUNCH_APP1",e,e],[0,1,180,"SelectTask",0,e,0,e,e,e],[0,1,181,"LaunchScreenSaver",0,e,0,e,e,e],[0,1,182,"BrowserSearch",115,"BrowserSearch",170,"VK_BROWSER_SEARCH",e,e],[0,1,183,"BrowserHome",116,"BrowserHome",172,"VK_BROWSER_HOME",e,e],[112,1,184,"BrowserBack",117,"BrowserBack",166,"VK_BROWSER_BACK",e,e],[113,1,185,"BrowserForward",118,"BrowserForward",167,"VK_BROWSER_FORWARD",e,e],[0,1,186,"BrowserStop",0,e,0,"VK_BROWSER_STOP",e,e],[0,1,187,"BrowserRefresh",0,e,0,"VK_BROWSER_REFRESH",e,e],[0,1,188,"BrowserFavorites",0,e,0,"VK_BROWSER_FAVORITES",e,e],[0,1,189,"ZoomToggle",0,e,0,e,e,e],[0,1,190,"MailReply",0,e,0,e,e,e],[0,1,191,"MailForward",0,e,0,e,e,e],[0,1,192,"MailSend",0,e,0,e,e,e],[109,1,0,e,109,"KeyInComposition",229,e,e,e],[111,1,0,e,111,"ABNT_C2",194,"VK_ABNT_C2",e,e],[91,1,0,e,91,"OEM_8",223,"VK_OEM_8",e,e],[0,1,0,e,0,e,0,"VK_KANA",e,e],[0,1,0,e,0,e,0,"VK_HANGUL",e,e],[0,1,0,e,0,e,0,"VK_JUNJA",e,e],[0,1,0,e,0,e,0,"VK_FINAL",e,e],[0,1,0,e,0,e,0,"VK_HANJA",e,e],[0,1,0,e,0,e,0,"VK_KANJI",e,e],[0,1,0,e,0,e,0,"VK_CONVERT",e,e],[0,1,0,e,0,e,0,"VK_NONCONVERT",e,e],[0,1,0,e,0,e,0,"VK_ACCEPT",e,e],[0,1,0,e,0,e,0,"VK_MODECHANGE",e,e],[0,1,0,e,0,e,0,"VK_SELECT",e,e],[0,1,0,e,0,e,0,"VK_PRINT",e,e],[0,1,0,e,0,e,0,"VK_EXECUTE",e,e],[0,1,0,e,0,e,0,"VK_SNAPSHOT",e,e],[0,1,0,e,0,e,0,"VK_HELP",e,e],[0,1,0,e,0,e,0,"VK_APPS",e,e],[0,1,0,e,0,e,0,"VK_PROCESSKEY",e,e],[0,1,0,e,0,e,0,"VK_PACKET",e,e],[0,1,0,e,0,e,0,"VK_DBE_SBCSCHAR",e,e],[0,1,0,e,0,e,0,"VK_DBE_DBCSCHAR",e,e],[0,1,0,e,0,e,0,"VK_ATTN",e,e],[0,1,0,e,0,e,0,"VK_CRSEL",e,e],[0,1,0,e,0,e,0,"VK_EXSEL",e,e],[0,1,0,e,0,e,0,"VK_EREOF",e,e],[0,1,0,e,0,e,0,"VK_PLAY",e,e],[0,1,0,e,0,e,0,"VK_ZOOM",e,e],[0,1,0,e,0,e,0,"VK_NONAME",e,e],[0,1,0,e,0,e,0,"VK_PA1",e,e],[0,1,0,e,0,e,0,"VK_OEM_CLEAR",e,e]],f=[],v=[];for(const m of C){const[w,_,g,h,N,b,r,l,s,a]=m;if(v[g]||(v[g]=!0,y[g]=h,S[h]=g,c[h.toLowerCase()]=g,_&&(n.IMMUTABLE_CODE_TO_KEY_CODE[g]=N,N!==0&&N!==3&&N!==5&&N!==4&&N!==6&&N!==57&&(n.IMMUTABLE_KEY_CODE_TO_CODE[N]=g))),!f[N]){if(f[N]=!0,!b)throw new Error(`String representation missing for key code ${N} around scan code ${h}`);D.define(N,b),i.define(N,s||b),o.define(N,a||s||b)}r&&(n.EVENT_KEY_CODE_MAP[r]=N),l&&(n.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE[l]=N)}n.IMMUTABLE_KEY_CODE_TO_CODE[3]=46})();var d;(function(e){function C(g){return D.keyCodeToStr(g)}e.toString=C;function f(g){return D.strToKeyCode(g)}e.fromString=f;function v(g){return i.keyCodeToStr(g)}e.toUserSettingsUS=v;function m(g){return o.keyCodeToStr(g)}e.toUserSettingsGeneral=m;function w(g){return i.strToKeyCode(g)||o.strToKeyCode(g)}e.fromUserSettings=w;function _(g){if(g>=93&&g<=108)return null;switch(g){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return D.keyCodeToStr(g)}e.toElectronAccelerator=_})(d=n.KeyCodeUtils||(n.KeyCodeUtils={}));function p(e,C){const f=(C&65535)<<16>>>0;return(e|f)>>>0}n.KeyChord=p}),Y(X[29],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.Lazy=void 0;class E{constructor(i){this.d=i,this.a=!1}get value(){if(!this.a)try{this.b=this.d()}catch(i){this.c=i}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}n.Lazy=E}),Y(X[10],Q([0,1,13,14]),function(O,n,E,D){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.DisposableMap=n.ImmortalReference=n.SafeDisposable=n.RefCountedDisposable=n.MutableDisposable=n.Disposable=n.DisposableStore=n.toDisposable=n.combinedDisposable=n.dispose=n.isDisposable=n.markAsSingleton=n.setDisposableTracker=void 0;const i=!1;let o=null;function y(l){o=l}if(n.setDisposableTracker=y,i){const l="__is_disposable_tracked__";y(new class{trackDisposable(s){const a=new Error("Potentially leaked disposable").stack;setTimeout(()=>{s[l]||console.log(a)},3e3)}setParent(s,a){if(s&&s!==_.None)try{s[l]=!0}catch{}}markAsDisposed(s){if(s&&s!==_.None)try{s[l]=!0}catch{}}markAsSingleton(s){}})}function S(l){return o?.trackDisposable(l),l}function c(l){o?.markAsDisposed(l)}function d(l,s){o?.setParent(l,s)}function p(l,s){if(!!o)for(const a of l)o.setParent(a,s)}function e(l){return o?.markAsSingleton(l),l}n.markAsSingleton=e;function C(l){return typeof l.dispose=="function"&&l.dispose.length===0}n.isDisposable=C;function f(l){if(D.Iterable.is(l)){const s=[];for(const a of l)if(a)try{a.dispose()}catch(u){s.push(u)}if(s.length===1)throw s[0];if(s.length>1)throw new AggregateError(s,"Encountered errors while disposing of store");return Array.isArray(l)?[]:l}else if(l)return l.dispose(),l}n.dispose=f;function v(...l){const s=m(()=>f(l));return p(l,s),s}n.combinedDisposable=v;function m(l){const s=S({dispose:(0,E.once)(()=>{c(s),l()})});return s}n.toDisposable=m;class w{constructor(){this.a=new Set,this.b=!1,S(this)}dispose(){this.b||(c(this),this.b=!0,this.clear())}get isDisposed(){return this.b}clear(){if(this.a.size!==0)try{f(this.a)}finally{this.a.clear()}}add(s){if(!s)return s;if(s===this)throw new Error("Cannot register a disposable on itself!");return d(s,this),this.b?w.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.a.add(s),s}}w.DISABLE_DISPOSED_WARNING=!1,n.DisposableStore=w;class _{constructor(){this.f=new w,S(this),d(this.f,this)}dispose(){c(this),this.f.dispose()}q(s){if(s===this)throw new Error("Cannot register a disposable on itself!");return this.f.add(s)}}_.None=Object.freeze({dispose(){}}),n.Disposable=_;class g{constructor(){this.b=!1,S(this)}get value(){return this.b?void 0:this.a}set value(s){var a;this.b||s===this.a||((a=this.a)===null||a===void 0||a.dispose(),s&&d(s,this),this.a=s)}clear(){this.value=void 0}dispose(){var s;this.b=!0,c(this),(s=this.a)===null||s===void 0||s.dispose(),this.a=void 0}clearAndLeak(){const s=this.a;return this.a=void 0,s&&d(s,null),s}}n.MutableDisposable=g;class h{constructor(s){this.b=s,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}n.RefCountedDisposable=h;class N{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,S(this)}set(s){let a=s;return this.unset=()=>a=void 0,this.isset=()=>a!==void 0,this.dispose=()=>{a&&(a(),a=void 0,c(this))},this}}n.SafeDisposable=N;class b{constructor(s){this.object=s}dispose(){}}n.ImmortalReference=b;class r{constructor(){this.a=new Map,this.b=!1,S(this)}dispose(){c(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(!!this.a.size)try{f(this.a.values())}finally{this.a.clear()}}get(s){return this.a.get(s)}set(s,a,u=!1){var L;this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),u||(L=this.a.get(s))===null||L===void 0||L.dispose(),this.a.set(s,a)}[Symbol.iterator](){return this.a[Symbol.iterator]()}}n.DisposableMap=r}),Y(X[15],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.LinkedList=void 0;class E{constructor(o){this.element=o,this.next=E.Undefined,this.prev=E.Undefined}}E.Undefined=new E(void 0);class D{constructor(){this.a=E.Undefined,this.b=E.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===E.Undefined}clear(){let o=this.a;for(;o!==E.Undefined;){const y=o.next;o.prev=E.Undefined,o.next=E.Undefined,o=y}this.a=E.Undefined,this.b=E.Undefined,this.c=0}unshift(o){return this.d(o,!1)}push(o){return this.d(o,!0)}d(o,y){const S=new E(o);if(this.a===E.Undefined)this.a=S,this.b=S;else if(y){const d=this.b;this.b=S,S.prev=d,d.next=S}else{const d=this.a;this.a=S,S.next=d,d.prev=S}this.c+=1;let c=!1;return()=>{c||(c=!0,this.e(S))}}shift(){if(this.a!==E.Undefined){const o=this.a.element;return this.e(this.a),o}}pop(){if(this.b!==E.Undefined){const o=this.b.element;return this.e(this.b),o}}e(o){if(o.prev!==E.Undefined&&o.next!==E.Undefined){const y=o.prev;y.next=o.next,o.next.prev=y}else o.prev===E.Undefined&&o.next===E.Undefined?(this.a=E.Undefined,this.b=E.Undefined):o.next===E.Undefined?(this.b=this.b.prev,this.b.next=E.Undefined):o.prev===E.Undefined&&(this.a=this.a.next,this.a.prev=E.Undefined);this.c-=1}*[Symbol.iterator](){let o=this.a;for(;o!==E.Undefined;)yield o.element,o=o.next}}n.LinkedList=D}),Y(X[4],Q([0,1,26,29]),function(O,n,E,D){"use strict";var i;Object.defineProperty(n,"__esModule",{value:!0}),n.InvisibleCharacters=n.AmbiguousCharacters=n.noBreakWhitespace=n.getLeftDeleteOffset=n.singleLetterHash=n.containsUppercaseCharacter=n.startsWithUTF8BOM=n.UTF8_BOM_CHARACTER=n.isEmojiImprecise=n.isFullWidthCharacter=n.containsUnusualLineTerminators=n.UNUSUAL_LINE_TERMINATORS=n.isBasicASCII=n.containsRTL=n.getCharContainingOffset=n.prevCharLength=n.nextCharLength=n.GraphemeIterator=n.CodePointIterator=n.getNextCodePoint=n.computeCodePoint=n.isLowSurrogate=n.isHighSurrogate=n.commonSuffixLength=n.commonPrefixLength=n.startsWithIgnoreCase=n.equalsIgnoreCase=n.isUpperAsciiLetter=n.isLowerAsciiLetter=n.isAsciiDigit=n.compareSubstringIgnoreCase=n.compareIgnoreCase=n.compareSubstring=n.compare=n.lastNonWhitespaceIndex=n.getLeadingWhitespace=n.firstNonWhitespaceIndex=n.splitLines=n.regExpFlags=n.regExpLeadsToEndlessLoop=n.createRegExp=n.stripWildcards=n.convertSimple2RegExpPattern=n.rtrim=n.ltrim=n.trim=n.escapeRegExpCharacters=n.escape=n.format=n.isFalsyOrWhitespace=void 0;function o(P){return!P||typeof P!="string"?!0:P.trim().length===0}n.isFalsyOrWhitespace=o;const y=/{(\d+)}/g;function S(P,...B){return B.length===0?P:P.replace(y,function(x,H){const Z=parseInt(H,10);return isNaN(Z)||Z<0||Z>=B.length?x:B[Z]})}n.format=S;function c(P){return P.replace(/[<>&]/g,function(B){switch(B){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return B}})}n.escape=c;function d(P){return P.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}n.escapeRegExpCharacters=d;function p(P,B=" "){const x=e(P,B);return C(x,B)}n.trim=p;function e(P,B){if(!P||!B)return P;const x=B.length;if(x===0||P.length===0)return P;let H=0;for(;P.indexOf(B,H)===H;)H=H+x;return P.substring(H)}n.ltrim=e;function C(P,B){if(!P||!B)return P;const x=B.length,H=P.length;if(x===0||H===0)return P;let Z=H,ie=-1;for(;ie=P.lastIndexOf(B,Z-1),!(ie===-1||ie+x!==Z);){if(ie===0)return"";Z=ie}return P.substring(0,Z)}n.rtrim=C;function f(P){return P.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}n.convertSimple2RegExpPattern=f;function v(P){return P.replace(/\*/g,"")}n.stripWildcards=v;function m(P,B,x={}){if(!P)throw new Error("Cannot create regex from empty string");B||(P=d(P)),x.wholeWord&&(/\B/.test(P.charAt(0))||(P="\\b"+P),/\B/.test(P.charAt(P.length-1))||(P=P+"\\b"));let H="";return x.global&&(H+="g"),x.matchCase||(H+="i"),x.multiline&&(H+="m"),x.unicode&&(H+="u"),new RegExp(P,H)}n.createRegExp=m;function w(P){return P.source==="^"||P.source==="^$"||P.source==="$"||P.source==="^\\s*$"?!1:!!(P.exec("")&&P.lastIndex===0)}n.regExpLeadsToEndlessLoop=w;function _(P){return(P.global?"g":"")+(P.ignoreCase?"i":"")+(P.multiline?"m":"")+(P.unicode?"u":"")}n.regExpFlags=_;function g(P){return P.split(/\r\n|\r|\n/)}n.splitLines=g;function h(P){for(let B=0,x=P.length;B<x;B++){const H=P.charCodeAt(B);if(H!==32&&H!==9)return B}return-1}n.firstNonWhitespaceIndex=h;function N(P,B=0,x=P.length){for(let H=B;H<x;H++){const Z=P.charCodeAt(H);if(Z!==32&&Z!==9)return P.substring(B,H)}return P.substring(B,x)}n.getLeadingWhitespace=N;function b(P,B=P.length-1){for(let x=B;x>=0;x--){const H=P.charCodeAt(x);if(H!==32&&H!==9)return x}return-1}n.lastNonWhitespaceIndex=b;function r(P,B){return P<B?-1:P>B?1:0}n.compare=r;function l(P,B,x=0,H=P.length,Z=0,ie=B.length){for(;x<H&&Z<ie;x++,Z++){const ge=P.charCodeAt(x),re=B.charCodeAt(Z);if(ge<re)return-1;if(ge>re)return 1}const ue=H-x,Ce=ie-Z;return ue<Ce?-1:ue>Ce?1:0}n.compareSubstring=l;function s(P,B){return a(P,B,0,P.length,0,B.length)}n.compareIgnoreCase=s;function a(P,B,x=0,H=P.length,Z=0,ie=B.length){for(;x<H&&Z<ie;x++,Z++){let ge=P.charCodeAt(x),re=B.charCodeAt(Z);if(ge===re)continue;if(ge>=128||re>=128)return l(P.toLowerCase(),B.toLowerCase(),x,H,Z,ie);L(ge)&&(ge-=32),L(re)&&(re-=32);const he=ge-re;if(he!==0)return he}const ue=H-x,Ce=ie-Z;return ue<Ce?-1:ue>Ce?1:0}n.compareSubstringIgnoreCase=a;function u(P){return P>=48&&P<=57}n.isAsciiDigit=u;function L(P){return P>=97&&P<=122}n.isLowerAsciiLetter=L;function R(P){return P>=65&&P<=90}n.isUpperAsciiLetter=R;function A(P,B){return P.length===B.length&&a(P,B)===0}n.equalsIgnoreCase=A;function M(P,B){const x=B.length;return B.length>P.length?!1:a(P,B,0,x)===0}n.startsWithIgnoreCase=M;function U(P,B){const x=Math.min(P.length,B.length);let H;for(H=0;H<x;H++)if(P.charCodeAt(H)!==B.charCodeAt(H))return H;return x}n.commonPrefixLength=U;function W(P,B){const x=Math.min(P.length,B.length);let H;const Z=P.length-1,ie=B.length-1;for(H=0;H<x;H++)if(P.charCodeAt(Z-H)!==B.charCodeAt(ie-H))return H;return x}n.commonSuffixLength=W;function I(P){return 55296<=P&&P<=56319}n.isHighSurrogate=I;function q(P){return 56320<=P&&P<=57343}n.isLowSurrogate=q;function z(P,B){return(P-55296<<10)+(B-56320)+65536}n.computeCodePoint=z;function F(P,B,x){const H=P.charCodeAt(x);if(I(H)&&x+1<B){const Z=P.charCodeAt(x+1);if(q(Z))return z(H,Z)}return H}n.getNextCodePoint=F;function T(P,B){const x=P.charCodeAt(B-1);if(q(x)&&B>1){const H=P.charCodeAt(B-2);if(I(H))return z(H,x)}return x}class k{get offset(){return this.e}constructor(B,x=0){this.c=B,this.d=B.length,this.e=x}setOffset(B){this.e=B}prevCodePoint(){const B=T(this.c,this.e);return this.e-=B>=65536?2:1,B}nextCodePoint(){const B=F(this.c,this.d,this.e);return this.e+=B>=65536?2:1,B}eol(){return this.e>=this.d}}n.CodePointIterator=k;class V{get offset(){return this.c.offset}constructor(B,x=0){this.c=new k(B,x)}nextGraphemeLength(){const B=ee.getInstance(),x=this.c,H=x.offset;let Z=B.getGraphemeBreakType(x.nextCodePoint());for(;!x.eol();){const ie=x.offset,ue=B.getGraphemeBreakType(x.nextCodePoint());if(K(Z,ue)){x.setOffset(ie);break}Z=ue}return x.offset-H}prevGraphemeLength(){const B=ee.getInstance(),x=this.c,H=x.offset;let Z=B.getGraphemeBreakType(x.prevCodePoint());for(;x.offset>0;){const ie=x.offset,ue=B.getGraphemeBreakType(x.prevCodePoint());if(K(ue,Z)){x.setOffset(ie);break}Z=ue}return H-x.offset}eol(){return this.c.eol()}}n.GraphemeIterator=V;function t(P,B){return new V(P,B).nextGraphemeLength()}n.nextCharLength=t;function ne(P,B){return new V(P,B).prevGraphemeLength()}n.prevCharLength=ne;function le(P,B){B>0&&q(P.charCodeAt(B))&&B--;const x=B+t(P,B);return[x-ne(P,x),x]}n.getCharContainingOffset=le;let de;function we(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function ye(P){return de||(de=we()),de.test(P)}n.containsRTL=ye;const pe=/^[\t\n\r\x20-\x7E]*$/;function Se(P){return pe.test(P)}n.isBasicASCII=Se,n.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Ne(P){return n.UNUSUAL_LINE_TERMINATORS.test(P)}n.containsUnusualLineTerminators=Ne;function _e(P){return P>=11904&&P<=55215||P>=63744&&P<=64255||P>=65281&&P<=65374}n.isFullWidthCharacter=_e;function J(P){return P>=127462&&P<=127487||P===8986||P===8987||P===9200||P===9203||P>=9728&&P<=10175||P===11088||P===11093||P>=127744&&P<=128591||P>=128640&&P<=128764||P>=128992&&P<=129008||P>=129280&&P<=129535||P>=129648&&P<=129782}n.isEmojiImprecise=J,n.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function j(P){return!!(P&&P.length>0&&P.charCodeAt(0)===65279)}n.startsWithUTF8BOM=j;function G(P,B=!1){return P?(B&&(P=P.replace(/\\./g,"")),P.toLowerCase()!==P):!1}n.containsUppercaseCharacter=G;function $(P){return P=P%(2*26),P<26?String.fromCharCode(97+P):String.fromCharCode(65+P-26)}n.singleLetterHash=$;function K(P,B){return P===0?B!==5&&B!==7:P===2&&B===3?!1:P===4||P===2||P===3||B===4||B===2||B===3?!0:!(P===8&&(B===8||B===9||B===11||B===12)||(P===11||P===9)&&(B===9||B===10)||(P===12||P===10)&&B===10||B===5||B===13||B===7||P===1||P===13&&B===14||P===6&&B===6)}class ee{static getInstance(){return ee.c||(ee.c=new ee),ee.c}constructor(){this.d=te()}getGraphemeBreakType(B){if(B<32)return B===10?3:B===13?2:4;if(B<127)return 0;const x=this.d,H=x.length/3;let Z=1;for(;Z<=H;)if(B<x[3*Z])Z=2*Z;else if(B>x[3*Z+1])Z=2*Z+1;else return x[3*Z+2];return 0}}ee.c=null;function te(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function ae(P,B){if(P===0)return 0;const x=be(P,B);if(x!==void 0)return x;const H=new k(B,P);return H.prevCodePoint(),H.offset}n.getLeftDeleteOffset=ae;function be(P,B){const x=new k(B,P);let H=x.prevCodePoint();for(;ve(H)||H===65039||H===8419;){if(x.offset===0)return;H=x.prevCodePoint()}if(!J(H))return;let Z=x.offset;return Z>0&&x.prevCodePoint()===8205&&(Z=x.offset),Z}function ve(P){return 127995<=P&&P<=127999}n.noBreakWhitespace="\xA0";class oe{static getInstance(B){return oe.d.get(Array.from(B))}static getLocales(){return oe.e.value}constructor(B){this.f=B}isAmbiguous(B){return this.f.has(B)}getPrimaryConfusable(B){return this.f.get(B)}getConfusableCodePoints(){return new Set(this.f.keys())}}i=oe,oe.c=new D.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),oe.d=new E.LRUCachedFunction(P=>{function B(re){const he=new Map;for(let me=0;me<re.length;me+=2)he.set(re[me],re[me+1]);return he}function x(re,he){const me=new Map(re);for(const[Le,Ae]of he)me.set(Le,Ae);return me}function H(re,he){if(!re)return he;const me=new Map;for(const[Le,Ae]of re)he.has(Le)&&me.set(Le,Ae);return me}const Z=i.c.value;let ie=P.filter(re=>!re.startsWith("_")&&re in Z);ie.length===0&&(ie=["_default"]);let ue;for(const re of ie){const he=B(Z[re]);ue=H(ue,he)}const Ce=B(Z._common),ge=x(Ce,ue);return new oe(ge)}),oe.e=new D.Lazy(()=>Object.keys(oe.c.value).filter(P=>!P.startsWith("_"))),n.AmbiguousCharacters=oe;class ce{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static e(){return this.d||(this.d=new Set(ce.c())),this.d}static isInvisibleCharacter(B){return ce.e().has(B)}static get codePoints(){return ce.e()}}ce.d=void 0,n.InvisibleCharacters=ce}),Y(X[30],Q([0,1,4]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.StringSHA1=n.toHexString=n.stringHash=n.numberHash=n.doHash=n.hash=void 0;function D(m){return i(m,0)}n.hash=D;function i(m,w){switch(typeof m){case"object":return m===null?o(349,w):Array.isArray(m)?c(m,w):d(m,w);case"string":return S(m,w);case"boolean":return y(m,w);case"number":return o(m,w);case"undefined":return o(937,w);default:return o(617,w)}}n.doHash=i;function o(m,w){return(w<<5)-w+m|0}n.numberHash=o;function y(m,w){return o(m?433:863,w)}function S(m,w){w=o(149417,w);for(let _=0,g=m.length;_<g;_++)w=o(m.charCodeAt(_),w);return w}n.stringHash=S;function c(m,w){return w=o(104579,w),m.reduce((_,g)=>i(g,_),w)}function d(m,w){return w=o(181387,w),Object.keys(m).sort().reduce((_,g)=>(_=S(g,_),i(m[g],_)),w)}function p(m,w,_=32){const g=_-w,h=~((1<<g)-1);return(m<<w|(h&m)>>>g)>>>0}function e(m,w=0,_=m.byteLength,g=0){for(let h=0;h<_;h++)m[w+h]=g}function C(m,w,_="0"){for(;m.length<w;)m=_+m;return m}function f(m,w=32){return m instanceof ArrayBuffer?Array.from(new Uint8Array(m)).map(_=>_.toString(16).padStart(2,"0")).join(""):C((m>>>0).toString(16),w/4)}n.toHexString=f;class v{constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(64+3),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(w){const _=w.length;if(_===0)return;const g=this.p;let h=this.r,N=this.u,b,r;for(N!==0?(b=N,r=-1,N=0):(b=w.charCodeAt(0),r=0);;){let l=b;if(E.isHighSurrogate(b))if(r+1<_){const s=w.charCodeAt(r+1);E.isLowSurrogate(s)?(r++,l=E.computeCodePoint(b,s)):l=65533}else{N=b;break}else E.isLowSurrogate(b)&&(l=65533);if(h=this.w(g,h,l),r++,r<_)b=w.charCodeAt(r);else break}this.r=h,this.u=N}w(w,_,g){return g<128?w[_++]=g:g<2048?(w[_++]=192|(g&1984)>>>6,w[_++]=128|(g&63)>>>0):g<65536?(w[_++]=224|(g&61440)>>>12,w[_++]=128|(g&4032)>>>6,w[_++]=128|(g&63)>>>0):(w[_++]=240|(g&1835008)>>>18,w[_++]=128|(g&258048)>>>12,w[_++]=128|(g&4032)>>>6,w[_++]=128|(g&63)>>>0),_>=64&&(this.y(),_-=64,this.t+=64,w[0]=w[64+0],w[1]=w[64+1],w[2]=w[64+2]),_}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),f(this.h)+f(this.l)+f(this.m)+f(this.n)+f(this.o)}x(){this.p[this.r++]=128,e(this.p,this.r),this.r>56&&(this.y(),e(this.p));const w=8*this.t;this.q.setUint32(56,Math.floor(w/4294967296),!1),this.q.setUint32(60,w%4294967296,!1),this.y()}y(){const w=v.g,_=this.q;for(let u=0;u<64;u+=4)w.setUint32(u,_.getUint32(u,!1),!1);for(let u=64;u<320;u+=4)w.setUint32(u,p(w.getUint32(u-12,!1)^w.getUint32(u-32,!1)^w.getUint32(u-56,!1)^w.getUint32(u-64,!1),1),!1);let g=this.h,h=this.l,N=this.m,b=this.n,r=this.o,l,s,a;for(let u=0;u<80;u++)u<20?(l=h&N|~h&b,s=1518500249):u<40?(l=h^N^b,s=1859775393):u<60?(l=h&N|h&b|N&b,s=2400959708):(l=h^N^b,s=3395469782),a=p(g,5)+l+r+s+w.getUint32(u*4,!1)&4294967295,r=b,b=N,N=p(h,30),h=g,g=a;this.h=this.h+g&4294967295,this.l=this.l+h&4294967295,this.m=this.m+N&4294967295,this.n=this.n+b&4294967295,this.o=this.o+r&4294967295}}v.g=new DataView(new ArrayBuffer(320)),n.StringSHA1=v}),Y(X[16],Q([0,1,27,30]),function(O,n,E,D){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.LcsDiff=n.stringDiff=n.StringDiffSequence=void 0;class i{constructor(e){this.a=e}getElements(){const e=this.a,C=new Int32Array(e.length);for(let f=0,v=e.length;f<v;f++)C[f]=e.charCodeAt(f);return C}}n.StringDiffSequence=i;function o(p,e,C){return new d(new i(p),new i(e)).ComputeDiff(C).changes}n.stringDiff=o;class y{static Assert(e,C){if(!e)throw new Error(C)}}class S{static Copy(e,C,f,v,m){for(let w=0;w<m;w++)f[v+w]=e[C+w]}static Copy2(e,C,f,v,m){for(let w=0;w<m;w++)f[v+w]=e[C+w]}}class c{constructor(){this.a=[],this.b=1073741824,this.c=1073741824,this.d=0,this.e=0}MarkNextChange(){(this.d>0||this.e>0)&&this.a.push(new E.DiffChange(this.b,this.d,this.c,this.e)),this.d=0,this.e=0,this.b=1073741824,this.c=1073741824}AddOriginalElement(e,C){this.b=Math.min(this.b,e),this.c=Math.min(this.c,C),this.d++}AddModifiedElement(e,C){this.b=Math.min(this.b,e),this.c=Math.min(this.c,C),this.e++}getChanges(){return(this.d>0||this.e>0)&&this.MarkNextChange(),this.a}getReverseChanges(){return(this.d>0||this.e>0)&&this.MarkNextChange(),this.a.reverse(),this.a}}class d{constructor(e,C,f=null){this.a=f,this.b=e,this.c=C;const[v,m,w]=d.o(e),[_,g,h]=d.o(C);this.d=w&&h,this.e=v,this.f=m,this.g=_,this.h=g,this.k=[],this.m=[]}static n(e){return e.length>0&&typeof e[0]=="string"}static o(e){const C=e.getElements();if(d.n(C)){const f=new Int32Array(C.length);for(let v=0,m=C.length;v<m;v++)f[v]=(0,D.stringHash)(C[v],0);return[C,f,!0]}return C instanceof Int32Array?[[],C,!1]:[[],new Int32Array(C),!1]}p(e,C){return this.f[e]!==this.h[C]?!1:this.d?this.e[e]===this.g[C]:!0}q(e,C){if(!this.p(e,C))return!1;const f=d.r(this.b,e),v=d.r(this.c,C);return f===v}static r(e,C){return typeof e.getStrictElement=="function"?e.getStrictElement(C):null}s(e,C){return this.f[e]!==this.f[C]?!1:this.d?this.e[e]===this.e[C]:!0}u(e,C){return this.h[e]!==this.h[C]?!1:this.d?this.g[e]===this.g[C]:!0}ComputeDiff(e){return this.v(0,this.f.length-1,0,this.h.length-1,e)}v(e,C,f,v,m){const w=[!1];let _=this.w(e,C,f,v,w);return m&&(_=this.z(_)),{quitEarly:w[0],changes:_}}w(e,C,f,v,m){for(m[0]=!1;e<=C&&f<=v&&this.p(e,f);)e++,f++;for(;C>=e&&v>=f&&this.p(C,v);)C--,v--;if(e>C||f>v){let b;return f<=v?(y.Assert(e===C+1,"originalStart should only be one more than originalEnd"),b=[new E.DiffChange(e,0,f,v-f+1)]):e<=C?(y.Assert(f===v+1,"modifiedStart should only be one more than modifiedEnd"),b=[new E.DiffChange(e,C-e+1,f,0)]):(y.Assert(e===C+1,"originalStart should only be one more than originalEnd"),y.Assert(f===v+1,"modifiedStart should only be one more than modifiedEnd"),b=[]),b}const w=[0],_=[0],g=this.y(e,C,f,v,w,_,m),h=w[0],N=_[0];if(g!==null)return g;if(!m[0]){const b=this.w(e,h,f,N,m);let r=[];return m[0]?r=[new E.DiffChange(h+1,C-(h+1)+1,N+1,v-(N+1)+1)]:r=this.w(h+1,C,N+1,v,m),this.H(b,r)}return[new E.DiffChange(e,C-e+1,f,v-f+1)]}x(e,C,f,v,m,w,_,g,h,N,b,r,l,s,a,u,L,R){let A=null,M=null,U=new c,W=C,I=f,q=l[0]-u[0]-v,z=-1073741824,F=this.k.length-1;do{const T=q+e;T===W||T<I&&h[T-1]<h[T+1]?(b=h[T+1],s=b-q-v,b<z&&U.MarkNextChange(),z=b,U.AddModifiedElement(b+1,s),q=T+1-e):(b=h[T-1]+1,s=b-q-v,b<z&&U.MarkNextChange(),z=b-1,U.AddOriginalElement(b,s+1),q=T-1-e),F>=0&&(h=this.k[F],e=h[0],W=1,I=h.length-1)}while(--F>=-1);if(A=U.getReverseChanges(),R[0]){let T=l[0]+1,k=u[0]+1;if(A!==null&&A.length>0){const V=A[A.length-1];T=Math.max(T,V.getOriginalEnd()),k=Math.max(k,V.getModifiedEnd())}M=[new E.DiffChange(T,r-T+1,k,a-k+1)]}else{U=new c,W=w,I=_,q=l[0]-u[0]-g,z=1073741824,F=L?this.m.length-1:this.m.length-2;do{const T=q+m;T===W||T<I&&N[T-1]>=N[T+1]?(b=N[T+1]-1,s=b-q-g,b>z&&U.MarkNextChange(),z=b+1,U.AddOriginalElement(b+1,s+1),q=T+1-m):(b=N[T-1],s=b-q-g,b>z&&U.MarkNextChange(),z=b,U.AddModifiedElement(b+1,s+1),q=T-1-m),F>=0&&(N=this.m[F],m=N[0],W=1,I=N.length-1)}while(--F>=-1);M=U.getChanges()}return this.H(A,M)}y(e,C,f,v,m,w,_){let g=0,h=0,N=0,b=0,r=0,l=0;e--,f--,m[0]=0,w[0]=0,this.k=[],this.m=[];const s=C-e+(v-f),a=s+1,u=new Int32Array(a),L=new Int32Array(a),R=v-f,A=C-e,M=e-f,U=C-v,I=(A-R)%2===0;u[R]=e,L[A]=C,_[0]=!1;for(let q=1;q<=s/2+1;q++){let z=0,F=0;N=this.J(R-q,q,R,a),b=this.J(R+q,q,R,a);for(let k=N;k<=b;k+=2){k===N||k<b&&u[k-1]<u[k+1]?g=u[k+1]:g=u[k-1]+1,h=g-(k-R)-M;const V=g;for(;g<C&&h<v&&this.p(g+1,h+1);)g++,h++;if(u[k]=g,g+h>z+F&&(z=g,F=h),!I&&Math.abs(k-A)<=q-1&&g>=L[k])return m[0]=g,w[0]=h,V<=L[k]&&1447>0&&q<=1447+1?this.x(R,N,b,M,A,r,l,U,u,L,g,C,m,h,v,w,I,_):null}const T=(z-e+(F-f)-q)/2;if(this.a!==null&&!this.a(z,T))return _[0]=!0,m[0]=z,w[0]=F,T>0&&1447>0&&q<=1447+1?this.x(R,N,b,M,A,r,l,U,u,L,g,C,m,h,v,w,I,_):(e++,f++,[new E.DiffChange(e,C-e+1,f,v-f+1)]);r=this.J(A-q,q,A,a),l=this.J(A+q,q,A,a);for(let k=r;k<=l;k+=2){k===r||k<l&&L[k-1]>=L[k+1]?g=L[k+1]-1:g=L[k-1],h=g-(k-A)-U;const V=g;for(;g>e&&h>f&&this.p(g,h);)g--,h--;if(L[k]=g,I&&Math.abs(k-R)<=q&&g<=u[k])return m[0]=g,w[0]=h,V>=u[k]&&1447>0&&q<=1447+1?this.x(R,N,b,M,A,r,l,U,u,L,g,C,m,h,v,w,I,_):null}if(q<=1447){let k=new Int32Array(b-N+2);k[0]=R-N+1,S.Copy2(u,N,k,1,b-N+1),this.k.push(k),k=new Int32Array(l-r+2),k[0]=A-r+1,S.Copy2(L,r,k,1,l-r+1),this.m.push(k)}}return this.x(R,N,b,M,A,r,l,U,u,L,g,C,m,h,v,w,I,_)}z(e){for(let C=0;C<e.length;C++){const f=e[C],v=C<e.length-1?e[C+1].originalStart:this.f.length,m=C<e.length-1?e[C+1].modifiedStart:this.h.length,w=f.originalLength>0,_=f.modifiedLength>0;for(;f.originalStart+f.originalLength<v&&f.modifiedStart+f.modifiedLength<m&&(!w||this.s(f.originalStart,f.originalStart+f.originalLength))&&(!_||this.u(f.modifiedStart,f.modifiedStart+f.modifiedLength));){const h=this.q(f.originalStart,f.modifiedStart);if(this.q(f.originalStart+f.originalLength,f.modifiedStart+f.modifiedLength)&&!h)break;f.originalStart++,f.modifiedStart++}const g=[null];if(C<e.length-1&&this.I(e[C],e[C+1],g)){e[C]=g[0],e.splice(C+1,1),C--;continue}}for(let C=e.length-1;C>=0;C--){const f=e[C];let v=0,m=0;if(C>0){const b=e[C-1];v=b.originalStart+b.originalLength,m=b.modifiedStart+b.modifiedLength}const w=f.originalLength>0,_=f.modifiedLength>0;let g=0,h=this.G(f.originalStart,f.originalLength,f.modifiedStart,f.modifiedLength);for(let b=1;;b++){const r=f.originalStart-b,l=f.modifiedStart-b;if(r<v||l<m||w&&!this.s(r,r+f.originalLength)||_&&!this.u(l,l+f.modifiedLength))break;const a=(r===v&&l===m?5:0)+this.G(r,f.originalLength,l,f.modifiedLength);a>h&&(h=a,g=b)}f.originalStart-=g,f.modifiedStart-=g;const N=[null];if(C>0&&this.I(e[C-1],e[C],N)){e[C-1]=N[0],e.splice(C,1),C++;continue}}if(this.d)for(let C=1,f=e.length;C<f;C++){const v=e[C-1],m=e[C],w=m.originalStart-v.originalStart-v.originalLength,_=v.originalStart,g=m.originalStart+m.originalLength,h=g-_,N=v.modifiedStart,b=m.modifiedStart+m.modifiedLength,r=b-N;if(w<5&&h<20&&r<20){const l=this.A(_,h,N,r,w);if(l){const[s,a]=l;(s!==v.originalStart+v.originalLength||a!==v.modifiedStart+v.modifiedLength)&&(v.originalLength=s-v.originalStart,v.modifiedLength=a-v.modifiedStart,m.originalStart=s+w,m.modifiedStart=a+w,m.originalLength=g-m.originalStart,m.modifiedLength=b-m.modifiedStart)}}}return e}A(e,C,f,v,m){if(C<m||v<m)return null;const w=e+C-m+1,_=f+v-m+1;let g=0,h=0,N=0;for(let b=e;b<w;b++)for(let r=f;r<_;r++){const l=this.B(b,r,m);l>0&&l>g&&(g=l,h=b,N=r)}return g>0?[h,N]:null}B(e,C,f){let v=0;for(let m=0;m<f;m++){if(!this.p(e+m,C+m))return 0;v+=this.e[e+m].length}return v}C(e){return e<=0||e>=this.f.length-1?!0:this.d&&/^\s*$/.test(this.e[e])}D(e,C){if(this.C(e)||this.C(e-1))return!0;if(C>0){const f=e+C;if(this.C(f-1)||this.C(f))return!0}return!1}E(e){return e<=0||e>=this.h.length-1?!0:this.d&&/^\s*$/.test(this.g[e])}F(e,C){if(this.E(e)||this.E(e-1))return!0;if(C>0){const f=e+C;if(this.E(f-1)||this.E(f))return!0}return!1}G(e,C,f,v){const m=this.D(e,C)?1:0,w=this.F(f,v)?1:0;return m+w}H(e,C){const f=[];if(e.length===0||C.length===0)return C.length>0?C:e;if(this.I(e[e.length-1],C[0],f)){const v=new Array(e.length+C.length-1);return S.Copy(e,0,v,0,e.length-1),v[e.length-1]=f[0],S.Copy(C,1,v,e.length,C.length-1),v}else{const v=new Array(e.length+C.length);return S.Copy(e,0,v,0,e.length),S.Copy(C,0,v,e.length,C.length),v}}I(e,C,f){if(y.Assert(e.originalStart<=C.originalStart,"Left change is not less than or equal to right change"),y.Assert(e.modifiedStart<=C.modifiedStart,"Left change is not less than or equal to right change"),e.originalStart+e.originalLength>=C.originalStart||e.modifiedStart+e.modifiedLength>=C.modifiedStart){const v=e.originalStart;let m=e.originalLength;const w=e.modifiedStart;let _=e.modifiedLength;return e.originalStart+e.originalLength>=C.originalStart&&(m=C.originalStart+C.originalLength-e.originalStart),e.modifiedStart+e.modifiedLength>=C.modifiedStart&&(_=C.modifiedStart+C.modifiedLength-e.modifiedStart),f[0]=new E.DiffChange(v,m,w,_),!0}else return f[0]=null,!1}J(e,C,f,v){if(e>=0&&e<v)return e;const m=f,w=v-f-1,_=C%2===0;if(e<0){const g=m%2===0;return _===g?0:1}else{const g=w%2===0;return _===g?v-1:v-2}}}n.LcsDiff=d}),Y(X[17],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.withNullAsUndefined=n.validateConstraint=n.validateConstraints=n.isFunction=n.assertIsDefined=n.assertType=n.isUndefinedOrNull=n.isDefined=n.isUndefined=n.isBoolean=n.isIterable=n.isNumber=n.isTypedArray=n.isObject=n.isString=void 0;function E(_){return typeof _=="string"}n.isString=E;function D(_){return typeof _=="object"&&_!==null&&!Array.isArray(_)&&!(_ instanceof RegExp)&&!(_ instanceof Date)}n.isObject=D;function i(_){const g=Object.getPrototypeOf(Uint8Array);return typeof _=="object"&&_ instanceof g}n.isTypedArray=i;function o(_){return typeof _=="number"&&!isNaN(_)}n.isNumber=o;function y(_){return!!_&&typeof _[Symbol.iterator]=="function"}n.isIterable=y;function S(_){return _===!0||_===!1}n.isBoolean=S;function c(_){return typeof _>"u"}n.isUndefined=c;function d(_){return!p(_)}n.isDefined=d;function p(_){return c(_)||_===null}n.isUndefinedOrNull=p;function e(_,g){if(!_)throw new Error(g?`Unexpected type, expected '${g}'`:"Unexpected type")}n.assertType=e;function C(_){if(p(_))throw new Error("Assertion Failed: argument is undefined or null");return _}n.assertIsDefined=C;function f(_){return typeof _=="function"}n.isFunction=f;function v(_,g){const h=Math.min(_.length,g.length);for(let N=0;N<h;N++)m(_[N],g[N])}n.validateConstraints=v;function m(_,g){if(E(g)){if(typeof _!==g)throw new Error(`argument does not match constraint: typeof ${g}`)}else if(f(g)){try{if(_ instanceof g)return}catch{}if(!p(_)&&_.constructor===g||g.length===1&&g.call(void 0,_)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}n.validateConstraint=m;function w(_){return _===null?void 0:_}n.withNullAsUndefined=w}),Y(X[31],Q([0,1,17]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.Codicon=n.getCodiconFontCharacters=void 0;const D=Object.create(null);function i(y,S){if((0,E.isString)(S)){const c=D[S];if(c===void 0)throw new Error(`${y} references an unknown codicon: ${S}`);S=c}return D[y]=S,{id:y}}function o(){return D}n.getCodiconFontCharacters=o,n.Codicon={add:i("add",6e4),plus:i("plus",6e4),gistNew:i("gist-new",6e4),repoCreate:i("repo-create",6e4),lightbulb:i("lightbulb",60001),lightBulb:i("light-bulb",60001),repo:i("repo",60002),repoDelete:i("repo-delete",60002),gistFork:i("gist-fork",60003),repoForked:i("repo-forked",60003),gitPullRequest:i("git-pull-request",60004),gitPullRequestAbandoned:i("git-pull-request-abandoned",60004),recordKeys:i("record-keys",60005),keyboard:i("keyboard",60005),tag:i("tag",60006),tagAdd:i("tag-add",60006),tagRemove:i("tag-remove",60006),person:i("person",60007),personFollow:i("person-follow",60007),personOutline:i("person-outline",60007),personFilled:i("person-filled",60007),gitBranch:i("git-branch",60008),gitBranchCreate:i("git-branch-create",60008),gitBranchDelete:i("git-branch-delete",60008),sourceControl:i("source-control",60008),mirror:i("mirror",60009),mirrorPublic:i("mirror-public",60009),star:i("star",60010),starAdd:i("star-add",60010),starDelete:i("star-delete",60010),starEmpty:i("star-empty",60010),comment:i("comment",60011),commentAdd:i("comment-add",60011),alert:i("alert",60012),warning:i("warning",60012),search:i("search",60013),searchSave:i("search-save",60013),logOut:i("log-out",60014),signOut:i("sign-out",60014),logIn:i("log-in",60015),signIn:i("sign-in",60015),eye:i("eye",60016),eyeUnwatch:i("eye-unwatch",60016),eyeWatch:i("eye-watch",60016),circleFilled:i("circle-filled",60017),primitiveDot:i("primitive-dot",60017),closeDirty:i("close-dirty",60017),debugBreakpoint:i("debug-breakpoint",60017),debugBreakpointDisabled:i("debug-breakpoint-disabled",60017),debugHint:i("debug-hint",60017),primitiveSquare:i("primitive-square",60018),edit:i("edit",60019),pencil:i("pencil",60019),info:i("info",60020),issueOpened:i("issue-opened",60020),gistPrivate:i("gist-private",60021),gitForkPrivate:i("git-fork-private",60021),lock:i("lock",60021),mirrorPrivate:i("mirror-private",60021),close:i("close",60022),removeClose:i("remove-close",60022),x:i("x",60022),repoSync:i("repo-sync",60023),sync:i("sync",60023),clone:i("clone",60024),desktopDownload:i("desktop-download",60024),beaker:i("beaker",60025),microscope:i("microscope",60025),vm:i("vm",60026),deviceDesktop:i("device-desktop",60026),file:i("file",60027),fileText:i("file-text",60027),more:i("more",60028),ellipsis:i("ellipsis",60028),kebabHorizontal:i("kebab-horizontal",60028),mailReply:i("mail-reply",60029),reply:i("reply",60029),organization:i("organization",60030),organizationFilled:i("organization-filled",60030),organizationOutline:i("organization-outline",60030),newFile:i("new-file",60031),fileAdd:i("file-add",60031),newFolder:i("new-folder",60032),fileDirectoryCreate:i("file-directory-create",60032),trash:i("trash",60033),trashcan:i("trashcan",60033),history:i("history",60034),clock:i("clock",60034),folder:i("folder",60035),fileDirectory:i("file-directory",60035),symbolFolder:i("symbol-folder",60035),logoGithub:i("logo-github",60036),markGithub:i("mark-github",60036),github:i("github",60036),terminal:i("terminal",60037),console:i("console",60037),repl:i("repl",60037),zap:i("zap",60038),symbolEvent:i("symbol-event",60038),error:i("error",60039),stop:i("stop",60039),variable:i("variable",60040),symbolVariable:i("symbol-variable",60040),array:i("array",60042),symbolArray:i("symbol-array",60042),symbolModule:i("symbol-module",60043),symbolPackage:i("symbol-package",60043),symbolNamespace:i("symbol-namespace",60043),symbolObject:i("symbol-object",60043),symbolMethod:i("symbol-method",60044),symbolFunction:i("symbol-function",60044),symbolConstructor:i("symbol-constructor",60044),symbolBoolean:i("symbol-boolean",60047),symbolNull:i("symbol-null",60047),symbolNumeric:i("symbol-numeric",60048),symbolNumber:i("symbol-number",60048),symbolStructure:i("symbol-structure",60049),symbolStruct:i("symbol-struct",60049),symbolParameter:i("symbol-parameter",60050),symbolTypeParameter:i("symbol-type-parameter",60050),symbolKey:i("symbol-key",60051),symbolText:i("symbol-text",60051),symbolReference:i("symbol-reference",60052),goToFile:i("go-to-file",60052),symbolEnum:i("symbol-enum",60053),symbolValue:i("symbol-value",60053),symbolRuler:i("symbol-ruler",60054),symbolUnit:i("symbol-unit",60054),activateBreakpoints:i("activate-breakpoints",60055),archive:i("archive",60056),arrowBoth:i("arrow-both",60057),arrowDown:i("arrow-down",60058),arrowLeft:i("arrow-left",60059),arrowRight:i("arrow-right",60060),arrowSmallDown:i("arrow-small-down",60061),arrowSmallLeft:i("arrow-small-left",60062),arrowSmallRight:i("arrow-small-right",60063),arrowSmallUp:i("arrow-small-up",60064),arrowUp:i("arrow-up",60065),bell:i("bell",60066),bold:i("bold",60067),book:i("book",60068),bookmark:i("bookmark",60069),debugBreakpointConditionalUnverified:i("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:i("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:i("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:i("debug-breakpoint-data-unverified",60072),debugBreakpointData:i("debug-breakpoint-data",60073),debugBreakpointDataDisabled:i("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:i("debug-breakpoint-log-unverified",60074),debugBreakpointLog:i("debug-breakpoint-log",60075),debugBreakpointLogDisabled:i("debug-breakpoint-log-disabled",60075),briefcase:i("briefcase",60076),broadcast:i("broadcast",60077),browser:i("browser",60078),bug:i("bug",60079),calendar:i("calendar",60080),caseSensitive:i("case-sensitive",60081),check:i("check",60082),checklist:i("checklist",60083),chevronDown:i("chevron-down",60084),dropDownButton:i("drop-down-button",60084),chevronLeft:i("chevron-left",60085),chevronRight:i("chevron-right",60086),chevronUp:i("chevron-up",60087),chromeClose:i("chrome-close",60088),chromeMaximize:i("chrome-maximize",60089),chromeMinimize:i("chrome-minimize",60090),chromeRestore:i("chrome-restore",60091),circle:i("circle",60092),circleOutline:i("circle-outline",60092),debugBreakpointUnverified:i("debug-breakpoint-unverified",60092),circleSlash:i("circle-slash",60093),circuitBoard:i("circuit-board",60094),clearAll:i("clear-all",60095),clippy:i("clippy",60096),closeAll:i("close-all",60097),cloudDownload:i("cloud-download",60098),cloudUpload:i("cloud-upload",60099),code:i("code",60100),collapseAll:i("collapse-all",60101),colorMode:i("color-mode",60102),commentDiscussion:i("comment-discussion",60103),compareChanges:i("compare-changes",60157),creditCard:i("credit-card",60105),dash:i("dash",60108),dashboard:i("dashboard",60109),database:i("database",60110),debugContinue:i("debug-continue",60111),debugDisconnect:i("debug-disconnect",60112),debugPause:i("debug-pause",60113),debugRestart:i("debug-restart",60114),debugStart:i("debug-start",60115),debugStepInto:i("debug-step-into",60116),debugStepOut:i("debug-step-out",60117),debugStepOver:i("debug-step-over",60118),debugStop:i("debug-stop",60119),debug:i("debug",60120),deviceCameraVideo:i("device-camera-video",60121),deviceCamera:i("device-camera",60122),deviceMobile:i("device-mobile",60123),diffAdded:i("diff-added",60124),diffIgnored:i("diff-ignored",60125),diffModified:i("diff-modified",60126),diffRemoved:i("diff-removed",60127),diffRenamed:i("diff-renamed",60128),diff:i("diff",60129),discard:i("discard",60130),editorLayout:i("editor-layout",60131),emptyWindow:i("empty-window",60132),exclude:i("exclude",60133),extensions:i("extensions",60134),eyeClosed:i("eye-closed",60135),fileBinary:i("file-binary",60136),fileCode:i("file-code",60137),fileMedia:i("file-media",60138),filePdf:i("file-pdf",60139),fileSubmodule:i("file-submodule",60140),fileSymlinkDirectory:i("file-symlink-directory",60141),fileSymlinkFile:i("file-symlink-file",60142),fileZip:i("file-zip",60143),files:i("files",60144),filter:i("filter",60145),flame:i("flame",60146),foldDown:i("fold-down",60147),foldUp:i("fold-up",60148),fold:i("fold",60149),folderActive:i("folder-active",60150),folderOpened:i("folder-opened",60151),gear:i("gear",60152),gift:i("gift",60153),gistSecret:i("gist-secret",60154),gist:i("gist",60155),gitCommit:i("git-commit",60156),gitCompare:i("git-compare",60157),gitMerge:i("git-merge",60158),githubAction:i("github-action",60159),githubAlt:i("github-alt",60160),globe:i("globe",60161),grabber:i("grabber",60162),graph:i("graph",60163),gripper:i("gripper",60164),heart:i("heart",60165),home:i("home",60166),horizontalRule:i("horizontal-rule",60167),hubot:i("hubot",60168),inbox:i("inbox",60169),issueClosed:i("issue-closed",60324),issueReopened:i("issue-reopened",60171),issues:i("issues",60172),italic:i("italic",60173),jersey:i("jersey",60174),json:i("json",60175),bracket:i("bracket",60175),kebabVertical:i("kebab-vertical",60176),key:i("key",60177),law:i("law",60178),lightbulbAutofix:i("lightbulb-autofix",60179),linkExternal:i("link-external",60180),link:i("link",60181),listOrdered:i("list-ordered",60182),listUnordered:i("list-unordered",60183),liveShare:i("live-share",60184),loading:i("loading",60185),location:i("location",60186),mailRead:i("mail-read",60187),mail:i("mail",60188),markdown:i("markdown",60189),megaphone:i("megaphone",60190),mention:i("mention",60191),milestone:i("milestone",60192),mortarBoard:i("mortar-board",60193),move:i("move",60194),multipleWindows:i("multiple-windows",60195),mute:i("mute",60196),noNewline:i("no-newline",60197),note:i("note",60198),octoface:i("octoface",60199),openPreview:i("open-preview",60200),package_:i("package",60201),paintcan:i("paintcan",60202),pin:i("pin",60203),play:i("play",60204),run:i("run",60204),plug:i("plug",60205),preserveCase:i("preserve-case",60206),preview:i("preview",60207),project:i("project",60208),pulse:i("pulse",60209),question:i("question",60210),quote:i("quote",60211),radioTower:i("radio-tower",60212),reactions:i("reactions",60213),references:i("references",60214),refresh:i("refresh",60215),regex:i("regex",60216),remoteExplorer:i("remote-explorer",60217),remote:i("remote",60218),remove:i("remove",60219),replaceAll:i("replace-all",60220),replace:i("replace",60221),repoClone:i("repo-clone",60222),repoForcePush:i("repo-force-push",60223),repoPull:i("repo-pull",60224),repoPush:i("repo-push",60225),report:i("report",60226),requestChanges:i("request-changes",60227),rocket:i("rocket",60228),rootFolderOpened:i("root-folder-opened",60229),rootFolder:i("root-folder",60230),rss:i("rss",60231),ruby:i("ruby",60232),saveAll:i("save-all",60233),saveAs:i("save-as",60234),save:i("save",60235),screenFull:i("screen-full",60236),screenNormal:i("screen-normal",60237),searchStop:i("search-stop",60238),server:i("server",60240),settingsGear:i("settings-gear",60241),settings:i("settings",60242),shield:i("shield",60243),smiley:i("smiley",60244),sortPrecedence:i("sort-precedence",60245),splitHorizontal:i("split-horizontal",60246),splitVertical:i("split-vertical",60247),squirrel:i("squirrel",60248),starFull:i("star-full",60249),starHalf:i("star-half",60250),symbolClass:i("symbol-class",60251),symbolColor:i("symbol-color",60252),symbolCustomColor:i("symbol-customcolor",60252),symbolConstant:i("symbol-constant",60253),symbolEnumMember:i("symbol-enum-member",60254),symbolField:i("symbol-field",60255),symbolFile:i("symbol-file",60256),symbolInterface:i("symbol-interface",60257),symbolKeyword:i("symbol-keyword",60258),symbolMisc:i("symbol-misc",60259),symbolOperator:i("symbol-operator",60260),symbolProperty:i("symbol-property",60261),wrench:i("wrench",60261),wrenchSubaction:i("wrench-subaction",60261),symbolSnippet:i("symbol-snippet",60262),tasklist:i("tasklist",60263),telescope:i("telescope",60264),textSize:i("text-size",60265),threeBars:i("three-bars",60266),thumbsdown:i("thumbsdown",60267),thumbsup:i("thumbsup",60268),tools:i("tools",60269),triangleDown:i("triangle-down",60270),triangleLeft:i("triangle-left",60271),triangleRight:i("triangle-right",60272),triangleUp:i("triangle-up",60273),twitter:i("twitter",60274),unfold:i("unfold",60275),unlock:i("unlock",60276),unmute:i("unmute",60277),unverified:i("unverified",60278),verified:i("verified",60279),versions:i("versions",60280),vmActive:i("vm-active",60281),vmOutline:i("vm-outline",60282),vmRunning:i("vm-running",60283),watch:i("watch",60284),whitespace:i("whitespace",60285),wholeWord:i("whole-word",60286),window:i("window",60287),wordWrap:i("word-wrap",60288),zoomIn:i("zoom-in",60289),zoomOut:i("zoom-out",60290),listFilter:i("list-filter",60291),listFlat:i("list-flat",60292),listSelection:i("list-selection",60293),selection:i("selection",60293),listTree:i("list-tree",60294),debugBreakpointFunctionUnverified:i("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:i("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:i("debug-breakpoint-function-disabled",60296),debugStackframeActive:i("debug-stackframe-active",60297),circleSmallFilled:i("circle-small-filled",60298),debugStackframeDot:i("debug-stackframe-dot",60298),debugStackframe:i("debug-stackframe",60299),debugStackframeFocused:i("debug-stackframe-focused",60299),debugBreakpointUnsupported:i("debug-breakpoint-unsupported",60300),symbolString:i("symbol-string",60301),debugReverseContinue:i("debug-reverse-continue",60302),debugStepBack:i("debug-step-back",60303),debugRestartFrame:i("debug-restart-frame",60304),callIncoming:i("call-incoming",60306),callOutgoing:i("call-outgoing",60307),menu:i("menu",60308),expandAll:i("expand-all",60309),feedback:i("feedback",60310),groupByRefType:i("group-by-ref-type",60311),ungroupByRefType:i("ungroup-by-ref-type",60312),account:i("account",60313),bellDot:i("bell-dot",60314),debugConsole:i("debug-console",60315),library:i("library",60316),output:i("output",60317),runAll:i("run-all",60318),syncIgnored:i("sync-ignored",60319),pinned:i("pinned",60320),githubInverted:i("github-inverted",60321),debugAlt:i("debug-alt",60305),serverProcess:i("server-process",60322),serverEnvironment:i("server-environment",60323),pass:i("pass",60324),stopCircle:i("stop-circle",60325),playCircle:i("play-circle",60326),record:i("record",60327),debugAltSmall:i("debug-alt-small",60328),vmConnect:i("vm-connect",60329),cloud:i("cloud",60330),merge:i("merge",60331),exportIcon:i("export",60332),graphLeft:i("graph-left",60333),magnet:i("magnet",60334),notebook:i("notebook",60335),redo:i("redo",60336),checkAll:i("check-all",60337),pinnedDirty:i("pinned-dirty",60338),passFilled:i("pass-filled",60339),circleLargeFilled:i("circle-large-filled",60340),circleLarge:i("circle-large",60341),circleLargeOutline:i("circle-large-outline",60341),combine:i("combine",60342),gather:i("gather",60342),table:i("table",60343),variableGroup:i("variable-group",60344),typeHierarchy:i("type-hierarchy",60345),typeHierarchySub:i("type-hierarchy-sub",60346),typeHierarchySuper:i("type-hierarchy-super",60347),gitPullRequestCreate:i("git-pull-request-create",60348),runAbove:i("run-above",60349),runBelow:i("run-below",60350),notebookTemplate:i("notebook-template",60351),debugRerun:i("debug-rerun",60352),workspaceTrusted:i("workspace-trusted",60353),workspaceUntrusted:i("workspace-untrusted",60354),workspaceUnspecified:i("workspace-unspecified",60355),terminalCmd:i("terminal-cmd",60356),terminalDebian:i("terminal-debian",60357),terminalLinux:i("terminal-linux",60358),terminalPowershell:i("terminal-powershell",60359),terminalTmux:i("terminal-tmux",60360),terminalUbuntu:i("terminal-ubuntu",60361),terminalBash:i("terminal-bash",60362),arrowSwap:i("arrow-swap",60363),copy:i("copy",60364),personAdd:i("person-add",60365),filterFilled:i("filter-filled",60366),wand:i("wand",60367),debugLineByLine:i("debug-line-by-line",60368),inspect:i("inspect",60369),layers:i("layers",60370),layersDot:i("layers-dot",60371),layersActive:i("layers-active",60372),compass:i("compass",60373),compassDot:i("compass-dot",60374),compassActive:i("compass-active",60375),azure:i("azure",60376),issueDraft:i("issue-draft",60377),gitPullRequestClosed:i("git-pull-request-closed",60378),gitPullRequestDraft:i("git-pull-request-draft",60379),debugAll:i("debug-all",60380),debugCoverage:i("debug-coverage",60381),runErrors:i("run-errors",60382),folderLibrary:i("folder-library",60383),debugContinueSmall:i("debug-continue-small",60384),beakerStop:i("beaker-stop",60385),graphLine:i("graph-line",60386),graphScatter:i("graph-scatter",60387),pieChart:i("pie-chart",60388),bracketDot:i("bracket-dot",60389),bracketError:i("bracket-error",60390),lockSmall:i("lock-small",60391),azureDevops:i("azure-devops",60392),verifiedFilled:i("verified-filled",60393),newLine:i("newline",60394),layout:i("layout",60395),layoutActivitybarLeft:i("layout-activitybar-left",60396),layoutActivitybarRight:i("layout-activitybar-right",60397),layoutPanelLeft:i("layout-panel-left",60398),layoutPanelCenter:i("layout-panel-center",60399),layoutPanelJustify:i("layout-panel-justify",60400),layoutPanelRight:i("layout-panel-right",60401),layoutPanel:i("layout-panel",60402),layoutSidebarLeft:i("layout-sidebar-left",60403),layoutSidebarRight:i("layout-sidebar-right",60404),layoutStatusbar:i("layout-statusbar",60405),layoutMenubar:i("layout-menubar",60406),layoutCentered:i("layout-centered",60407),layoutSidebarRightOff:i("layout-sidebar-right-off",60416),layoutPanelOff:i("layout-panel-off",60417),layoutSidebarLeftOff:i("layout-sidebar-left-off",60418),target:i("target",60408),indent:i("indent",60409),recordSmall:i("record-small",60410),errorSmall:i("error-small",60411),arrowCircleDown:i("arrow-circle-down",60412),arrowCircleLeft:i("arrow-circle-left",60413),arrowCircleRight:i("arrow-circle-right",60414),arrowCircleUp:i("arrow-circle-up",60415),heartFilled:i("heart-filled",60420),map:i("map",60421),mapFilled:i("map-filled",60422),circleSmall:i("circle-small",60423),bellSlash:i("bell-slash",60424),bellSlashDot:i("bell-slash-dot",60425),commentUnresolved:i("comment-unresolved",60426),gitPullRequestGoToChanges:i("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:i("git-pull-request-new-changes",60428),searchFuzzy:i("search-fuzzy",60429),commentDraft:i("comment-draft",60430),dialogError:i("dialog-error","error"),dialogWarning:i("dialog-warning","warning"),dialogInfo:i("dialog-info","info"),dialogClose:i("dialog-close","close"),treeItemExpanded:i("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:i("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:i("tree-filter-on-type-off","list-selection"),treeFilterClear:i("tree-filter-clear","close"),treeItemLoading:i("tree-item-loading","loading"),menuSelection:i("menu-selection","check"),menuSubmenu:i("menu-submenu","chevron-right"),menuBarMore:i("menubar-more","more"),scrollbarButtonLeft:i("scrollbar-button-left","triangle-left"),scrollbarButtonRight:i("scrollbar-button-right","triangle-right"),scrollbarButtonUp:i("scrollbar-button-up","triangle-up"),scrollbarButtonDown:i("scrollbar-button-down","triangle-down"),toolBarMore:i("toolbar-more","more"),quickInputBack:i("quick-input-back","arrow-left")}}),Y(X[11],Q([0,1,17]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.createProxyObject=n.getAllMethodNames=n.getAllPropertyNames=n.equals=n.mixin=n.cloneAndChange=n.deepFreeze=n.deepClone=void 0;function D(f){if(!f||typeof f!="object"||f instanceof RegExp)return f;const v=Array.isArray(f)?[]:{};return Object.entries(f).forEach(([m,w])=>{v[m]=w&&typeof w=="object"?D(w):w}),v}n.deepClone=D;function i(f){if(!f||typeof f!="object")return f;const v=[f];for(;v.length>0;){const m=v.shift();Object.freeze(m);for(const w in m)if(o.call(m,w)){const _=m[w];typeof _=="object"&&!Object.isFrozen(_)&&!(0,E.isTypedArray)(_)&&v.push(_)}}return f}n.deepFreeze=i;const o=Object.prototype.hasOwnProperty;function y(f,v){return S(f,v,new Set)}n.cloneAndChange=y;function S(f,v,m){if((0,E.isUndefinedOrNull)(f))return f;const w=v(f);if(typeof w<"u")return w;if(Array.isArray(f)){const _=[];for(const g of f)_.push(S(g,v,m));return _}if((0,E.isObject)(f)){if(m.has(f))throw new Error("Cannot clone recursive data-structure");m.add(f);const _={};for(const g in f)o.call(f,g)&&(_[g]=S(f[g],v,m));return m.delete(f),_}return f}function c(f,v,m=!0){return(0,E.isObject)(f)?((0,E.isObject)(v)&&Object.keys(v).forEach(w=>{w in f?m&&((0,E.isObject)(f[w])&&(0,E.isObject)(v[w])?c(f[w],v[w],m):f[w]=v[w]):f[w]=v[w]}),f):v}n.mixin=c;function d(f,v){if(f===v)return!0;if(f==null||v===null||v===void 0||typeof f!=typeof v||typeof f!="object"||Array.isArray(f)!==Array.isArray(v))return!1;let m,w;if(Array.isArray(f)){if(f.length!==v.length)return!1;for(m=0;m<f.length;m++)if(!d(f[m],v[m]))return!1}else{const _=[];for(w in f)_.push(w);_.sort();const g=[];for(w in v)g.push(w);if(g.sort(),!d(_,g))return!1;for(m=0;m<_.length;m++)if(!d(f[_[m]],v[_[m]]))return!1}return!0}n.equals=d;function p(f){let v=[],m=Object.getPrototypeOf(f);for(;Object.prototype!==m;)v=v.concat(Object.getOwnPropertyNames(m)),m=Object.getPrototypeOf(m);return v}n.getAllPropertyNames=p;function e(f){const v=[];for(const m of p(f))typeof f[m]=="function"&&v.push(m);return v}n.getAllMethodNames=e;function C(f,v){const m=_=>function(){const g=Array.prototype.slice.call(arguments,0);return v(_,g)},w={};for(const _ of f)w[_]=m(_);return w}n.createProxyObject=C}),Y(X[18],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.toUint32=n.toUint8=void 0;function E(i){return i<0?0:i>255?255:i|0}n.toUint8=E;function D(i){return i<0?0:i>4294967295?4294967295:i|0}n.toUint32=D}),Y(X[19],Q([0,1,18]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.CharacterSet=n.CharacterClassifier=void 0;class D{constructor(y){const S=(0,E.toUint8)(y);this.c=S,this.a=D.d(S),this.b=new Map}static d(y){const S=new Uint8Array(256);return S.fill(y),S}set(y,S){const c=(0,E.toUint8)(S);y>=0&&y<256?this.a[y]=c:this.b.set(y,c)}get(y){return y>=0&&y<256?this.a[y]:this.b.get(y)||this.c}clear(){this.a.fill(this.c),this.b.clear()}}n.CharacterClassifier=D;class i{constructor(){this.a=new D(0)}add(y){this.a.set(y,1)}has(y){return this.a.get(y)===1}clear(){return this.a.clear()}}n.CharacterSet=i}),Y(X[20],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.LineRange=void 0;class E{constructor(i,o){this.startLineNumber=i,this.endLineNumberExclusive=o}get isEmpty(){return this.startLineNumber===this.endLineNumberExclusive}delta(i){return new E(this.startLineNumber+i,this.endLineNumberExclusive+i)}get length(){return this.endLineNumberExclusive-this.startLineNumber}join(i){return new E(Math.min(this.startLineNumber,i.startLineNumber),Math.max(this.endLineNumberExclusive,i.endLineNumberExclusive))}toString(){return`[${this.startLineNumber},${this.endLineNumberExclusive})`}}n.LineRange=E}),Y(X[3],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.Position=void 0;class E{constructor(i,o){this.lineNumber=i,this.column=o}with(i=this.lineNumber,o=this.column){return i===this.lineNumber&&o===this.column?this:new E(i,o)}delta(i=0,o=0){return this.with(this.lineNumber+i,this.column+o)}equals(i){return E.equals(this,i)}static equals(i,o){return!i&&!o?!0:!!i&&!!o&&i.lineNumber===o.lineNumber&&i.column===o.column}isBefore(i){return E.isBefore(this,i)}static isBefore(i,o){return i.lineNumber<o.lineNumber?!0:o.lineNumber<i.lineNumber?!1:i.column<o.column}isBeforeOrEqual(i){return E.isBeforeOrEqual(this,i)}static isBeforeOrEqual(i,o){return i.lineNumber<o.lineNumber?!0:o.lineNumber<i.lineNumber?!1:i.column<=o.column}static compare(i,o){const y=i.lineNumber|0,S=o.lineNumber|0;if(y===S){const c=i.column|0,d=o.column|0;return c-d}return y-S}clone(){return new E(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(i){return new E(i.lineNumber,i.column)}static isIPosition(i){return i&&typeof i.lineNumber=="number"&&typeof i.column=="number"}}n.Position=E}),Y(X[2],Q([0,1,3]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.Range=void 0;class D{constructor(o,y,S,c){o>S||o===S&&y>c?(this.startLineNumber=S,this.startColumn=c,this.endLineNumber=o,this.endColumn=y):(this.startLineNumber=o,this.startColumn=y,this.endLineNumber=S,this.endColumn=c)}isEmpty(){return D.isEmpty(this)}static isEmpty(o){return o.startLineNumber===o.endLineNumber&&o.startColumn===o.endColumn}containsPosition(o){return D.containsPosition(this,o)}static containsPosition(o,y){return!(y.lineNumber<o.startLineNumber||y.lineNumber>o.endLineNumber||y.lineNumber===o.startLineNumber&&y.column<o.startColumn||y.lineNumber===o.endLineNumber&&y.column>o.endColumn)}static strictContainsPosition(o,y){return!(y.lineNumber<o.startLineNumber||y.lineNumber>o.endLineNumber||y.lineNumber===o.startLineNumber&&y.column<=o.startColumn||y.lineNumber===o.endLineNumber&&y.column>=o.endColumn)}containsRange(o){return D.containsRange(this,o)}static containsRange(o,y){return!(y.startLineNumber<o.startLineNumber||y.endLineNumber<o.startLineNumber||y.startLineNumber>o.endLineNumber||y.endLineNumber>o.endLineNumber||y.startLineNumber===o.startLineNumber&&y.startColumn<o.startColumn||y.endLineNumber===o.endLineNumber&&y.endColumn>o.endColumn)}strictContainsRange(o){return D.strictContainsRange(this,o)}static strictContainsRange(o,y){return!(y.startLineNumber<o.startLineNumber||y.endLineNumber<o.startLineNumber||y.startLineNumber>o.endLineNumber||y.endLineNumber>o.endLineNumber||y.startLineNumber===o.startLineNumber&&y.startColumn<=o.startColumn||y.endLineNumber===o.endLineNumber&&y.endColumn>=o.endColumn)}plusRange(o){return D.plusRange(this,o)}static plusRange(o,y){let S,c,d,p;return y.startLineNumber<o.startLineNumber?(S=y.startLineNumber,c=y.startColumn):y.startLineNumber===o.startLineNumber?(S=y.startLineNumber,c=Math.min(y.startColumn,o.startColumn)):(S=o.startLineNumber,c=o.startColumn),y.endLineNumber>o.endLineNumber?(d=y.endLineNumber,p=y.endColumn):y.endLineNumber===o.endLineNumber?(d=y.endLineNumber,p=Math.max(y.endColumn,o.endColumn)):(d=o.endLineNumber,p=o.endColumn),new D(S,c,d,p)}intersectRanges(o){return D.intersectRanges(this,o)}static intersectRanges(o,y){let S=o.startLineNumber,c=o.startColumn,d=o.endLineNumber,p=o.endColumn;const e=y.startLineNumber,C=y.startColumn,f=y.endLineNumber,v=y.endColumn;return S<e?(S=e,c=C):S===e&&(c=Math.max(c,C)),d>f?(d=f,p=v):d===f&&(p=Math.min(p,v)),S>d||S===d&&c>p?null:new D(S,c,d,p)}equalsRange(o){return D.equalsRange(this,o)}static equalsRange(o,y){return!o&&!y?!0:!!o&&!!y&&o.startLineNumber===y.startLineNumber&&o.startColumn===y.startColumn&&o.endLineNumber===y.endLineNumber&&o.endColumn===y.endColumn}getEndPosition(){return D.getEndPosition(this)}static getEndPosition(o){return new E.Position(o.endLineNumber,o.endColumn)}getStartPosition(){return D.getStartPosition(this)}static getStartPosition(o){return new E.Position(o.startLineNumber,o.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(o,y){return new D(this.startLineNumber,this.startColumn,o,y)}setStartPosition(o,y){return new D(o,y,this.endLineNumber,this.endColumn)}collapseToStart(){return D.collapseToStart(this)}static collapseToStart(o){return new D(o.startLineNumber,o.startColumn,o.startLineNumber,o.startColumn)}collapseToEnd(){return D.collapseToEnd(this)}static collapseToEnd(o){return new D(o.endLineNumber,o.endColumn,o.endLineNumber,o.endColumn)}delta(o){return new D(this.startLineNumber+o,this.startColumn,this.endLineNumber+o,this.endColumn)}static fromPositions(o,y=o){return new D(o.lineNumber,o.column,y.lineNumber,y.column)}static lift(o){return o?new D(o.startLineNumber,o.startColumn,o.endLineNumber,o.endColumn):null}static isIRange(o){return o&&typeof o.startLineNumber=="number"&&typeof o.startColumn=="number"&&typeof o.endLineNumber=="number"&&typeof o.endColumn=="number"}static areIntersectingOrTouching(o,y){return!(o.endLineNumber<y.startLineNumber||o.endLineNumber===y.startLineNumber&&o.endColumn<y.startColumn||y.endLineNumber<o.startLineNumber||y.endLineNumber===o.startLineNumber&&y.endColumn<o.startColumn)}static areIntersecting(o,y){return!(o.endLineNumber<y.startLineNumber||o.endLineNumber===y.startLineNumber&&o.endColumn<=y.startColumn||y.endLineNumber<o.startLineNumber||y.endLineNumber===o.startLineNumber&&y.endColumn<=o.startColumn)}static compareRangesUsingStarts(o,y){if(o&&y){const d=o.startLineNumber|0,p=y.startLineNumber|0;if(d===p){const e=o.startColumn|0,C=y.startColumn|0;if(e===C){const f=o.endLineNumber|0,v=y.endLineNumber|0;if(f===v){const m=o.endColumn|0,w=y.endColumn|0;return m-w}return f-v}return e-C}return d-p}return(o?1:0)-(y?1:0)}static compareRangesUsingEnds(o,y){return o.endLineNumber===y.endLineNumber?o.endColumn===y.endColumn?o.startLineNumber===y.startLineNumber?o.startColumn-y.startColumn:o.startLineNumber-y.startLineNumber:o.endColumn-y.endColumn:o.endLineNumber-y.endLineNumber}static spansMultipleLines(o){return o.endLineNumber>o.startLineNumber}toJSON(){return this}}n.Range=D}),Y(X[32],Q([0,1,3,2]),function(O,n,E,D){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.Selection=void 0;class i extends D.Range{constructor(y,S,c,d){super(y,S,c,d),this.selectionStartLineNumber=y,this.selectionStartColumn=S,this.positionLineNumber=c,this.positionColumn=d}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(y){return i.selectionsEqual(this,y)}static selectionsEqual(y,S){return y.selectionStartLineNumber===S.selectionStartLineNumber&&y.selectionStartColumn===S.selectionStartColumn&&y.positionLineNumber===S.positionLineNumber&&y.positionColumn===S.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(y,S){return this.getDirection()===0?new i(this.startLineNumber,this.startColumn,y,S):new i(y,S,this.startLineNumber,this.startColumn)}getPosition(){return new E.Position(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new E.Position(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(y,S){return this.getDirection()===0?new i(y,S,this.endLineNumber,this.endColumn):new i(this.endLineNumber,this.endColumn,y,S)}static fromPositions(y,S=y){return new i(y.lineNumber,y.column,S.lineNumber,S.column)}static fromRange(y,S){return S===0?new i(y.startLineNumber,y.startColumn,y.endLineNumber,y.endColumn):new i(y.endLineNumber,y.endColumn,y.startLineNumber,y.startColumn)}static liftSelection(y){return new i(y.selectionStartLineNumber,y.selectionStartColumn,y.positionLineNumber,y.positionColumn)}static selectionsArrEqual(y,S){if(y&&!S||!y&&S)return!1;if(!y&&!S)return!0;if(y.length!==S.length)return!1;for(let c=0,d=y.length;c<d;c++)if(!this.selectionsEqual(y[c],S[c]))return!1;return!0}static isISelection(y){return y&&typeof y.selectionStartLineNumber=="number"&&typeof y.selectionStartColumn=="number"&&typeof y.positionLineNumber=="number"&&typeof y.positionColumn=="number"}static createWithDirection(y,S,c,d,p){return p===0?new i(y,S,c,d):new i(c,d,y,S)}}n.Selection=i}),Y(X[33],Q([0,1,19]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.getMapForWordSeparators=n.WordCharacterClassifier=void 0;class D extends E.CharacterClassifier{constructor(y){super(0);for(let S=0,c=y.length;S<c;S++)this.set(y.charCodeAt(S),2);this.set(32,1),this.set(9,1)}}n.WordCharacterClassifier=D;function i(o){const y={};return S=>(y.hasOwnProperty(S)||(y[S]=o(S)),y[S])}n.getMapForWordSeparators=i(o=>new D(o))}),Y(X[21],Q([0,1,14,15]),function(O,n,E,D){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.getWordAtText=n.ensureValidWordDefinition=n.DEFAULT_WORD_REGEXP=n.USUAL_WORD_SEPARATORS=void 0,n.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function i(d=""){let p="(-?\\d*\\.\\d\\w*)|([^";for(const e of n.USUAL_WORD_SEPARATORS)d.indexOf(e)>=0||(p+="\\"+e);return p+="\\s]+)",new RegExp(p,"g")}n.DEFAULT_WORD_REGEXP=i();function o(d){let p=n.DEFAULT_WORD_REGEXP;if(d&&d instanceof RegExp)if(d.global)p=d;else{let e="g";d.ignoreCase&&(e+="i"),d.multiline&&(e+="m"),d.unicode&&(e+="u"),p=new RegExp(d.source,e)}return p.lastIndex=0,p}n.ensureValidWordDefinition=o;const y=new D.LinkedList;y.unshift({maxLen:1e3,windowSize:15,timeBudget:150});function S(d,p,e,C,f){if(f||(f=E.Iterable.first(y)),e.length>f.maxLen){let g=d-f.maxLen/2;return g<0?g=0:C+=g,e=e.substring(g,d+f.maxLen/2),S(d,p,e,C,f)}const v=Date.now(),m=d-1-C;let w=-1,_=null;for(let g=1;!(Date.now()-v>=f.timeBudget);g++){const h=m-f.windowSize*g;p.lastIndex=Math.max(0,h);const N=c(p,e,m,w);if(!N&&_||(_=N,h<=0))break;w=h}if(_){const g={word:_[0],startColumn:C+1+_.index,endColumn:C+1+_.index+_[0].length};return p.lastIndex=0,g}return null}n.getWordAtText=S;function c(d,p,e,C){let f;for(;f=d.exec(p);){const v=f.index||0;if(v<=e&&d.lastIndex>=e)return f;if(C>0&&v>C)return null}return null}}),Y(X[5],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.OffsetRange=n.SequenceDiff=void 0;class E{constructor(o,y){this.seq1Range=o,this.seq2Range=y}reverse(){return new E(this.seq2Range,this.seq1Range)}toString(){return`${this.seq1Range} <-> ${this.seq2Range}`}}n.SequenceDiff=E;class D{constructor(o,y){this.start=o,this.endExclusive=y}get isEmpty(){return this.start===this.endExclusive}delta(o){return new D(this.start+o,this.endExclusive+o)}get length(){return this.endExclusive-this.start}toString(){return`[${this.start}, ${this.endExclusive})`}join(o){return new D(Math.min(this.start,o.start),Math.max(this.endExclusive,o.endExclusive))}}n.OffsetRange=D}),Y(X[34],Q([0,1,5]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.shiftSequenceDiffs=n.joinSequenceDiffs=n.smoothenSequenceDiffs=n.optimizeSequenceDiffs=void 0;function D(c,d,p){let e=p;return e=o(c,d,e),e=y(c,d,e),e}n.optimizeSequenceDiffs=D;function i(c,d,p){const e=[];for(const C of p){const f=e[e.length-1];if(!f){e.push(C);continue}C.seq1Range.start-f.seq1Range.endExclusive<=2||C.seq2Range.start-f.seq2Range.endExclusive<=2?e[e.length-1]=new E.SequenceDiff(f.seq1Range.join(C.seq1Range),f.seq2Range.join(C.seq2Range)):e.push(C)}return e}n.smoothenSequenceDiffs=i;function o(c,d,p){const e=[];p.length>0&&e.push(p[0]);for(let C=1;C<p.length;C++){const f=e[e.length-1],v=p[C];if(v.seq1Range.isEmpty){let m=!0;const w=v.seq1Range.start-f.seq1Range.endExclusive;for(let _=1;_<=w;_++)if(d.getElement(v.seq2Range.start-_)!==d.getElement(v.seq2Range.endExclusive-_)){m=!1;break}if(m){e[e.length-1]=new E.SequenceDiff(f.seq1Range,new E.OffsetRange(f.seq2Range.start,v.seq2Range.endExclusive-w));continue}}e.push(v)}return e}n.joinSequenceDiffs=o;function y(c,d,p){if(!c.getBoundaryScore||!d.getBoundaryScore)return p;for(let e=0;e<p.length;e++){const C=p[e];if(C.seq1Range.isEmpty){const f=e>0?p[e-1].seq2Range.endExclusive:-1,v=e+1<p.length?p[e+1].seq2Range.start:d.length;p[e]=S(C,c,d,v,f)}else if(C.seq2Range.isEmpty){const f=e>0?p[e-1].seq1Range.endExclusive:-1,v=e+1<p.length?p[e+1].seq1Range.start:c.length;p[e]=S(C.reverse(),d,c,v,f).reverse()}}return p}n.shiftSequenceDiffs=y;function S(c,d,p,e,C){let v=1;for(;c.seq2Range.start-v>C&&p.getElement(c.seq2Range.start-v)===p.getElement(c.seq2Range.endExclusive-v)&&v<20;)v++;v--;let m=0;for(;c.seq2Range.start+m<e&&p.getElement(c.seq2Range.start+m)===p.getElement(c.seq2Range.endExclusive+m)&&m<20;)m++;if(v===0&&m===0)return c;let w=0,_=-1;for(let g=-v;g<=m;g++){const h=c.seq2Range.start+g,N=c.seq2Range.endExclusive+g,b=c.seq1Range.start+g,r=d.getBoundaryScore(b)+p.getBoundaryScore(h)+p.getBoundaryScore(N);r>_&&(_=r,w=g)}return w!==0?new E.SequenceDiff(c.seq1Range.delta(w),c.seq2Range.delta(w)):c}}),Y(X[35],Q([0,1,5]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.MyersDiffAlgorithm=void 0;class D{compute(c,d){if(c.length===0)return[new E.SequenceDiff(new E.OffsetRange(0,0),new E.OffsetRange(0,d.length))];if(d.length===0)return[new E.SequenceDiff(new E.OffsetRange(0,c.length),new E.OffsetRange(0,0))];function p(h,N){for(;h<c.length&&N<d.length&&c.getElement(h)===d.getElement(N);)h++,N++;return h}let e=0;const C=new o;C.set(0,p(0,0));const f=new y;f.set(0,C.get(0)===0?null:new i(null,0,0,C.get(0)));let v=0;e:for(;;)for(e++,v=-e;v<=e;v+=2){const h=v===e?-1:C.get(v+1),N=v===-e?-1:C.get(v-1)+1,b=Math.min(Math.max(h,N),c.length),r=b-v,l=p(b,r);C.set(v,l);const s=b===h?f.get(v+1):f.get(v-1);if(f.set(v,l!==b?new i(s,b,r,l-b):s),C.get(v)===c.length&&C.get(v)-v===d.length)break e}let m=f.get(v);const w=[];let _=c.length,g=d.length;for(;;){const h=m?m.x+m.length:0,N=m?m.y+m.length:0;if((h!==_||N!==g)&&w.push(new E.SequenceDiff(new E.OffsetRange(h,_),new E.OffsetRange(N,g))),!m)break;_=m.x,g=m.y,m=m.prev}return w.reverse(),w}}n.MyersDiffAlgorithm=D;class i{constructor(c,d,p,e){this.prev=c,this.x=d,this.y=p,this.length=e}}class o{constructor(){this.a=new Int32Array(10),this.b=new Int32Array(10)}get(c){return c<0?(c=-c-1,this.b[c]):this.a[c]}set(c,d){if(c<0){if(c=-c-1,c>=this.b.length){const p=this.b;this.b=new Int32Array(p.length*2),this.b.set(p)}this.b[c]=d}else{if(c>=this.a.length){const p=this.a;this.a=new Int32Array(p.length*2),this.a.set(p)}this.a[c]=d}}}class y{constructor(){this.a=[],this.b=[]}get(c){return c<0?(c=-c-1,this.b[c]):this.a[c]}set(c,d){c<0?(c=-c-1,this.b[c]=d):this.a[c]=d}}}),Y(X[36],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.Array2D=void 0;class E{constructor(i,o){this.width=i,this.height=o,this.a=[],this.a=new Array(i*o)}get(i,o){return this.a[i+o*this.width]}set(i,o,y){this.a[i+o*this.width]=y}}n.Array2D=E}),Y(X[37],Q([0,1,5,36]),function(O,n,E,D){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.DynamicProgrammingDiffing=void 0;class i{compute(y,S,c){const d=new D.Array2D(y.length,S.length),p=new D.Array2D(y.length,S.length),e=new D.Array2D(y.length,S.length);for(let g=0;g<y.length;g++)for(let h=0;h<S.length;h++){const N=g===0?0:d.get(g-1,h),b=h===0?0:d.get(g,h-1);let r;y.getElement(g)===S.getElement(h)?(g===0||h===0?r=0:r=d.get(g-1,h-1),g>0&&h>0&&p.get(g-1,h-1)===3&&(r+=e.get(g-1,h-1)),r+=c?c(g,h):1):r=-1;const l=Math.max(N,b,r);if(l===r){const s=g>0&&h>0?e.get(g-1,h-1):0;e.set(g,h,s+1),p.set(g,h,3)}else l===N?(e.set(g,h,0),p.set(g,h,1)):l===b&&(e.set(g,h,0),p.set(g,h,2));d.set(g,h,l)}const C=[];let f=y.length,v=S.length;function m(g,h){(g+1!==f||h+1!==v)&&C.push(new E.SequenceDiff(new E.OffsetRange(g+1,f),new E.OffsetRange(h+1,v))),f=g,v=h}let w=y.length-1,_=S.length-1;for(;w>=0&&_>=0;)p.get(w,_)===3?(m(w,_),w--,_--):p.get(w,_)===1?w--:_--;return m(-1,-1),C.reverse(),C}}n.DynamicProgrammingDiffing=i}),Y(X[22],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.RangeMapping=n.LineRangeMapping=void 0;class E{constructor(o,y,S){this.originalRange=o,this.modifiedRange=y,this.innerChanges=S}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}}n.LineRangeMapping=E;class D{constructor(o,y){this.originalRange=o,this.modifiedRange=y}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}}n.RangeMapping=D}),Y(X[38],Q([0,1,16,22,4,2,9,20]),function(O,n,E,D,i,o,y,S){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.DiffComputer=n.SmartLinesDiffComputer=void 0;const c=3;class d{computeDiff(b,r,l){var s;const u=new w(b,r,{maxComputationTime:l.maxComputationTimeMs,shouldIgnoreTrimWhitespace:l.ignoreTrimWhitespace,shouldComputeCharChanges:!0,shouldMakePrettyDiff:!0,shouldPostProcessCharChanges:!0}).computeDiff(),L=[];let R=null;for(const A of u.changes){let M;A.originalEndLineNumber===0?M=new S.LineRange(A.originalStartLineNumber+1,A.originalStartLineNumber+1):M=new S.LineRange(A.originalStartLineNumber,A.originalEndLineNumber+1);let U;A.modifiedEndLineNumber===0?U=new S.LineRange(A.modifiedStartLineNumber+1,A.modifiedStartLineNumber+1):U=new S.LineRange(A.modifiedStartLineNumber,A.modifiedEndLineNumber+1);let W=new D.LineRangeMapping(M,U,(s=A.charChanges)===null||s===void 0?void 0:s.map(I=>new D.RangeMapping(new o.Range(I.originalStartLineNumber,I.originalStartColumn,I.originalEndLineNumber,I.originalEndColumn),new o.Range(I.modifiedStartLineNumber,I.modifiedStartColumn,I.modifiedEndLineNumber,I.modifiedEndColumn))));R&&(R.modifiedRange.endLineNumberExclusive===W.modifiedRange.startLineNumber||R.originalRange.endLineNumberExclusive===W.originalRange.startLineNumber)&&(W=new D.LineRangeMapping(R.originalRange.join(W.originalRange),R.modifiedRange.join(W.modifiedRange),R.innerChanges&&W.innerChanges?R.innerChanges.concat(W.innerChanges):void 0),L.pop()),L.push(W),R=W}return(0,y.assertFn)(()=>(0,y.checkAdjacentItems)(L,(A,M)=>M.originalRange.startLineNumber-A.originalRange.endLineNumberExclusive===M.modifiedRange.startLineNumber-A.modifiedRange.endLineNumberExclusive&&A.originalRange.endLineNumberExclusive<M.originalRange.startLineNumber&&A.modifiedRange.endLineNumberExclusive<M.modifiedRange.startLineNumber)),{quitEarly:u.quitEarly,changes:L}}}n.SmartLinesDiffComputer=d;function p(N,b,r,l){return new E.LcsDiff(N,b,r).ComputeDiff(l)}class e{constructor(b){const r=[],l=[];for(let s=0,a=b.length;s<a;s++)r[s]=_(b[s],1),l[s]=g(b[s],1);this.lines=b,this.a=r,this.b=l}getElements(){const b=[];for(let r=0,l=this.lines.length;r<l;r++)b[r]=this.lines[r].substring(this.a[r]-1,this.b[r]-1);return b}getStrictElement(b){return this.lines[b]}getStartLineNumber(b){return b+1}getEndLineNumber(b){return b+1}createCharSequence(b,r,l){const s=[],a=[],u=[];let L=0;for(let R=r;R<=l;R++){const A=this.lines[R],M=b?this.a[R]:1,U=b?this.b[R]:A.length+1;for(let W=M;W<U;W++)s[L]=A.charCodeAt(W-1),a[L]=R+1,u[L]=W,L++;!b&&R<l&&(s[L]=10,a[L]=R+1,u[L]=A.length+1,L++)}return new C(s,a,u)}}class C{constructor(b,r,l){this.a=b,this.b=r,this.d=l}toString(){return"["+this.a.map((b,r)=>(b===10?"\\n":String.fromCharCode(b))+`-(${this.b[r]},${this.d[r]})`).join(", ")+"]"}e(b,r){if(b<0||b>=r.length)throw new Error("Illegal index")}getElements(){return this.a}getStartLineNumber(b){return b>0&&b===this.b.length?this.getEndLineNumber(b-1):(this.e(b,this.b),this.b[b])}getEndLineNumber(b){return b===-1?this.getStartLineNumber(b+1):(this.e(b,this.b),this.a[b]===10?this.b[b]+1:this.b[b])}getStartColumn(b){return b>0&&b===this.d.length?this.getEndColumn(b-1):(this.e(b,this.d),this.d[b])}getEndColumn(b){return b===-1?this.getStartColumn(b+1):(this.e(b,this.d),this.a[b]===10?1:this.d[b]+1)}}class f{constructor(b,r,l,s,a,u,L,R){this.originalStartLineNumber=b,this.originalStartColumn=r,this.originalEndLineNumber=l,this.originalEndColumn=s,this.modifiedStartLineNumber=a,this.modifiedStartColumn=u,this.modifiedEndLineNumber=L,this.modifiedEndColumn=R}static createFromDiffChange(b,r,l){const s=r.getStartLineNumber(b.originalStart),a=r.getStartColumn(b.originalStart),u=r.getEndLineNumber(b.originalStart+b.originalLength-1),L=r.getEndColumn(b.originalStart+b.originalLength-1),R=l.getStartLineNumber(b.modifiedStart),A=l.getStartColumn(b.modifiedStart),M=l.getEndLineNumber(b.modifiedStart+b.modifiedLength-1),U=l.getEndColumn(b.modifiedStart+b.modifiedLength-1);return new f(s,a,u,L,R,A,M,U)}}function v(N){if(N.length<=1)return N;const b=[N[0]];let r=b[0];for(let l=1,s=N.length;l<s;l++){const a=N[l],u=a.originalStart-(r.originalStart+r.originalLength),L=a.modifiedStart-(r.modifiedStart+r.modifiedLength);Math.min(u,L)<c?(r.originalLength=a.originalStart+a.originalLength-r.originalStart,r.modifiedLength=a.modifiedStart+a.modifiedLength-r.modifiedStart):(b.push(a),r=a)}return b}class m{constructor(b,r,l,s,a){this.originalStartLineNumber=b,this.originalEndLineNumber=r,this.modifiedStartLineNumber=l,this.modifiedEndLineNumber=s,this.charChanges=a}static createFromDiffResult(b,r,l,s,a,u,L){let R,A,M,U,W;if(r.originalLength===0?(R=l.getStartLineNumber(r.originalStart)-1,A=0):(R=l.getStartLineNumber(r.originalStart),A=l.getEndLineNumber(r.originalStart+r.originalLength-1)),r.modifiedLength===0?(M=s.getStartLineNumber(r.modifiedStart)-1,U=0):(M=s.getStartLineNumber(r.modifiedStart),U=s.getEndLineNumber(r.modifiedStart+r.modifiedLength-1)),u&&r.originalLength>0&&r.originalLength<20&&r.modifiedLength>0&&r.modifiedLength<20&&a()){const I=l.createCharSequence(b,r.originalStart,r.originalStart+r.originalLength-1),q=s.createCharSequence(b,r.modifiedStart,r.modifiedStart+r.modifiedLength-1);if(I.getElements().length>0&&q.getElements().length>0){let z=p(I,q,a,!0).changes;L&&(z=v(z)),W=[];for(let F=0,T=z.length;F<T;F++)W.push(f.createFromDiffChange(z[F],I,q))}}return new m(R,A,M,U,W)}}class w{constructor(b,r,l){this.a=l.shouldComputeCharChanges,this.b=l.shouldPostProcessCharChanges,this.d=l.shouldIgnoreTrimWhitespace,this.e=l.shouldMakePrettyDiff,this.f=b,this.g=r,this.h=new e(b),this.j=new e(r),this.k=h(l.maxComputationTime),this.l=h(l.maxComputationTime===0?0:Math.min(l.maxComputationTime,5e3))}computeDiff(){if(this.h.lines.length===1&&this.h.lines[0].length===0)return this.j.lines.length===1&&this.j.lines[0].length===0?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.j.lines.length,charChanges:void 0}]};if(this.j.lines.length===1&&this.j.lines[0].length===0)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.h.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:void 0}]};const b=p(this.h,this.j,this.k,this.e),r=b.changes,l=b.quitEarly;if(this.d){const L=[];for(let R=0,A=r.length;R<A;R++)L.push(m.createFromDiffResult(this.d,r[R],this.h,this.j,this.l,this.a,this.b));return{quitEarly:l,changes:L}}const s=[];let a=0,u=0;for(let L=-1,R=r.length;L<R;L++){const A=L+1<R?r[L+1]:null,M=A?A.originalStart:this.f.length,U=A?A.modifiedStart:this.g.length;for(;a<M&&u<U;){const W=this.f[a],I=this.g[u];if(W!==I){{let q=_(W,1),z=_(I,1);for(;q>1&&z>1;){const F=W.charCodeAt(q-2),T=I.charCodeAt(z-2);if(F!==T)break;q--,z--}(q>1||z>1)&&this.m(s,a+1,1,q,u+1,1,z)}{let q=g(W,1),z=g(I,1);const F=W.length+1,T=I.length+1;for(;q<F&&z<T;){const k=W.charCodeAt(q-1),V=W.charCodeAt(z-1);if(k!==V)break;q++,z++}(q<F||z<T)&&this.m(s,a+1,q,F,u+1,z,T)}}a++,u++}A&&(s.push(m.createFromDiffResult(this.d,A,this.h,this.j,this.l,this.a,this.b)),a+=A.originalLength,u+=A.modifiedLength)}return{quitEarly:l,changes:s}}m(b,r,l,s,a,u,L){if(this.n(b,r,l,s,a,u,L))return;let R;this.a&&(R=[new f(r,l,r,s,a,u,a,L)]),b.push(new m(r,r,a,a,R))}n(b,r,l,s,a,u,L){const R=b.length;if(R===0)return!1;const A=b[R-1];return A.originalEndLineNumber===0||A.modifiedEndLineNumber===0?!1:A.originalEndLineNumber===r&&A.modifiedEndLineNumber===a?(this.a&&A.charChanges&&A.charChanges.push(new f(r,l,r,s,a,u,a,L)),!0):A.originalEndLineNumber+1===r&&A.modifiedEndLineNumber+1===a?(A.originalEndLineNumber=r,A.modifiedEndLineNumber=a,this.a&&A.charChanges&&A.charChanges.push(new f(r,l,r,s,a,u,a,L)),!0):!1}}n.DiffComputer=w;function _(N,b){const r=i.firstNonWhitespaceIndex(N);return r===-1?b:r+1}function g(N,b){const r=i.lastNonWhitespaceIndex(N);return r===-1?b:r+2}function h(N){if(N===0)return()=>!0;const b=Date.now();return()=>Date.now()-b<N}}),Y(X[39],Q([0,1,9,20,3,2,5,37,34,35,22]),function(O,n,E,D,i,o,y,S,c,d,p){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.LineSequence=n.lineRangeMappingFromRangeMappings=n.StandardLinesDiffComputer=void 0;class e{constructor(){this.b=new S.DynamicProgrammingDiffing,this.c=new d.MyersDiffAlgorithm}computeDiff(r,l,s){const a=new Map;function u(T){let k=a.get(T);return k===void 0&&(k=a.size,a.set(T,k)),k}const L=r.map(T=>u(T.trim())),R=l.map(T=>u(T.trim())),A=new v(L,r),M=new v(R,l);let U=(()=>A.length+M.length<1500?this.b.compute(A,M,(T,k)=>r[T]===l[k]?l[k].length===0?.1:1+Math.log(1+l[k].length):.99):this.c.compute(A,M))();U=(0,c.optimizeSequenceDiffs)(A,M,U);const W=[],I=T=>{for(let k=0;k<T;k++){const V=q+k,t=z+k;if(r[V]!==l[t]){const ne=this.e(r,l,new y.SequenceDiff(new y.OffsetRange(V,V+1),new y.OffsetRange(t,t+1)));for(const le of ne)W.push(le)}}};let q=0,z=0;for(const T of U){(0,E.assertFn)(()=>T.seq1Range.start-q===T.seq2Range.start-z);const k=T.seq1Range.start-q;I(k),q=T.seq1Range.endExclusive,z=T.seq2Range.endExclusive;const V=this.e(r,l,T);for(const t of V)W.push(t)}I(r.length-q);const F=C(W);return{quitEarly:!1,changes:F}}e(r,l,s){const a=new w(r,s.seq1Range),u=new w(l,s.seq2Range),L=a.length+u.length<500?this.b.compute(a,u):this.c.compute(a,u);let R=(0,c.optimizeSequenceDiffs)(a,u,L);return R=(0,c.smoothenSequenceDiffs)(a,u,R),R.map(M=>new p.RangeMapping(a.translateRange(M.seq1Range).delta(s.seq1Range.start),u.translateRange(M.seq2Range).delta(s.seq2Range.start)))}}n.StandardLinesDiffComputer=e;function C(b){const r=[];for(const l of f(b,(s,a)=>a.originalRange.startLineNumber-(s.originalRange.endLineNumber-(s.originalRange.endColumn>1?0:1))<=1||a.modifiedRange.startLineNumber-(s.modifiedRange.endLineNumber-(s.modifiedRange.endColumn>1?0:1))<=1)){const s=l[0],a=l[l.length-1];r.push(new p.LineRangeMapping(new D.LineRange(s.originalRange.startLineNumber,a.originalRange.endLineNumber+(a.originalRange.endColumn>1||a.modifiedRange.endColumn>1?1:0)),new D.LineRange(s.modifiedRange.startLineNumber,a.modifiedRange.endLineNumber+(a.originalRange.endColumn>1||a.modifiedRange.endColumn>1?1:0)),l))}return(0,E.assertFn)(()=>(0,E.checkAdjacentItems)(r,(l,s)=>s.originalRange.startLineNumber-l.originalRange.endLineNumberExclusive===s.modifiedRange.startLineNumber-l.modifiedRange.endLineNumberExclusive&&l.originalRange.endLineNumberExclusive<s.originalRange.startLineNumber&&l.modifiedRange.endLineNumberExclusive<s.modifiedRange.startLineNumber)),r}n.lineRangeMappingFromRangeMappings=C;function*f(b,r){let l,s;for(const a of b)s!==void 0&&r(s,a)?l.push(a):(l&&(yield l),l=[a]),s=a;l&&(yield l)}class v{constructor(r,l){this.b=r,this.c=l}getElement(r){return this.b[r]}get length(){return this.b.length}getBoundaryScore(r){const l=r===0?0:m(this.c[r-1]),s=r===this.c.length?0:m(this.c[r]);return 1e3-(l+s)}}n.LineSequence=v;function m(b){let r=0;for(;r<b.length&&(b.charCodeAt(r)===32||b.charCodeAt(r)===9);)r++;return r}class w{constructor(r,l){this.lines=r,this.lineRange=l;let s=0;this.c=new Int32Array(l.length);for(let u=l.start;u<l.endExclusive;u++)s+=r[u].length,this.c[u-l.start]=s+1,s++;this.b=new Int32Array(s);let a=0;for(let u=l.start;u<l.endExclusive;u++){const L=r[u];for(let R=0;R<L.length;R++)this.b[a+R]=L.charCodeAt(R);a+=L.length,u<r.length-1&&(this.b[a]=`
`.charCodeAt(0),a+=1)}}getElement(r){return this.b[r]}get length(){return this.b.length}getBoundaryScore(r){const l=h(r>0?this.b[r-1]:-1),s=h(r<this.b.length?this.b[r]:-1);if(l===6&&s===7)return 0;let a=0;return l!==s&&(a+=10,s===1&&(a+=1)),a+=g(l),a+=g(s),a}translateOffset(r){let l=0,s=this.c.length;for(;l<s;){const u=Math.floor((l+s)/2);this.c[u]>r?s=u:l=u+1}const a=l===0?0:this.c[l-1];return new i.Position(l+1,r-a+1)}translateRange(r){return o.Range.fromPositions(this.translateOffset(r.start),this.translateOffset(r.endExclusive))}}const _={[0]:0,[1]:0,[2]:0,[3]:10,[4]:2,[5]:3,[6]:10,[7]:10};function g(b){return _[b]}function h(b){return b===10?7:b===13?6:N(b)?5:b>=97&&b<=122?0:b>=65&&b<=90?1:b>=48&&b<=57?2:b===-1?3:4}function N(b){return b===32||b===9}}),Y(X[40],Q([0,1,38,39]),function(O,n,E,D){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.linesDiffComputers=void 0,n.linesDiffComputers={smart:new E.SmartLinesDiffComputer,experimental:new D.StandardLinesDiffComputer}}),Y(X[41],Q([0,1,19]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.computeLinks=n.LinkComputer=n.StateMachine=void 0;class D{constructor(C,f,v){const m=new Uint8Array(C*f);for(let w=0,_=C*f;w<_;w++)m[w]=v;this.a=m,this.rows=C,this.cols=f}get(C,f){return this.a[C*this.cols+f]}set(C,f,v){this.a[C*this.cols+f]=v}}class i{constructor(C){let f=0,v=0;for(let w=0,_=C.length;w<_;w++){const[g,h,N]=C[w];h>f&&(f=h),g>v&&(v=g),N>v&&(v=N)}f++,v++;const m=new D(v,f,0);for(let w=0,_=C.length;w<_;w++){const[g,h,N]=C[w];m.set(g,h,N)}this.a=m,this.b=f}nextState(C,f){return f<0||f>=this.b?0:this.a.get(C,f)}}n.StateMachine=i;let o=null;function y(){return o===null&&(o=new i([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),o}let S=null;function c(){if(S===null){S=new E.CharacterClassifier(0);const e=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let f=0;f<e.length;f++)S.set(e.charCodeAt(f),1);const C=".,;:";for(let f=0;f<C.length;f++)S.set(C.charCodeAt(f),2)}return S}class d{static a(C,f,v,m,w){let _=w-1;do{const g=f.charCodeAt(_);if(C.get(g)!==2)break;_--}while(_>m);if(m>0){const g=f.charCodeAt(m-1),h=f.charCodeAt(_);(g===40&&h===41||g===91&&h===93||g===123&&h===125)&&_--}return{range:{startLineNumber:v,startColumn:m+1,endLineNumber:v,endColumn:_+2},url:f.substring(m,_+1)}}static computeLinks(C,f=y()){const v=c(),m=[];for(let w=1,_=C.getLineCount();w<=_;w++){const g=C.getLineContent(w),h=g.length;let N=0,b=0,r=0,l=1,s=!1,a=!1,u=!1,L=!1;for(;N<h;){let R=!1;const A=g.charCodeAt(N);if(l===13){let M;switch(A){case 40:s=!0,M=0;break;case 41:M=s?0:1;break;case 91:u=!0,a=!0,M=0;break;case 93:u=!1,M=a?0:1;break;case 123:L=!0,M=0;break;case 125:M=L?0:1;break;case 39:case 34:case 96:r===A?M=1:r===39||r===34||r===96?M=0:M=1;break;case 42:M=r===42?1:0;break;case 124:M=r===124?1:0;break;case 32:M=u?0:1;break;default:M=v.get(A)}M===1&&(m.push(d.a(v,g,w,b,N)),R=!0)}else if(l===12){let M;A===91?(a=!0,M=0):M=v.get(A),M===1?R=!0:l=13}else l=f.nextState(l,A),l===0&&(R=!0);R&&(l=1,s=!1,a=!1,L=!1,b=N+1,r=A),N++}l===13&&m.push(d.a(v,g,w,b,h))}return m}}n.LinkComputer=d;function p(e){return!e||typeof e.getLineCount!="function"||typeof e.getLineContent!="function"?[]:d.computeLinks(e)}n.computeLinks=p}),Y(X[42],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.BasicInplaceReplace=void 0;class E{constructor(){this.c=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}navigateValueSet(i,o,y,S,c){if(i&&o){const d=this.a(o,c);if(d)return{range:i,value:d}}if(y&&S){const d=this.a(S,c);if(d)return{range:y,value:d}}return null}a(i,o){const y=this.b(i,o);return y!==null?y:this.d(i,o)}b(i,o){const y=Math.pow(10,i.length-(i.lastIndexOf(".")+1));let S=Number(i);const c=parseFloat(i);return!isNaN(S)&&!isNaN(c)&&S===c?S===0&&!o?null:(S=Math.floor(S*y),S+=o?y:-y,String(S/y)):null}d(i,o){return this.e(this.c,i,o)}e(i,o,y){let S=null;for(let c=0,d=i.length;S===null&&c<d;c++)S=this.f(i[c],o,y);return S}f(i,o,y){let S=i.indexOf(o);return S>=0?(S+=y?1:-1,S<0?S=i.length-1:S%=i.length,i[S]):null}}E.INSTANCE=new E,n.BasicInplaceReplace=E}),Y(X[43],Q([0,1,11]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.shouldSynchronizeModel=n.ApplyEditsResult=n.SearchData=n.ValidAnnotatedEditOperation=n.isITextSnapshot=n.FindMatch=n.TextModelResolvedOptions=n.InjectedTextCursorStops=n.MinimapPosition=n.OverviewRulerLane=void 0;var D;(function(f){f[f.Left=1]="Left",f[f.Center=2]="Center",f[f.Right=4]="Right",f[f.Full=7]="Full"})(D=n.OverviewRulerLane||(n.OverviewRulerLane={}));var i;(function(f){f[f.Inline=1]="Inline",f[f.Gutter=2]="Gutter"})(i=n.MinimapPosition||(n.MinimapPosition={}));var o;(function(f){f[f.Both=0]="Both",f[f.Right=1]="Right",f[f.Left=2]="Left",f[f.None=3]="None"})(o=n.InjectedTextCursorStops||(n.InjectedTextCursorStops={}));class y{get originalIndentSize(){return this.a?"tabSize":this.indentSize}constructor(v){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,v.tabSize|0),v.indentSize==="tabSize"?(this.indentSize=this.tabSize,this.a=!0):(this.indentSize=Math.max(1,v.indentSize|0),this.a=!1),this.insertSpaces=Boolean(v.insertSpaces),this.defaultEOL=v.defaultEOL|0,this.trimAutoWhitespace=Boolean(v.trimAutoWhitespace),this.bracketPairColorizationOptions=v.bracketPairColorizationOptions}equals(v){return this.tabSize===v.tabSize&&this.a===v.a&&this.indentSize===v.indentSize&&this.insertSpaces===v.insertSpaces&&this.defaultEOL===v.defaultEOL&&this.trimAutoWhitespace===v.trimAutoWhitespace&&(0,E.equals)(this.bracketPairColorizationOptions,v.bracketPairColorizationOptions)}createChangeEvent(v){return{tabSize:this.tabSize!==v.tabSize,indentSize:this.indentSize!==v.indentSize,insertSpaces:this.insertSpaces!==v.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==v.trimAutoWhitespace}}}n.TextModelResolvedOptions=y;class S{constructor(v,m){this._findMatchBrand=void 0,this.range=v,this.matches=m}}n.FindMatch=S;function c(f){return f&&typeof f.read=="function"}n.isITextSnapshot=c;class d{constructor(v,m,w,_,g,h){this.identifier=v,this.range=m,this.text=w,this.forceMoveMarkers=_,this.isAutoWhitespaceEdit=g,this._isTracked=h}}n.ValidAnnotatedEditOperation=d;class p{constructor(v,m,w){this.regex=v,this.wordSeparators=m,this.simpleSearch=w}}n.SearchData=p;class e{constructor(v,m,w){this.reverseEdits=v,this.changes=m,this.trimAutoWhitespaceLineNumbers=w}}n.ApplyEditsResult=e;function C(f){return!f.isTooLargeForSyncing()&&!f.isForSimpleWidget}n.shouldSynchronizeModel=C}),Y(X[44],Q([0,1,25,18]),function(O,n,E,D){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.PrefixSumIndexOfResult=n.ConstantTimePrefixSumComputer=n.PrefixSumComputer=void 0;class i{constructor(c){this.a=c,this.b=new Uint32Array(c.length),this.c=new Int32Array(1),this.c[0]=-1}insertValues(c,d){c=(0,D.toUint32)(c);const p=this.a,e=this.b,C=d.length;return C===0?!1:(this.a=new Uint32Array(p.length+C),this.a.set(p.subarray(0,c),0),this.a.set(p.subarray(c),c+C),this.a.set(d,c),c-1<this.c[0]&&(this.c[0]=c-1),this.b=new Uint32Array(this.a.length),this.c[0]>=0&&this.b.set(e.subarray(0,this.c[0]+1)),!0)}setValue(c,d){return c=(0,D.toUint32)(c),d=(0,D.toUint32)(d),this.a[c]===d?!1:(this.a[c]=d,c-1<this.c[0]&&(this.c[0]=c-1),!0)}removeValues(c,d){c=(0,D.toUint32)(c),d=(0,D.toUint32)(d);const p=this.a,e=this.b;if(c>=p.length)return!1;const C=p.length-c;return d>=C&&(d=C),d===0?!1:(this.a=new Uint32Array(p.length-d),this.a.set(p.subarray(0,c),0),this.a.set(p.subarray(c+d),c),this.b=new Uint32Array(this.a.length),c-1<this.c[0]&&(this.c[0]=c-1),this.c[0]>=0&&this.b.set(e.subarray(0,this.c[0]+1)),!0)}getTotalSum(){return this.a.length===0?0:this.d(this.a.length-1)}getPrefixSum(c){return c<0?0:(c=(0,D.toUint32)(c),this.d(c))}d(c){if(c<=this.c[0])return this.b[c];let d=this.c[0]+1;d===0&&(this.b[0]=this.a[0],d++),c>=this.a.length&&(c=this.a.length-1);for(let p=d;p<=c;p++)this.b[p]=this.b[p-1]+this.a[p];return this.c[0]=Math.max(this.c[0],c),this.b[c]}getIndexOf(c){c=Math.floor(c),this.getTotalSum();let d=0,p=this.a.length-1,e=0,C=0,f=0;for(;d<=p;)if(e=d+(p-d)/2|0,C=this.b[e],f=C-this.a[e],c<f)p=e-1;else if(c>=C)d=e+1;else break;return new y(e,c-f)}}n.PrefixSumComputer=i;class o{constructor(c){this.a=c,this.b=!1,this.c=-1,this.d=[],this.e=[]}getTotalSum(){return this.g(),this.e.length}getPrefixSum(c){return this.g(),c===0?0:this.d[c-1]}getIndexOf(c){this.g();const d=this.e[c],p=d>0?this.d[d-1]:0;return new y(d,c-p)}removeValues(c,d){this.a.splice(c,d),this.f(c)}insertValues(c,d){this.a=(0,E.arrayInsert)(this.a,c,d),this.f(c)}f(c){this.b=!1,this.c=Math.min(this.c,c-1)}g(){if(!this.b){for(let c=this.c+1,d=this.a.length;c<d;c++){const p=this.a[c],e=c>0?this.d[c-1]:0;this.d[c]=e+p;for(let C=0;C<p;C++)this.e[e+C]=c}this.d.length=this.a.length,this.e.length=this.d[this.d.length-1],this.b=!0,this.c=this.a.length-1}}setValue(c,d){this.a[c]!==d&&(this.a[c]=d,this.f(c))}}n.ConstantTimePrefixSumComputer=o;class y{constructor(c,d){this.index=c,this.remainder=d,this._prefixSumIndexOfResultBrand=void 0,this.index=c,this.remainder=d}}n.PrefixSumIndexOfResult=y}),Y(X[45],Q([0,1,4,3,44]),function(O,n,E,D,i){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.MirrorTextModel=void 0;class o{constructor(S,c,d,p){this.c=S,this.d=c,this.f=d,this.g=p,this.h=null,this.j=null}dispose(){this.d.length=0}get version(){return this.g}getText(){return this.j===null&&(this.j=this.d.join(this.f)),this.j}onEvents(S){S.eol&&S.eol!==this.f&&(this.f=S.eol,this.h=null);const c=S.changes;for(const d of c)this.n(d.range),this.o(new D.Position(d.range.startLineNumber,d.range.startColumn),d.text);this.g=S.versionId,this.j=null}k(){if(!this.h){const S=this.f.length,c=this.d.length,d=new Uint32Array(c);for(let p=0;p<c;p++)d[p]=this.d[p].length+S;this.h=new i.PrefixSumComputer(d)}}l(S,c){this.d[S]=c,this.h&&this.h.setValue(S,this.d[S].length+this.f.length)}n(S){if(S.startLineNumber===S.endLineNumber){if(S.startColumn===S.endColumn)return;this.l(S.startLineNumber-1,this.d[S.startLineNumber-1].substring(0,S.startColumn-1)+this.d[S.startLineNumber-1].substring(S.endColumn-1));return}this.l(S.startLineNumber-1,this.d[S.startLineNumber-1].substring(0,S.startColumn-1)+this.d[S.endLineNumber-1].substring(S.endColumn-1)),this.d.splice(S.startLineNumber,S.endLineNumber-S.startLineNumber),this.h&&this.h.removeValues(S.startLineNumber,S.endLineNumber-S.startLineNumber)}o(S,c){if(c.length===0)return;const d=(0,E.splitLines)(c);if(d.length===1){this.l(S.lineNumber-1,this.d[S.lineNumber-1].substring(0,S.column-1)+d[0]+this.d[S.lineNumber-1].substring(S.column-1));return}d[d.length-1]+=this.d[S.lineNumber-1].substring(S.column-1),this.l(S.lineNumber-1,this.d[S.lineNumber-1].substring(0,S.column-1)+d[0]);const p=new Uint32Array(d.length-1);for(let e=1;e<d.length;e++)this.d.splice(S.lineNumber+e-1,0,d[e]),p[e-1]=d[e].length+this.f.length;this.h&&this.h.insertValues(S.lineNumber,p)}}n.MirrorTextModel=o}),Y(X[46],Q([0,1,4,33,3,2,43]),function(O,n,E,D,i,o,y){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.Searcher=n.isValidMatch=n.TextModelSearch=n.createFindMatch=n.isMultilineRegexSource=n.SearchParams=void 0;const S=999;class c{constructor(g,h,N,b){this.searchString=g,this.isRegex=h,this.matchCase=N,this.wordSeparators=b}parseSearchRequest(){if(this.searchString==="")return null;let g;this.isRegex?g=d(this.searchString):g=this.searchString.indexOf(`
`)>=0;let h=null;try{h=E.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:g,global:!0,unicode:!0})}catch{return null}if(!h)return null;let N=!this.isRegex&&!g;return N&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(N=this.matchCase),new y.SearchData(h,this.wordSeparators?(0,D.getMapForWordSeparators)(this.wordSeparators):null,N?this.searchString:null)}}n.SearchParams=c;function d(_){if(!_||_.length===0)return!1;for(let g=0,h=_.length;g<h;g++){const N=_.charCodeAt(g);if(N===10)return!0;if(N===92){if(g++,g>=h)break;const b=_.charCodeAt(g);if(b===110||b===114||b===87)return!0}}return!1}n.isMultilineRegexSource=d;function p(_,g,h){if(!h)return new y.FindMatch(_,null);const N=[];for(let b=0,r=g.length;b<r;b++)N[b]=g[b];return new y.FindMatch(_,N)}n.createFindMatch=p;class e{constructor(g){const h=[];let N=0;for(let b=0,r=g.length;b<r;b++)g.charCodeAt(b)===10&&(h[N++]=b);this.a=h}findLineFeedCountBeforeOffset(g){const h=this.a;let N=0,b=h.length-1;if(b===-1||g<=h[0])return 0;for(;N<b;){const r=N+((b-N)/2>>0);h[r]>=g?b=r-1:h[r+1]>=g?(N=r,b=r):N=r+1}return N+1}}class C{static findMatches(g,h,N,b,r){const l=h.parseSearchRequest();return l?l.regex.multiline?this.b(g,N,new w(l.wordSeparators,l.regex),b,r):this.c(g,N,l,b,r):[]}static a(g,h,N,b,r,l){let s,a=0;b?(a=b.findLineFeedCountBeforeOffset(r),s=h+r+a):s=h+r;let u;if(b){const M=b.findLineFeedCountBeforeOffset(r+l.length)-a;u=s+l.length+M}else u=s+l.length;const L=g.getPositionAt(s),R=g.getPositionAt(u);return new o.Range(L.lineNumber,L.column,R.lineNumber,R.column)}static b(g,h,N,b,r){const l=g.getOffsetAt(h.getStartPosition()),s=g.getValueInRange(h,1),a=g.getEOL()===`\r
`?new e(s):null,u=[];let L=0,R;for(N.reset(0);R=N.next(s);)if(u[L++]=p(this.a(g,l,s,a,R.index,R[0]),R,b),L>=r)return u;return u}static c(g,h,N,b,r){const l=[];let s=0;if(h.startLineNumber===h.endLineNumber){const u=g.getLineContent(h.startLineNumber).substring(h.startColumn-1,h.endColumn-1);return s=this.d(N,u,h.startLineNumber,h.startColumn-1,s,l,b,r),l}const a=g.getLineContent(h.startLineNumber).substring(h.startColumn-1);s=this.d(N,a,h.startLineNumber,h.startColumn-1,s,l,b,r);for(let u=h.startLineNumber+1;u<h.endLineNumber&&s<r;u++)s=this.d(N,g.getLineContent(u),u,0,s,l,b,r);if(s<r){const u=g.getLineContent(h.endLineNumber).substring(0,h.endColumn-1);s=this.d(N,u,h.endLineNumber,0,s,l,b,r)}return l}static d(g,h,N,b,r,l,s,a){const u=g.wordSeparators;if(!s&&g.simpleSearch){const A=g.simpleSearch,M=A.length,U=h.length;let W=-M;for(;(W=h.indexOf(A,W+M))!==-1;)if((!u||m(u,h,U,W,M))&&(l[r++]=new y.FindMatch(new o.Range(N,W+1+b,N,W+1+M+b),null),r>=a))return r;return r}const L=new w(g.wordSeparators,g.regex);let R;L.reset(0);do if(R=L.next(h),R&&(l[r++]=p(new o.Range(N,R.index+1+b,N,R.index+1+R[0].length+b),R,s),r>=a))return r;while(R);return r}static findNextMatch(g,h,N,b){const r=h.parseSearchRequest();if(!r)return null;const l=new w(r.wordSeparators,r.regex);return r.regex.multiline?this.e(g,N,l,b):this.f(g,N,l,b)}static e(g,h,N,b){const r=new i.Position(h.lineNumber,1),l=g.getOffsetAt(r),s=g.getLineCount(),a=g.getValueInRange(new o.Range(r.lineNumber,r.column,s,g.getLineMaxColumn(s)),1),u=g.getEOL()===`\r
`?new e(a):null;N.reset(h.column-1);const L=N.next(a);return L?p(this.a(g,l,a,u,L.index,L[0]),L,b):h.lineNumber!==1||h.column!==1?this.e(g,new i.Position(1,1),N,b):null}static f(g,h,N,b){const r=g.getLineCount(),l=h.lineNumber,s=g.getLineContent(l),a=this.g(N,s,l,h.column,b);if(a)return a;for(let u=1;u<=r;u++){const L=(l+u-1)%r,R=g.getLineContent(L+1),A=this.g(N,R,L+1,1,b);if(A)return A}return null}static g(g,h,N,b,r){g.reset(b-1);const l=g.next(h);return l?p(new o.Range(N,l.index+1,N,l.index+1+l[0].length),l,r):null}static findPreviousMatch(g,h,N,b){const r=h.parseSearchRequest();if(!r)return null;const l=new w(r.wordSeparators,r.regex);return r.regex.multiline?this.h(g,N,l,b):this.j(g,N,l,b)}static h(g,h,N,b){const r=this.b(g,new o.Range(1,1,h.lineNumber,h.column),N,b,10*S);if(r.length>0)return r[r.length-1];const l=g.getLineCount();return h.lineNumber!==l||h.column!==g.getLineMaxColumn(l)?this.h(g,new i.Position(l,g.getLineMaxColumn(l)),N,b):null}static j(g,h,N,b){const r=g.getLineCount(),l=h.lineNumber,s=g.getLineContent(l).substring(0,h.column-1),a=this.k(N,s,l,b);if(a)return a;for(let u=1;u<=r;u++){const L=(r+l-u-1)%r,R=g.getLineContent(L+1),A=this.k(N,R,L+1,b);if(A)return A}return null}static k(g,h,N,b){let r=null,l;for(g.reset(0);l=g.next(h);)r=p(new o.Range(N,l.index+1,N,l.index+1+l[0].length),l,b);return r}}n.TextModelSearch=C;function f(_,g,h,N,b){if(N===0)return!0;const r=g.charCodeAt(N-1);if(_.get(r)!==0||r===13||r===10)return!0;if(b>0){const l=g.charCodeAt(N);if(_.get(l)!==0)return!0}return!1}function v(_,g,h,N,b){if(N+b===h)return!0;const r=g.charCodeAt(N+b);if(_.get(r)!==0||r===13||r===10)return!0;if(b>0){const l=g.charCodeAt(N+b-1);if(_.get(l)!==0)return!0}return!1}function m(_,g,h,N,b){return f(_,g,h,N,b)&&v(_,g,h,N,b)}n.isValidMatch=m;class w{constructor(g,h){this._wordSeparators=g,this.a=h,this.b=-1,this.c=0}reset(g){this.a.lastIndex=g,this.b=-1,this.c=0}next(g){const h=g.length;let N;do{if(this.b+this.c===h||(N=this.a.exec(g),!N))return null;const b=N.index,r=N[0].length;if(b===this.b&&r===this.c){if(r===0){E.getNextCodePoint(g,h,this.a.lastIndex)>65535?this.a.lastIndex+=2:this.a.lastIndex+=1;continue}return null}if(this.b=b,this.c=r,!this._wordSeparators||m(this._wordSeparators,g,h,b,r))return N}while(N);return null}}n.Searcher=w}),Y(X[47],Q([0,1,2,46,4,9,21]),function(O,n,E,D,i,o,y){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.UnicodeTextModelHighlighter=void 0;class S{static computeUnicodeHighlights(C,f,v){const m=v?v.startLineNumber:1,w=v?v.endLineNumber:C.getLineCount(),_=new d(f),g=_.getCandidateCodePoints();let h;g==="allNonBasicAscii"?h=new RegExp("[^\\t\\n\\r\\x20-\\x7E]","g"):h=new RegExp(`${c(Array.from(g))}`,"g");const N=new D.Searcher(null,h),b=[];let r=!1,l,s=0,a=0,u=0;e:for(let L=m,R=w;L<=R;L++){const A=C.getLineContent(L),M=A.length;N.reset(0);do if(l=N.next(A),l){let U=l.index,W=l.index+l[0].length;if(U>0){const F=A.charCodeAt(U-1);i.isHighSurrogate(F)&&U--}if(W+1<M){const F=A.charCodeAt(W-1);i.isHighSurrogate(F)&&W++}const I=A.substring(U,W);let q=(0,y.getWordAtText)(U+1,y.DEFAULT_WORD_REGEXP,A,0);q&&q.endColumn<=U+1&&(q=null);const z=_.shouldHighlightNonBasicASCII(I,q?q.word:null);if(z!==0){z===3?s++:z===2?a++:z===1?u++:(0,o.assertNever)(z);const F=1e3;if(b.length>=F){r=!0;break e}b.push(new E.Range(L,U+1,L,W+1))}}while(l)}return{ranges:b,hasMore:r,ambiguousCharacterCount:s,invisibleCharacterCount:a,nonBasicAsciiCharacterCount:u}}static computeUnicodeHighlightReason(C,f){const v=new d(f);switch(v.shouldHighlightNonBasicASCII(C,null)){case 0:return null;case 2:return{kind:1};case 3:{const w=C.codePointAt(0),_=v.ambiguousCharacters.getPrimaryConfusable(w),g=i.AmbiguousCharacters.getLocales().filter(h=>!i.AmbiguousCharacters.getInstance(new Set([...f.allowedLocales,h])).isAmbiguous(w));return{kind:0,confusableWith:String.fromCodePoint(_),notAmbiguousInLocales:g}}case 1:return{kind:2}}}}n.UnicodeTextModelHighlighter=S;function c(e,C){return`[${i.escapeRegExpCharacters(e.map(v=>String.fromCodePoint(v)).join(""))}]`}class d{constructor(C){this.b=C,this.a=new Set(C.allowedCodePoints),this.ambiguousCharacters=i.AmbiguousCharacters.getInstance(new Set(C.allowedLocales))}getCandidateCodePoints(){if(this.b.nonBasicASCII)return"allNonBasicAscii";const C=new Set;if(this.b.invisibleCharacters)for(const f of i.InvisibleCharacters.codePoints)p(String.fromCodePoint(f))||C.add(f);if(this.b.ambiguousCharacters)for(const f of this.ambiguousCharacters.getConfusableCodePoints())C.add(f);for(const f of this.a)C.delete(f);return C}shouldHighlightNonBasicASCII(C,f){const v=C.codePointAt(0);if(this.a.has(v))return 0;if(this.b.nonBasicASCII)return 1;let m=!1,w=!1;if(f)for(const _ of f){const g=_.codePointAt(0),h=i.isBasicASCII(_);m=m||h,!h&&!this.ambiguousCharacters.isAmbiguous(g)&&!i.InvisibleCharacters.isInvisibleCharacter(g)&&(w=!0)}return!m&&w?0:this.b.invisibleCharacters&&!p(C)&&i.InvisibleCharacters.isInvisibleCharacter(v)?2:this.b.ambiguousCharacters&&this.ambiguousCharacters.isAmbiguous(v)?3:0}}function p(e){return e===" "||e===`
`||e==="	"}}),Y(X[48],Q([0,1]),function(O,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.WrappingIndent=n.TrackedRangeStickiness=n.TextEditorCursorStyle=n.TextEditorCursorBlinkingStyle=n.SymbolTag=n.SymbolKind=n.SignatureHelpTriggerKind=n.SelectionDirection=n.ScrollbarVisibility=n.ScrollType=n.RenderMinimap=n.RenderLineNumbersType=n.PositionAffinity=n.OverviewRulerLane=n.OverlayWidgetPositionPreference=n.MouseTargetType=n.MinimapPosition=n.MarkerTag=n.MarkerSeverity=n.KeyCode=n.InlineCompletionTriggerKind=n.InlayHintKind=n.InjectedTextCursorStops=n.IndentAction=n.EndOfLineSequence=n.EndOfLinePreference=n.EditorOption=n.EditorAutoIndentStrategy=n.DocumentHighlightKind=n.DefaultEndOfLine=n.CursorChangeReason=n.ContentWidgetPositionPreference=n.CompletionTriggerKind=n.CompletionItemTag=n.CompletionItemKind=n.CompletionItemInsertTextRule=n.CodeActionTriggerType=n.AccessibilitySupport=void 0;var E;(function(t){t[t.Unknown=0]="Unknown",t[t.Disabled=1]="Disabled",t[t.Enabled=2]="Enabled"})(E=n.AccessibilitySupport||(n.AccessibilitySupport={}));var D;(function(t){t[t.Invoke=1]="Invoke",t[t.Auto=2]="Auto"})(D=n.CodeActionTriggerType||(n.CodeActionTriggerType={}));var i;(function(t){t[t.None=0]="None",t[t.KeepWhitespace=1]="KeepWhitespace",t[t.InsertAsSnippet=4]="InsertAsSnippet"})(i=n.CompletionItemInsertTextRule||(n.CompletionItemInsertTextRule={}));var o;(function(t){t[t.Method=0]="Method",t[t.Function=1]="Function",t[t.Constructor=2]="Constructor",t[t.Field=3]="Field",t[t.Variable=4]="Variable",t[t.Class=5]="Class",t[t.Struct=6]="Struct",t[t.Interface=7]="Interface",t[t.Module=8]="Module",t[t.Property=9]="Property",t[t.Event=10]="Event",t[t.Operator=11]="Operator",t[t.Unit=12]="Unit",t[t.Value=13]="Value",t[t.Constant=14]="Constant",t[t.Enum=15]="Enum",t[t.EnumMember=16]="EnumMember",t[t.Keyword=17]="Keyword",t[t.Text=18]="Text",t[t.Color=19]="Color",t[t.File=20]="File",t[t.Reference=21]="Reference",t[t.Customcolor=22]="Customcolor",t[t.Folder=23]="Folder",t[t.TypeParameter=24]="TypeParameter",t[t.User=25]="User",t[t.Issue=26]="Issue",t[t.Snippet=27]="Snippet"})(o=n.CompletionItemKind||(n.CompletionItemKind={}));var y;(function(t){t[t.Deprecated=1]="Deprecated"})(y=n.CompletionItemTag||(n.CompletionItemTag={}));var S;(function(t){t[t.Invoke=0]="Invoke",t[t.TriggerCharacter=1]="TriggerCharacter",t[t.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(S=n.CompletionTriggerKind||(n.CompletionTriggerKind={}));var c;(function(t){t[t.EXACT=0]="EXACT",t[t.ABOVE=1]="ABOVE",t[t.BELOW=2]="BELOW"})(c=n.ContentWidgetPositionPreference||(n.ContentWidgetPositionPreference={}));var d;(function(t){t[t.NotSet=0]="NotSet",t[t.ContentFlush=1]="ContentFlush",t[t.RecoverFromMarkers=2]="RecoverFromMarkers",t[t.Explicit=3]="Explicit",t[t.Paste=4]="Paste",t[t.Undo=5]="Undo",t[t.Redo=6]="Redo"})(d=n.CursorChangeReason||(n.CursorChangeReason={}));var p;(function(t){t[t.LF=1]="LF",t[t.CRLF=2]="CRLF"})(p=n.DefaultEndOfLine||(n.DefaultEndOfLine={}));var e;(function(t){t[t.Text=0]="Text",t[t.Read=1]="Read",t[t.Write=2]="Write"})(e=n.DocumentHighlightKind||(n.DocumentHighlightKind={}));var C;(function(t){t[t.None=0]="None",t[t.Keep=1]="Keep",t[t.Brackets=2]="Brackets",t[t.Advanced=3]="Advanced",t[t.Full=4]="Full"})(C=n.EditorAutoIndentStrategy||(n.EditorAutoIndentStrategy={}));var f;(function(t){t[t.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",t[t.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",t[t.accessibilitySupport=2]="accessibilitySupport",t[t.accessibilityPageSize=3]="accessibilityPageSize",t[t.ariaLabel=4]="ariaLabel",t[t.autoClosingBrackets=5]="autoClosingBrackets",t[t.screenReaderAnnounceInlineSuggestion=6]="screenReaderAnnounceInlineSuggestion",t[t.autoClosingDelete=7]="autoClosingDelete",t[t.autoClosingOvertype=8]="autoClosingOvertype",t[t.autoClosingQuotes=9]="autoClosingQuotes",t[t.autoIndent=10]="autoIndent",t[t.automaticLayout=11]="automaticLayout",t[t.autoSurround=12]="autoSurround",t[t.bracketPairColorization=13]="bracketPairColorization",t[t.guides=14]="guides",t[t.codeLens=15]="codeLens",t[t.codeLensFontFamily=16]="codeLensFontFamily",t[t.codeLensFontSize=17]="codeLensFontSize",t[t.colorDecorators=18]="colorDecorators",t[t.colorDecoratorsLimit=19]="colorDecoratorsLimit",t[t.columnSelection=20]="columnSelection",t[t.comments=21]="comments",t[t.contextmenu=22]="contextmenu",t[t.copyWithSyntaxHighlighting=23]="copyWithSyntaxHighlighting",t[t.cursorBlinking=24]="cursorBlinking",t[t.cursorSmoothCaretAnimation=25]="cursorSmoothCaretAnimation",t[t.cursorStyle=26]="cursorStyle",t[t.cursorSurroundingLines=27]="cursorSurroundingLines",t[t.cursorSurroundingLinesStyle=28]="cursorSurroundingLinesStyle",t[t.cursorWidth=29]="cursorWidth",t[t.disableLayerHinting=30]="disableLayerHinting",t[t.disableMonospaceOptimizations=31]="disableMonospaceOptimizations",t[t.domReadOnly=32]="domReadOnly",t[t.dragAndDrop=33]="dragAndDrop",t[t.dropIntoEditor=34]="dropIntoEditor",t[t.emptySelectionClipboard=35]="emptySelectionClipboard",t[t.experimentalWhitespaceRendering=36]="experimentalWhitespaceRendering",t[t.extraEditorClassName=37]="extraEditorClassName",t[t.fastScrollSensitivity=38]="fastScrollSensitivity",t[t.find=39]="find",t[t.fixedOverflowWidgets=40]="fixedOverflowWidgets",t[t.folding=41]="folding",t[t.foldingStrategy=42]="foldingStrategy",t[t.foldingHighlight=43]="foldingHighlight",t[t.foldingImportsByDefault=44]="foldingImportsByDefault",t[t.foldingMaximumRegions=45]="foldingMaximumRegions",t[t.unfoldOnClickAfterEndOfLine=46]="unfoldOnClickAfterEndOfLine",t[t.fontFamily=47]="fontFamily",t[t.fontInfo=48]="fontInfo",t[t.fontLigatures=49]="fontLigatures",t[t.fontSize=50]="fontSize",t[t.fontWeight=51]="fontWeight",t[t.fontVariations=52]="fontVariations",t[t.formatOnPaste=53]="formatOnPaste",t[t.formatOnType=54]="formatOnType",t[t.glyphMargin=55]="glyphMargin",t[t.gotoLocation=56]="gotoLocation",t[t.hideCursorInOverviewRuler=57]="hideCursorInOverviewRuler",t[t.hover=58]="hover",t[t.inDiffEditor=59]="inDiffEditor",t[t.inlineSuggest=60]="inlineSuggest",t[t.letterSpacing=61]="letterSpacing",t[t.lightbulb=62]="lightbulb",t[t.lineDecorationsWidth=63]="lineDecorationsWidth",t[t.lineHeight=64]="lineHeight",t[t.lineNumbers=65]="lineNumbers",t[t.lineNumbersMinChars=66]="lineNumbersMinChars",t[t.linkedEditing=67]="linkedEditing",t[t.links=68]="links",t[t.matchBrackets=69]="matchBrackets",t[t.minimap=70]="minimap",t[t.mouseStyle=71]="mouseStyle",t[t.mouseWheelScrollSensitivity=72]="mouseWheelScrollSensitivity",t[t.mouseWheelZoom=73]="mouseWheelZoom",t[t.multiCursorMergeOverlapping=74]="multiCursorMergeOverlapping",t[t.multiCursorModifier=75]="multiCursorModifier",t[t.multiCursorPaste=76]="multiCursorPaste",t[t.multiCursorLimit=77]="multiCursorLimit",t[t.occurrencesHighlight=78]="occurrencesHighlight",t[t.overviewRulerBorder=79]="overviewRulerBorder",t[t.overviewRulerLanes=80]="overviewRulerLanes",t[t.padding=81]="padding",t[t.parameterHints=82]="parameterHints",t[t.peekWidgetDefaultFocus=83]="peekWidgetDefaultFocus",t[t.definitionLinkOpensInPeek=84]="definitionLinkOpensInPeek",t[t.quickSuggestions=85]="quickSuggestions",t[t.quickSuggestionsDelay=86]="quickSuggestionsDelay",t[t.readOnly=87]="readOnly",t[t.renameOnType=88]="renameOnType",t[t.renderControlCharacters=89]="renderControlCharacters",t[t.renderFinalNewline=90]="renderFinalNewline",t[t.renderLineHighlight=91]="renderLineHighlight",t[t.renderLineHighlightOnlyWhenFocus=92]="renderLineHighlightOnlyWhenFocus",t[t.renderValidationDecorations=93]="renderValidationDecorations",t[t.renderWhitespace=94]="renderWhitespace",t[t.revealHorizontalRightPadding=95]="revealHorizontalRightPadding",t[t.roundedSelection=96]="roundedSelection",t[t.rulers=97]="rulers",t[t.scrollbar=98]="scrollbar",t[t.scrollBeyondLastColumn=99]="scrollBeyondLastColumn",t[t.scrollBeyondLastLine=100]="scrollBeyondLastLine",t[t.scrollPredominantAxis=101]="scrollPredominantAxis",t[t.selectionClipboard=102]="selectionClipboard",t[t.selectionHighlight=103]="selectionHighlight",t[t.selectOnLineNumbers=104]="selectOnLineNumbers",t[t.showFoldingControls=105]="showFoldingControls",t[t.showUnused=106]="showUnused",t[t.snippetSuggestions=107]="snippetSuggestions",t[t.smartSelect=108]="smartSelect",t[t.smoothScrolling=109]="smoothScrolling",t[t.stickyScroll=110]="stickyScroll",t[t.stickyTabStops=111]="stickyTabStops",t[t.stopRenderingLineAfter=112]="stopRenderingLineAfter",t[t.suggest=113]="suggest",t[t.suggestFontSize=114]="suggestFontSize",t[t.suggestLineHeight=115]="suggestLineHeight",t[t.suggestOnTriggerCharacters=116]="suggestOnTriggerCharacters",t[t.suggestSelection=117]="suggestSelection",t[t.tabCompletion=118]="tabCompletion",t[t.tabIndex=119]="tabIndex",t[t.unicodeHighlighting=120]="unicodeHighlighting",t[t.unusualLineTerminators=121]="unusualLineTerminators",t[t.useShadowDOM=122]="useShadowDOM",t[t.useTabStops=123]="useTabStops",t[t.wordBreak=124]="wordBreak",t[t.wordSeparators=125]="wordSeparators",t[t.wordWrap=126]="wordWrap",t[t.wordWrapBreakAfterCharacters=127]="wordWrapBreakAfterCharacters",t[t.wordWrapBreakBeforeCharacters=128]="wordWrapBreakBeforeCharacters",t[t.wordWrapColumn=129]="wordWrapColumn",t[t.wordWrapOverride1=130]="wordWrapOverride1",t[t.wordWrapOverride2=131]="wordWrapOverride2",t[t.wrappingIndent=132]="wrappingIndent",t[t.wrappingStrategy=133]="wrappingStrategy",t[t.showDeprecated=134]="showDeprecated",t[t.inlayHints=135]="inlayHints",t[t.editorClassName=136]="editorClassName",t[t.pixelRatio=137]="pixelRatio",t[t.tabFocusMode=138]="tabFocusMode",t[t.layoutInfo=139]="layoutInfo",t[t.wrappingInfo=140]="wrappingInfo"})(f=n.EditorOption||(n.EditorOption={}));var v;(function(t){t[t.TextDefined=0]="TextDefined",t[t.LF=1]="LF",t[t.CRLF=2]="CRLF"})(v=n.EndOfLinePreference||(n.EndOfLinePreference={}));var m;(function(t){t[t.LF=0]="LF",t[t.CRLF=1]="CRLF"})(m=n.EndOfLineSequence||(n.EndOfLineSequence={}));var w;(function(t){t[t.None=0]="None",t[t.Indent=1]="Indent",t[t.IndentOutdent=2]="IndentOutdent",t[t.Outdent=3]="Outdent"})(w=n.IndentAction||(n.IndentAction={}));var _;(function(t){t[t.Both=0]="Both",t[t.Right=1]="Right",t[t.Left=2]="Left",t[t.None=3]="None"})(_=n.InjectedTextCursorStops||(n.InjectedTextCursorStops={}));var g;(function(t){t[t.Type=1]="Type",t[t.Parameter=2]="Parameter"})(g=n.InlayHintKind||(n.InlayHintKind={}));var h;(function(t){t[t.Automatic=0]="Automatic",t[t.Explicit=1]="Explicit"})(h=n.InlineCompletionTriggerKind||(n.InlineCompletionTriggerKind={}));var N;(function(t){t[t.DependsOnKbLayout=-1]="DependsOnKbLayout",t[t.Unknown=0]="Unknown",t[t.Backspace=1]="Backspace",t[t.Tab=2]="Tab",t[t.Enter=3]="Enter",t[t.Shift=4]="Shift",t[t.Ctrl=5]="Ctrl",t[t.Alt=6]="Alt",t[t.PauseBreak=7]="PauseBreak",t[t.CapsLock=8]="CapsLock",t[t.Escape=9]="Escape",t[t.Space=10]="Space",t[t.PageUp=11]="PageUp",t[t.PageDown=12]="PageDown",t[t.End=13]="End",t[t.Home=14]="Home",t[t.LeftArrow=15]="LeftArrow",t[t.UpArrow=16]="UpArrow",t[t.RightArrow=17]="RightArrow",t[t.DownArrow=18]="DownArrow",t[t.Insert=19]="Insert",t[t.Delete=20]="Delete",t[t.Digit0=21]="Digit0",t[t.Digit1=22]="Digit1",t[t.Digit2=23]="Digit2",t[t.Digit3=24]="Digit3",t[t.Digit4=25]="Digit4",t[t.Digit5=26]="Digit5",t[t.Digit6=27]="Digit6",t[t.Digit7=28]="Digit7",t[t.Digit8=29]="Digit8",t[t.Digit9=30]="Digit9",t[t.KeyA=31]="KeyA",t[t.KeyB=32]="KeyB",t[t.KeyC=33]="KeyC",t[t.KeyD=34]="KeyD",t[t.KeyE=35]="KeyE",t[t.KeyF=36]="KeyF",t[t.KeyG=37]="KeyG",t[t.KeyH=38]="KeyH",t[t.KeyI=39]="KeyI",t[t.KeyJ=40]="KeyJ",t[t.KeyK=41]="KeyK",t[t.KeyL=42]="KeyL",t[t.KeyM=43]="KeyM",t[t.KeyN=44]="KeyN",t[t.KeyO=45]="KeyO",t[t.KeyP=46]="KeyP",t[t.KeyQ=47]="KeyQ",t[t.KeyR=48]="KeyR",t[t.KeyS=49]="KeyS",t[t.KeyT=50]="KeyT",t[t.KeyU=51]="KeyU",t[t.KeyV=52]="KeyV",t[t.KeyW=53]="KeyW",t[t.KeyX=54]="KeyX",t[t.KeyY=55]="KeyY",t[t.KeyZ=56]="KeyZ",t[t.Meta=57]="Meta",t[t.ContextMenu=58]="ContextMenu",t[t.F1=59]="F1",t[t.F2=60]="F2",t[t.F3=61]="F3",t[t.F4=62]="F4",t[t.F5=63]="F5",t[t.F6=64]="F6",t[t.F7=65]="F7",t[t.F8=66]="F8",t[t.F9=67]="F9",t[t.F10=68]="F10",t[t.F11=69]="F11",t[t.F12=70]="F12",t[t.F13=71]="F13",t[t.F14=72]="F14",t[t.F15=73]="F15",t[t.F16=74]="F16",t[t.F17=75]="F17",t[t.F18=76]="F18",t[t.F19=77]="F19",t[t.NumLock=78]="NumLock",t[t.ScrollLock=79]="ScrollLock",t[t.Semicolon=80]="Semicolon",t[t.Equal=81]="Equal",t[t.Comma=82]="Comma",t[t.Minus=83]="Minus",t[t.Period=84]="Period",t[t.Slash=85]="Slash",t[t.Backquote=86]="Backquote",t[t.BracketLeft=87]="BracketLeft",t[t.Backslash=88]="Backslash",t[t.BracketRight=89]="BracketRight",t[t.Quote=90]="Quote",t[t.OEM_8=91]="OEM_8",t[t.IntlBackslash=92]="IntlBackslash",t[t.Numpad0=93]="Numpad0",t[t.Numpad1=94]="Numpad1",t[t.Numpad2=95]="Numpad2",t[t.Numpad3=96]="Numpad3",t[t.Numpad4=97]="Numpad4",t[t.Numpad5=98]="Numpad5",t[t.Numpad6=99]="Numpad6",t[t.Numpad7=100]="Numpad7",t[t.Numpad8=101]="Numpad8",t[t.Numpad9=102]="Numpad9",t[t.NumpadMultiply=103]="NumpadMultiply",t[t.NumpadAdd=104]="NumpadAdd",t[t.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",t[t.NumpadSubtract=106]="NumpadSubtract",t[t.NumpadDecimal=107]="NumpadDecimal",t[t.NumpadDivide=108]="NumpadDivide",t[t.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",t[t.ABNT_C1=110]="ABNT_C1",t[t.ABNT_C2=111]="ABNT_C2",t[t.AudioVolumeMute=112]="AudioVolumeMute",t[t.AudioVolumeUp=113]="AudioVolumeUp",t[t.AudioVolumeDown=114]="AudioVolumeDown",t[t.BrowserSearch=115]="BrowserSearch",t[t.BrowserHome=116]="BrowserHome",t[t.BrowserBack=117]="BrowserBack",t[t.BrowserForward=118]="BrowserForward",t[t.MediaTrackNext=119]="MediaTrackNext",t[t.MediaTrackPrevious=120]="MediaTrackPrevious",t[t.MediaStop=121]="MediaStop",t[t.MediaPlayPause=122]="MediaPlayPause",t[t.LaunchMediaPlayer=123]="LaunchMediaPlayer",t[t.LaunchMail=124]="LaunchMail",t[t.LaunchApp2=125]="LaunchApp2",t[t.Clear=126]="Clear",t[t.MAX_VALUE=127]="MAX_VALUE"})(N=n.KeyCode||(n.KeyCode={}));var b;(function(t){t[t.Hint=1]="Hint",t[t.Info=2]="Info",t[t.Warning=4]="Warning",t[t.Error=8]="Error"})(b=n.MarkerSeverity||(n.MarkerSeverity={}));var r;(function(t){t[t.Unnecessary=1]="Unnecessary",t[t.Deprecated=2]="Deprecated"})(r=n.MarkerTag||(n.MarkerTag={}));var l;(function(t){t[t.Inline=1]="Inline",t[t.Gutter=2]="Gutter"})(l=n.MinimapPosition||(n.MinimapPosition={}));var s;(function(t){t[t.UNKNOWN=0]="UNKNOWN",t[t.TEXTAREA=1]="TEXTAREA",t[t.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",t[t.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",t[t.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",t[t.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",t[t.CONTENT_TEXT=6]="CONTENT_TEXT",t[t.CONTENT_EMPTY=7]="CONTENT_EMPTY",t[t.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",t[t.CONTENT_WIDGET=9]="CONTENT_WIDGET",t[t.OVERVIEW_RULER=10]="OVERVIEW_RULER",t[t.SCROLLBAR=11]="SCROLLBAR",t[t.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",t[t.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"})(s=n.MouseTargetType||(n.MouseTargetType={}));var a;(function(t){t[t.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",t[t.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",t[t.TOP_CENTER=2]="TOP_CENTER"})(a=n.OverlayWidgetPositionPreference||(n.OverlayWidgetPositionPreference={}));var u;(function(t){t[t.Left=1]="Left",t[t.Center=2]="Center",t[t.Right=4]="Right",t[t.Full=7]="Full"})(u=n.OverviewRulerLane||(n.OverviewRulerLane={}));var L;(function(t){t[t.Left=0]="Left",t[t.Right=1]="Right",t[t.None=2]="None",t[t.LeftOfInjectedText=3]="LeftOfInjectedText",t[t.RightOfInjectedText=4]="RightOfInjectedText"})(L=n.PositionAffinity||(n.PositionAffinity={}));var R;(function(t){t[t.Off=0]="Off",t[t.On=1]="On",t[t.Relative=2]="Relative",t[t.Interval=3]="Interval",t[t.Custom=4]="Custom"})(R=n.RenderLineNumbersType||(n.RenderLineNumbersType={}));var A;(function(t){t[t.None=0]="None",t[t.Text=1]="Text",t[t.Blocks=2]="Blocks"})(A=n.RenderMinimap||(n.RenderMinimap={}));var M;(function(t){t[t.Smooth=0]="Smooth",t[t.Immediate=1]="Immediate"})(M=n.ScrollType||(n.ScrollType={}));var U;(function(t){t[t.Auto=1]="Auto",t[t.Hidden=2]="Hidden",t[t.Visible=3]="Visible"})(U=n.ScrollbarVisibility||(n.ScrollbarVisibility={}));var W;(function(t){t[t.LTR=0]="LTR",t[t.RTL=1]="RTL"})(W=n.SelectionDirection||(n.SelectionDirection={}));var I;(function(t){t[t.Invoke=1]="Invoke",t[t.TriggerCharacter=2]="TriggerCharacter",t[t.ContentChange=3]="ContentChange"})(I=n.SignatureHelpTriggerKind||(n.SignatureHelpTriggerKind={}));var q;(function(t){t[t.File=0]="File",t[t.Module=1]="Module",t[t.Namespace=2]="Namespace",t[t.Package=3]="Package",t[t.Class=4]="Class",t[t.Method=5]="Method",t[t.Property=6]="Property",t[t.Field=7]="Field",t[t.Constructor=8]="Constructor",t[t.Enum=9]="Enum",t[t.Interface=10]="Interface",t[t.Function=11]="Function",t[t.Variable=12]="Variable",t[t.Constant=13]="Constant",t[t.String=14]="String",t[t.Number=15]="Number",t[t.Boolean=16]="Boolean",t[t.Array=17]="Array",t[t.Object=18]="Object",t[t.Key=19]="Key",t[t.Null=20]="Null",t[t.EnumMember=21]="EnumMember",t[t.Struct=22]="Struct",t[t.Event=23]="Event",t[t.Operator=24]="Operator",t[t.TypeParameter=25]="TypeParameter"})(q=n.SymbolKind||(n.SymbolKind={}));var z;(function(t){t[t.Deprecated=1]="Deprecated"})(z=n.SymbolTag||(n.SymbolTag={}));var F;(function(t){t[t.Hidden=0]="Hidden",t[t.Blink=1]="Blink",t[t.Smooth=2]="Smooth",t[t.Phase=3]="Phase",t[t.Expand=4]="Expand",t[t.Solid=5]="Solid"})(F=n.TextEditorCursorBlinkingStyle||(n.TextEditorCursorBlinkingStyle={}));var T;(function(t){t[t.Line=1]="Line",t[t.Block=2]="Block",t[t.Underline=3]="Underline",t[t.LineThin=4]="LineThin",t[t.BlockOutline=5]="BlockOutline",t[t.UnderlineThin=6]="UnderlineThin"})(T=n.TextEditorCursorStyle||(n.TextEditorCursorStyle={}));var k;(function(t){t[t.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",t[t.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",t[t.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",t[t.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(k=n.TrackedRangeStickiness||(n.TrackedRangeStickiness={}));var V;(function(t){t[t.None=0]="None",t[t.Same=1]="Same",t[t.Indent=2]="Indent",t[t.DeepIndent=3]="DeepIndent"})(V=n.WrappingIndent||(n.WrappingIndent={}))}),Y(X[49],Q([24,56]),function(O,n){return O.create("vs/base/common/platform",n)}),Y(X[6],Q([0,1,49]),function(O,n,E){"use strict";var D;Object.defineProperty(n,"__esModule",{value:!0}),n.isAndroid=n.isEdge=n.isSafari=n.isFirefox=n.isChrome=n.isLittleEndian=n.OS=n.setTimeout0=n.setTimeout0IsFaster=n.language=n.userAgent=n.isMobile=n.isIOS=n.isWebWorker=n.isWeb=n.isNative=n.isLinux=n.isMacintosh=n.isWindows=n.globals=n.LANGUAGE_DEFAULT=void 0,n.LANGUAGE_DEFAULT="en";let i=!1,o=!1,y=!1,S=!1,c=!1,d=!1,p=!1,e=!1,C=!1,f=!1,v,m=n.LANGUAGE_DEFAULT,w,_;n.globals=typeof self=="object"?self:typeof global=="object"?global:{};let g;typeof n.globals.vscode<"u"&&typeof n.globals.vscode.process<"u"?g=n.globals.vscode.process:typeof process<"u"&&(g=process);const h=typeof((D=g?.versions)===null||D===void 0?void 0:D.electron)=="string",N=h&&g?.type==="renderer";if(typeof navigator=="object"&&!N)_=navigator.userAgent,i=_.indexOf("Windows")>=0,o=_.indexOf("Macintosh")>=0,e=(_.indexOf("Macintosh")>=0||_.indexOf("iPad")>=0||_.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,y=_.indexOf("Linux")>=0,f=_?.indexOf("Mobi")>=0,d=!0,v=E.getConfiguredDefaultLocale(E.localize(0,null))||n.LANGUAGE_DEFAULT,m=v;else if(typeof g=="object"){i=g.platform==="win32",o=g.platform==="darwin",y=g.platform==="linux",S=y&&!!g.env.SNAP&&!!g.env.SNAP_REVISION,p=h,C=!!g.env.CI||!!g.env.BUILD_ARTIFACTSTAGINGDIRECTORY,v=n.LANGUAGE_DEFAULT,m=n.LANGUAGE_DEFAULT;const a=g.env.VSCODE_NLS_CONFIG;if(a)try{const u=JSON.parse(a),L=u.availableLanguages["*"];v=u.locale,m=L||n.LANGUAGE_DEFAULT,w=u._translationsConfigFile}catch{}c=!0}else console.error("Unable to resolve platform.");let b=0;o?b=1:i?b=3:y&&(b=2),n.isWindows=i,n.isMacintosh=o,n.isLinux=y,n.isNative=c,n.isWeb=d,n.isWebWorker=d&&typeof n.globals.importScripts=="function",n.isIOS=e,n.isMobile=f,n.userAgent=_,n.language=m,n.setTimeout0IsFaster=typeof n.globals.postMessage=="function"&&!n.globals.importScripts,n.setTimeout0=(()=>{if(n.setTimeout0IsFaster){const a=[];n.globals.addEventListener("message",L=>{if(L.data&&L.data.vscodeScheduleAsyncWork)for(let R=0,A=a.length;R<A;R++){const M=a[R];if(M.id===L.data.vscodeScheduleAsyncWork){a.splice(R,1),M.callback();return}}});let u=0;return L=>{const R=++u;a.push({id:R,callback:L}),n.globals.postMessage({vscodeScheduleAsyncWork:R},"*")}}return a=>setTimeout(a)})(),n.OS=o||e?2:i?1:3;let r=!0,l=!1;function s(){if(!l){l=!0;const a=new Uint8Array(2);a[0]=1,a[1]=2,r=new Uint16Array(a.buffer)[0]===(2<<8)+1}return r}n.isLittleEndian=s,n.isChrome=!!(n.userAgent&&n.userAgent.indexOf("Chrome")>=0),n.isFirefox=!!(n.userAgent&&n.userAgent.indexOf("Firefox")>=0),n.isSafari=!!(!n.isChrome&&n.userAgent&&n.userAgent.indexOf("Safari")>=0),n.isEdge=!!(n.userAgent&&n.userAgent.indexOf("Edg/")>=0),n.isAndroid=!!(n.userAgent&&n.userAgent.indexOf("Android")>=0)}),Y(X[50],Q([0,1,6]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.platform=n.env=n.cwd=void 0;let D;if(typeof E.globals.vscode<"u"&&typeof E.globals.vscode.process<"u"){const i=E.globals.vscode.process;D={get platform(){return i.platform},get arch(){return i.arch},get env(){return i.env},cwd(){return i.cwd()}}}else typeof process<"u"?D={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:D={get platform(){return E.isWindows?"win32":E.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};n.cwd=D.cwd,n.env=D.env,n.platform=D.platform}),Y(X[51],Q([0,1,50]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.sep=n.extname=n.basename=n.dirname=n.relative=n.resolve=n.normalize=n.posix=n.win32=void 0;const D=65,i=97,o=90,y=122,S=46,c=47,d=92,p=58,e=63;class C extends Error{constructor(l,s,a){let u;typeof s=="string"&&s.indexOf("not ")===0?(u="must not be",s=s.replace(/^not /,"")):u="must be";const L=l.indexOf(".")!==-1?"property":"argument";let R=`The "${l}" ${L} ${u} of type ${s}`;R+=`. Received type ${typeof a}`,super(R),this.code="ERR_INVALID_ARG_TYPE"}}function f(r,l){if(r===null||typeof r!="object")throw new C(l,"Object",r)}function v(r,l){if(typeof r!="string")throw new C(l,"string",r)}const m=E.platform==="win32";function w(r){return r===c||r===d}function _(r){return r===c}function g(r){return r>=D&&r<=o||r>=i&&r<=y}function h(r,l,s,a){let u="",L=0,R=-1,A=0,M=0;for(let U=0;U<=r.length;++U){if(U<r.length)M=r.charCodeAt(U);else{if(a(M))break;M=c}if(a(M)){if(!(R===U-1||A===1))if(A===2){if(u.length<2||L!==2||u.charCodeAt(u.length-1)!==S||u.charCodeAt(u.length-2)!==S){if(u.length>2){const W=u.lastIndexOf(s);W===-1?(u="",L=0):(u=u.slice(0,W),L=u.length-1-u.lastIndexOf(s)),R=U,A=0;continue}else if(u.length!==0){u="",L=0,R=U,A=0;continue}}l&&(u+=u.length>0?`${s}..`:"..",L=2)}else u.length>0?u+=`${s}${r.slice(R+1,U)}`:u=r.slice(R+1,U),L=U-R-1;R=U,A=0}else M===S&&A!==-1?++A:A=-1}return u}function N(r,l){f(l,"pathObject");const s=l.dir||l.root,a=l.base||`${l.name||""}${l.ext||""}`;return s?s===l.root?`${s}${a}`:`${s}${r}${a}`:a}n.win32={resolve(...r){let l="",s="",a=!1;for(let u=r.length-1;u>=-1;u--){let L;if(u>=0){if(L=r[u],v(L,"path"),L.length===0)continue}else l.length===0?L=E.cwd():(L=E.env[`=${l}`]||E.cwd(),(L===void 0||L.slice(0,2).toLowerCase()!==l.toLowerCase()&&L.charCodeAt(2)===d)&&(L=`${l}\\`));const R=L.length;let A=0,M="",U=!1;const W=L.charCodeAt(0);if(R===1)w(W)&&(A=1,U=!0);else if(w(W))if(U=!0,w(L.charCodeAt(1))){let I=2,q=I;for(;I<R&&!w(L.charCodeAt(I));)I++;if(I<R&&I!==q){const z=L.slice(q,I);for(q=I;I<R&&w(L.charCodeAt(I));)I++;if(I<R&&I!==q){for(q=I;I<R&&!w(L.charCodeAt(I));)I++;(I===R||I!==q)&&(M=`\\\\${z}\\${L.slice(q,I)}`,A=I)}}}else A=1;else g(W)&&L.charCodeAt(1)===p&&(M=L.slice(0,2),A=2,R>2&&w(L.charCodeAt(2))&&(U=!0,A=3));if(M.length>0)if(l.length>0){if(M.toLowerCase()!==l.toLowerCase())continue}else l=M;if(a){if(l.length>0)break}else if(s=`${L.slice(A)}\\${s}`,a=U,U&&l.length>0)break}return s=h(s,!a,"\\",w),a?`${l}\\${s}`:`${l}${s}`||"."},normalize(r){v(r,"path");const l=r.length;if(l===0)return".";let s=0,a,u=!1;const L=r.charCodeAt(0);if(l===1)return _(L)?"\\":r;if(w(L))if(u=!0,w(r.charCodeAt(1))){let A=2,M=A;for(;A<l&&!w(r.charCodeAt(A));)A++;if(A<l&&A!==M){const U=r.slice(M,A);for(M=A;A<l&&w(r.charCodeAt(A));)A++;if(A<l&&A!==M){for(M=A;A<l&&!w(r.charCodeAt(A));)A++;if(A===l)return`\\\\${U}\\${r.slice(M)}\\`;A!==M&&(a=`\\\\${U}\\${r.slice(M,A)}`,s=A)}}}else s=1;else g(L)&&r.charCodeAt(1)===p&&(a=r.slice(0,2),s=2,l>2&&w(r.charCodeAt(2))&&(u=!0,s=3));let R=s<l?h(r.slice(s),!u,"\\",w):"";return R.length===0&&!u&&(R="."),R.length>0&&w(r.charCodeAt(l-1))&&(R+="\\"),a===void 0?u?`\\${R}`:R:u?`${a}\\${R}`:`${a}${R}`},isAbsolute(r){v(r,"path");const l=r.length;if(l===0)return!1;const s=r.charCodeAt(0);return w(s)||l>2&&g(s)&&r.charCodeAt(1)===p&&w(r.charCodeAt(2))},join(...r){if(r.length===0)return".";let l,s;for(let L=0;L<r.length;++L){const R=r[L];v(R,"path"),R.length>0&&(l===void 0?l=s=R:l+=`\\${R}`)}if(l===void 0)return".";let a=!0,u=0;if(typeof s=="string"&&w(s.charCodeAt(0))){++u;const L=s.length;L>1&&w(s.charCodeAt(1))&&(++u,L>2&&(w(s.charCodeAt(2))?++u:a=!1))}if(a){for(;u<l.length&&w(l.charCodeAt(u));)u++;u>=2&&(l=`\\${l.slice(u)}`)}return n.win32.normalize(l)},relative(r,l){if(v(r,"from"),v(l,"to"),r===l)return"";const s=n.win32.resolve(r),a=n.win32.resolve(l);if(s===a||(r=s.toLowerCase(),l=a.toLowerCase(),r===l))return"";let u=0;for(;u<r.length&&r.charCodeAt(u)===d;)u++;let L=r.length;for(;L-1>u&&r.charCodeAt(L-1)===d;)L--;const R=L-u;let A=0;for(;A<l.length&&l.charCodeAt(A)===d;)A++;let M=l.length;for(;M-1>A&&l.charCodeAt(M-1)===d;)M--;const U=M-A,W=R<U?R:U;let I=-1,q=0;for(;q<W;q++){const F=r.charCodeAt(u+q);if(F!==l.charCodeAt(A+q))break;F===d&&(I=q)}if(q!==W){if(I===-1)return a}else{if(U>W){if(l.charCodeAt(A+q)===d)return a.slice(A+q+1);if(q===2)return a.slice(A+q)}R>W&&(r.charCodeAt(u+q)===d?I=q:q===2&&(I=3)),I===-1&&(I=0)}let z="";for(q=u+I+1;q<=L;++q)(q===L||r.charCodeAt(q)===d)&&(z+=z.length===0?"..":"\\..");return A+=I,z.length>0?`${z}${a.slice(A,M)}`:(a.charCodeAt(A)===d&&++A,a.slice(A,M))},toNamespacedPath(r){if(typeof r!="string"||r.length===0)return r;const l=n.win32.resolve(r);if(l.length<=2)return r;if(l.charCodeAt(0)===d){if(l.charCodeAt(1)===d){const s=l.charCodeAt(2);if(s!==e&&s!==S)return`\\\\?\\UNC\\${l.slice(2)}`}}else if(g(l.charCodeAt(0))&&l.charCodeAt(1)===p&&l.charCodeAt(2)===d)return`\\\\?\\${l}`;return r},dirname(r){v(r,"path");const l=r.length;if(l===0)return".";let s=-1,a=0;const u=r.charCodeAt(0);if(l===1)return w(u)?r:".";if(w(u)){if(s=a=1,w(r.charCodeAt(1))){let A=2,M=A;for(;A<l&&!w(r.charCodeAt(A));)A++;if(A<l&&A!==M){for(M=A;A<l&&w(r.charCodeAt(A));)A++;if(A<l&&A!==M){for(M=A;A<l&&!w(r.charCodeAt(A));)A++;if(A===l)return r;A!==M&&(s=a=A+1)}}}}else g(u)&&r.charCodeAt(1)===p&&(s=l>2&&w(r.charCodeAt(2))?3:2,a=s);let L=-1,R=!0;for(let A=l-1;A>=a;--A)if(w(r.charCodeAt(A))){if(!R){L=A;break}}else R=!1;if(L===-1){if(s===-1)return".";L=s}return r.slice(0,L)},basename(r,l){l!==void 0&&v(l,"ext"),v(r,"path");let s=0,a=-1,u=!0,L;if(r.length>=2&&g(r.charCodeAt(0))&&r.charCodeAt(1)===p&&(s=2),l!==void 0&&l.length>0&&l.length<=r.length){if(l===r)return"";let R=l.length-1,A=-1;for(L=r.length-1;L>=s;--L){const M=r.charCodeAt(L);if(w(M)){if(!u){s=L+1;break}}else A===-1&&(u=!1,A=L+1),R>=0&&(M===l.charCodeAt(R)?--R===-1&&(a=L):(R=-1,a=A))}return s===a?a=A:a===-1&&(a=r.length),r.slice(s,a)}for(L=r.length-1;L>=s;--L)if(w(r.charCodeAt(L))){if(!u){s=L+1;break}}else a===-1&&(u=!1,a=L+1);return a===-1?"":r.slice(s,a)},extname(r){v(r,"path");let l=0,s=-1,a=0,u=-1,L=!0,R=0;r.length>=2&&r.charCodeAt(1)===p&&g(r.charCodeAt(0))&&(l=a=2);for(let A=r.length-1;A>=l;--A){const M=r.charCodeAt(A);if(w(M)){if(!L){a=A+1;break}continue}u===-1&&(L=!1,u=A+1),M===S?s===-1?s=A:R!==1&&(R=1):s!==-1&&(R=-1)}return s===-1||u===-1||R===0||R===1&&s===u-1&&s===a+1?"":r.slice(s,u)},format:N.bind(null,"\\"),parse(r){v(r,"path");const l={root:"",dir:"",base:"",ext:"",name:""};if(r.length===0)return l;const s=r.length;let a=0,u=r.charCodeAt(0);if(s===1)return w(u)?(l.root=l.dir=r,l):(l.base=l.name=r,l);if(w(u)){if(a=1,w(r.charCodeAt(1))){let I=2,q=I;for(;I<s&&!w(r.charCodeAt(I));)I++;if(I<s&&I!==q){for(q=I;I<s&&w(r.charCodeAt(I));)I++;if(I<s&&I!==q){for(q=I;I<s&&!w(r.charCodeAt(I));)I++;I===s?a=I:I!==q&&(a=I+1)}}}}else if(g(u)&&r.charCodeAt(1)===p){if(s<=2)return l.root=l.dir=r,l;if(a=2,w(r.charCodeAt(2))){if(s===3)return l.root=l.dir=r,l;a=3}}a>0&&(l.root=r.slice(0,a));let L=-1,R=a,A=-1,M=!0,U=r.length-1,W=0;for(;U>=a;--U){if(u=r.charCodeAt(U),w(u)){if(!M){R=U+1;break}continue}A===-1&&(M=!1,A=U+1),u===S?L===-1?L=U:W!==1&&(W=1):L!==-1&&(W=-1)}return A!==-1&&(L===-1||W===0||W===1&&L===A-1&&L===R+1?l.base=l.name=r.slice(R,A):(l.name=r.slice(R,L),l.base=r.slice(R,A),l.ext=r.slice(L,A))),R>0&&R!==a?l.dir=r.slice(0,R-1):l.dir=l.root,l},sep:"\\",delimiter:";",win32:null,posix:null};const b=(()=>{if(m){const r=/\\/g;return()=>{const l=E.cwd().replace(r,"/");return l.slice(l.indexOf("/"))}}return()=>E.cwd()})();n.posix={resolve(...r){let l="",s=!1;for(let a=r.length-1;a>=-1&&!s;a--){const u=a>=0?r[a]:b();v(u,"path"),u.length!==0&&(l=`${u}/${l}`,s=u.charCodeAt(0)===c)}return l=h(l,!s,"/",_),s?`/${l}`:l.length>0?l:"."},normalize(r){if(v(r,"path"),r.length===0)return".";const l=r.charCodeAt(0)===c,s=r.charCodeAt(r.length-1)===c;return r=h(r,!l,"/",_),r.length===0?l?"/":s?"./":".":(s&&(r+="/"),l?`/${r}`:r)},isAbsolute(r){return v(r,"path"),r.length>0&&r.charCodeAt(0)===c},join(...r){if(r.length===0)return".";let l;for(let s=0;s<r.length;++s){const a=r[s];v(a,"path"),a.length>0&&(l===void 0?l=a:l+=`/${a}`)}return l===void 0?".":n.posix.normalize(l)},relative(r,l){if(v(r,"from"),v(l,"to"),r===l||(r=n.posix.resolve(r),l=n.posix.resolve(l),r===l))return"";const s=1,a=r.length,u=a-s,L=1,R=l.length-L,A=u<R?u:R;let M=-1,U=0;for(;U<A;U++){const I=r.charCodeAt(s+U);if(I!==l.charCodeAt(L+U))break;I===c&&(M=U)}if(U===A)if(R>A){if(l.charCodeAt(L+U)===c)return l.slice(L+U+1);if(U===0)return l.slice(L+U)}else u>A&&(r.charCodeAt(s+U)===c?M=U:U===0&&(M=0));let W="";for(U=s+M+1;U<=a;++U)(U===a||r.charCodeAt(U)===c)&&(W+=W.length===0?"..":"/..");return`${W}${l.slice(L+M)}`},toNamespacedPath(r){return r},dirname(r){if(v(r,"path"),r.length===0)return".";const l=r.charCodeAt(0)===c;let s=-1,a=!0;for(let u=r.length-1;u>=1;--u)if(r.charCodeAt(u)===c){if(!a){s=u;break}}else a=!1;return s===-1?l?"/":".":l&&s===1?"//":r.slice(0,s)},basename(r,l){l!==void 0&&v(l,"ext"),v(r,"path");let s=0,a=-1,u=!0,L;if(l!==void 0&&l.length>0&&l.length<=r.length){if(l===r)return"";let R=l.length-1,A=-1;for(L=r.length-1;L>=0;--L){const M=r.charCodeAt(L);if(M===c){if(!u){s=L+1;break}}else A===-1&&(u=!1,A=L+1),R>=0&&(M===l.charCodeAt(R)?--R===-1&&(a=L):(R=-1,a=A))}return s===a?a=A:a===-1&&(a=r.length),r.slice(s,a)}for(L=r.length-1;L>=0;--L)if(r.charCodeAt(L)===c){if(!u){s=L+1;break}}else a===-1&&(u=!1,a=L+1);return a===-1?"":r.slice(s,a)},extname(r){v(r,"path");let l=-1,s=0,a=-1,u=!0,L=0;for(let R=r.length-1;R>=0;--R){const A=r.charCodeAt(R);if(A===c){if(!u){s=R+1;break}continue}a===-1&&(u=!1,a=R+1),A===S?l===-1?l=R:L!==1&&(L=1):l!==-1&&(L=-1)}return l===-1||a===-1||L===0||L===1&&l===a-1&&l===s+1?"":r.slice(l,a)},format:N.bind(null,"/"),parse(r){v(r,"path");const l={root:"",dir:"",base:"",ext:"",name:""};if(r.length===0)return l;const s=r.charCodeAt(0)===c;let a;s?(l.root="/",a=1):a=0;let u=-1,L=0,R=-1,A=!0,M=r.length-1,U=0;for(;M>=a;--M){const W=r.charCodeAt(M);if(W===c){if(!A){L=M+1;break}continue}R===-1&&(A=!1,R=M+1),W===S?u===-1?u=M:U!==1&&(U=1):u!==-1&&(U=-1)}if(R!==-1){const W=L===0&&s?1:L;u===-1||U===0||U===1&&u===R-1&&u===L+1?l.base=l.name=r.slice(W,R):(l.name=r.slice(W,u),l.base=r.slice(W,R),l.ext=r.slice(u,R))}return L>0?l.dir=r.slice(0,L-1):s&&(l.dir="/"),l},sep:"/",delimiter:":",win32:null,posix:null},n.posix.win32=n.win32.win32=n.win32,n.posix.posix=n.win32.posix=n.posix,n.normalize=m?n.win32.normalize:n.posix.normalize,n.resolve=m?n.win32.resolve:n.posix.resolve,n.relative=m?n.win32.relative:n.posix.relative,n.dirname=m?n.win32.dirname:n.posix.dirname,n.basename=m?n.win32.basename:n.posix.basename,n.extname=m?n.win32.extname:n.posix.extname,n.sep=m?n.win32.sep:n.posix.sep}),Y(X[23],Q([0,1,6]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.StopWatch=void 0;const D=E.globals.performance&&typeof E.globals.performance.now=="function";class i{static create(y=!0){return new i(y)}constructor(y){this.a=D&&y,this.b=this.d(),this.c=-1}stop(){this.c=this.d()}elapsed(){return this.c!==-1?this.c-this.b:this.d()-this.b}d(){return this.a?E.globals.performance.now():Date.now()}}n.StopWatch=i}),Y(X[7],Q([0,1,8,13,10,15,23]),function(O,n,E,D,i,o,y){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.Relay=n.EventBufferer=n.EventMultiplexer=n.MicrotaskEmitter=n.DebounceEmitter=n.PauseableEmitter=n.EventDeliveryQueue=n.Emitter=n.EventProfiling=n.Event=void 0;const S=!1,c=!1;var d;(function(a){a.None=()=>i.Disposable.None;function u(J){if(c){const{onDidAddListener:j}=J,G=f.create();let $=0;J.onDidAddListener=()=>{++$===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),G.print()),j?.()}}}function L(J,j){return F(J,()=>{},0,void 0,!0,void 0,j)}a.defer=L;function R(J){return(j,G=null,$)=>{let K=!1,ee;return ee=J(te=>{if(!K)return ee?ee.dispose():K=!0,j.call(G,te)},null,$),K&&ee.dispose(),ee}}a.once=R;function A(J,j,G){return z(($,K=null,ee)=>J(te=>$.call(K,j(te)),null,ee),G)}a.map=A;function M(J,j,G){return z(($,K=null,ee)=>J(te=>{j(te),$.call(K,te)},null,ee),G)}a.forEach=M;function U(J,j,G){return z(($,K=null,ee)=>J(te=>j(te)&&$.call(K,te),null,ee),G)}a.filter=U;function W(J){return J}a.signal=W;function I(...J){return(j,G=null,$)=>(0,i.combinedDisposable)(...J.map(K=>K(ee=>j.call(G,ee),null,$)))}a.any=I;function q(J,j,G,$){let K=G;return A(J,ee=>(K=j(K,ee),K),$)}a.reduce=q;function z(J,j){let G;const $={onWillAddFirstListener(){G=J(K.fire,K)},onDidRemoveLastListener(){G?.dispose()}};j||u($);const K=new m($);return j?.add(K),K.event}function F(J,j,G=100,$=!1,K=!1,ee,te){let ae,be,ve,oe=0,ce;const P={leakWarningThreshold:ee,onWillAddFirstListener(){ae=J(x=>{oe++,be=j(be,x),$&&!ve&&(B.fire(be),be=void 0),ce=()=>{const H=be;be=void 0,ve=void 0,(!$||oe>1)&&B.fire(H),oe=0},typeof G=="number"?(clearTimeout(ve),ve=setTimeout(ce,G)):ve===void 0&&(ve=0,queueMicrotask(ce))})},onWillRemoveListener(){K&&oe>0&&ce?.()},onDidRemoveLastListener(){ce=void 0,ae.dispose()}};te||u(P);const B=new m(P);return te?.add(B),B.event}a.debounce=F;function T(J,j=0,G){return a.debounce(J,($,K)=>$?($.push(K),$):[K],j,void 0,!0,void 0,G)}a.accumulate=T;function k(J,j=($,K)=>$===K,G){let $=!0,K;return U(J,ee=>{const te=$||!j(ee,K);return $=!1,K=ee,te},G)}a.latch=k;function V(J,j,G){return[a.filter(J,j,G),a.filter(J,$=>!j($),G)]}a.split=V;function t(J,j=!1,G=[]){let $=G.slice(),K=J(ae=>{$?$.push(ae):te.fire(ae)});const ee=()=>{$?.forEach(ae=>te.fire(ae)),$=null},te=new m({onWillAddFirstListener(){K||(K=J(ae=>te.fire(ae)))},onDidAddFirstListener(){$&&(j?setTimeout(ee):ee())},onDidRemoveLastListener(){K&&K.dispose(),K=null}});return te.event}a.buffer=t;class ne{constructor(j){this.event=j,this.c=new i.DisposableStore}map(j){return new ne(A(this.event,j,this.c))}forEach(j){return new ne(M(this.event,j,this.c))}filter(j){return new ne(U(this.event,j,this.c))}reduce(j,G){return new ne(q(this.event,j,G,this.c))}latch(){return new ne(k(this.event,void 0,this.c))}debounce(j,G=100,$=!1,K=!1,ee){return new ne(F(this.event,j,G,$,K,ee,this.c))}on(j,G,$){return this.event(j,G,$)}once(j,G,$){return R(this.event)(j,G,$)}dispose(){this.c.dispose()}}function le(J){return new ne(J)}a.chain=le;function de(J,j,G=$=>$){const $=(...ae)=>te.fire(G(...ae)),K=()=>J.on(j,$),ee=()=>J.removeListener(j,$),te=new m({onWillAddFirstListener:K,onDidRemoveLastListener:ee});return te.event}a.fromNodeEventEmitter=de;function we(J,j,G=$=>$){const $=(...ae)=>te.fire(G(...ae)),K=()=>J.addEventListener(j,$),ee=()=>J.removeEventListener(j,$),te=new m({onWillAddFirstListener:K,onDidRemoveLastListener:ee});return te.event}a.fromDOMEventEmitter=we;function ye(J){return new Promise(j=>R(J)(j))}a.toPromise=ye;function pe(J,j){return j(void 0),J(G=>j(G))}a.runAndSubscribe=pe;function Se(J,j){let G=null;function $(ee){G?.dispose(),G=new i.DisposableStore,j(ee,G)}$(void 0);const K=J(ee=>$(ee));return(0,i.toDisposable)(()=>{K.dispose(),G?.dispose()})}a.runAndSubscribeWithStore=Se;class Ne{constructor(j,G){this.obs=j,this.c=0,this.d=!1;const $={onWillAddFirstListener:()=>{j.addObserver(this)},onDidRemoveLastListener:()=>{j.removeObserver(this)}};G||u($),this.emitter=new m($),G&&G.add(this.emitter)}beginUpdate(j){this.c++}handleChange(j,G){this.d=!0}endUpdate(j){--this.c===0&&this.d&&(this.d=!1,this.emitter.fire(this.obs.get()))}}function _e(J,j){return new Ne(J,j).emitter.event}a.fromObservable=_e})(d=n.Event||(n.Event={}));class p{constructor(u){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${u}_${p.c++}`,p.all.add(this)}start(u){this.d=new y.StopWatch(!0),this.listenerCount=u}stop(){if(this.d){const u=this.d.elapsed();this.durations.push(u),this.elapsedOverall+=u,this.invocationCount+=1,this.d=void 0}}}p.all=new Set,p.c=0,n.EventProfiling=p;let e=-1;class C{constructor(u,L=Math.random().toString(18).slice(2,5)){this.threshold=u,this.name=L,this.d=0}dispose(){var u;(u=this.c)===null||u===void 0||u.clear()}check(u,L){const R=this.threshold;if(R<=0||L<R)return;this.c||(this.c=new Map);const A=this.c.get(u.value)||0;if(this.c.set(u.value,A+1),this.d-=1,this.d<=0){this.d=R*.5;let M,U=0;for(const[W,I]of this.c)(!M||U<I)&&(M=W,U=I);console.warn(`[${this.name}] potential listener LEAK detected, having ${L} listeners already. MOST frequent listener (${U}):`),console.warn(M)}return()=>{const M=this.c.get(u.value)||0;this.c.set(u.value,M-1)}}}class f{static create(){var u;return new f((u=new Error().stack)!==null&&u!==void 0?u:"")}constructor(u){this.value=u}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class v{constructor(u,L,R){this.callback=u,this.callbackThis=L,this.stack=R,this.subscription=new i.SafeDisposable}invoke(u){this.callback.call(this.callbackThis,u)}}class m{constructor(u){var L,R,A,M,U;this.j=!1,this.d=u,this.f=e>0||((L=this.d)===null||L===void 0?void 0:L.leakWarningThreshold)?new C((A=(R=this.d)===null||R===void 0?void 0:R.leakWarningThreshold)!==null&&A!==void 0?A:e):void 0,this.g=!((M=this.d)===null||M===void 0)&&M._profName?new p(this.d._profName):void 0,this.m=(U=this.d)===null||U===void 0?void 0:U.deliveryQueue}dispose(){var u,L,R,A;if(!this.j){if(this.j=!0,this.n){if(S){const M=Array.from(this.n);queueMicrotask(()=>{var U;for(const W of M)W.subscription.isset()&&(W.subscription.unset(),(U=W.stack)===null||U===void 0||U.print())})}this.n.clear()}(u=this.m)===null||u===void 0||u.clear(this),(R=(L=this.d)===null||L===void 0?void 0:L.onDidRemoveLastListener)===null||R===void 0||R.call(L),(A=this.f)===null||A===void 0||A.dispose()}}get event(){return this.l||(this.l=(u,L,R)=>{var A,M,U;if(this.n||(this.n=new o.LinkedList),this.f&&this.n.size>this.f.threshold*3)return console.warn(`[${this.f.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),i.Disposable.None;const W=this.n.isEmpty();W&&((A=this.d)===null||A===void 0?void 0:A.onWillAddFirstListener)&&this.d.onWillAddFirstListener(this);let I,q;this.f&&this.n.size>=Math.ceil(this.f.threshold*.2)&&(q=f.create(),I=this.f.check(q,this.n.size+1)),S&&(q=q??f.create());const z=new v(u,L,q),F=this.n.push(z);W&&((M=this.d)===null||M===void 0?void 0:M.onDidAddFirstListener)&&this.d.onDidAddFirstListener(this),!((U=this.d)===null||U===void 0)&&U.onDidAddListener&&this.d.onDidAddListener(this,u,L);const T=z.subscription.set(()=>{var k,V;I?.(),this.j||((V=(k=this.d)===null||k===void 0?void 0:k.onWillRemoveListener)===null||V===void 0||V.call(k,this),F(),this.d&&this.d.onDidRemoveLastListener&&(this.n&&!this.n.isEmpty()||this.d.onDidRemoveLastListener(this)))});return R instanceof i.DisposableStore?R.add(T):Array.isArray(R)&&R.push(T),T}),this.l}fire(u){var L,R,A;if(this.n){this.m||(this.m=new _((L=this.d)===null||L===void 0?void 0:L.onListenerError));for(const M of this.n)this.m.push(this,M,u);(R=this.g)===null||R===void 0||R.start(this.m.size),this.m.deliver(),(A=this.g)===null||A===void 0||A.stop()}}hasListeners(){return this.n?!this.n.isEmpty():!1}}n.Emitter=m;class w{constructor(u=E.onUnexpectedError){this.d=u,this.c=new o.LinkedList}get size(){return this.c.size}push(u,L,R){this.c.push(new g(u,L,R))}clear(u){const L=new o.LinkedList;for(const R of this.c)R.emitter!==u&&L.push(R);this.c=L}deliver(){for(;this.c.size>0;){const u=this.c.shift();try{u.listener.invoke(u.event)}catch(L){this.d(L)}}}}n.EventDeliveryQueue=w;class _ extends w{clear(u){this.c.clear()}}class g{constructor(u,L,R){this.emitter=u,this.listener=L,this.event=R}}class h extends m{constructor(u){super(u),this.c=0,this.h=new o.LinkedList,this.k=u?.merge}pause(){this.c++}resume(){if(this.c!==0&&--this.c===0)if(this.k){if(this.h.size>0){const u=Array.from(this.h);this.h.clear(),super.fire(this.k(u))}}else for(;!this.c&&this.h.size!==0;)super.fire(this.h.shift())}fire(u){this.n&&(this.c!==0?this.h.push(u):super.fire(u))}}n.PauseableEmitter=h;class N extends h{constructor(u){var L;super(u),this.o=(L=u.delay)!==null&&L!==void 0?L:100}fire(u){this.p||(this.pause(),this.p=setTimeout(()=>{this.p=void 0,this.resume()},this.o)),super.fire(u)}}n.DebounceEmitter=N;class b extends m{constructor(u){super(u),this.c=[],this.h=u?.merge}fire(u){!this.hasListeners()||(this.c.push(u),this.c.length===1&&queueMicrotask(()=>{this.h?super.fire(this.h(this.c)):this.c.forEach(L=>super.fire(L)),this.c=[]}))}}n.MicrotaskEmitter=b;class r{constructor(){this.d=!1,this.f=[],this.c=new m({onWillAddFirstListener:()=>this.g(),onDidRemoveLastListener:()=>this.h()})}get event(){return this.c.event}add(u){const L={event:u,listener:null};this.f.push(L),this.d&&this.j(L);const R=()=>{this.d&&this.k(L);const A=this.f.indexOf(L);this.f.splice(A,1)};return(0,i.toDisposable)((0,D.once)(R))}g(){this.d=!0,this.f.forEach(u=>this.j(u))}h(){this.d=!1,this.f.forEach(u=>this.k(u))}j(u){u.listener=u.event(L=>this.c.fire(L))}k(u){u.listener&&u.listener.dispose(),u.listener=null}dispose(){this.c.dispose()}}n.EventMultiplexer=r;class l{constructor(){this.c=[]}wrapEvent(u){return(L,R,A)=>u(M=>{const U=this.c[this.c.length-1];U?U.push(()=>L.call(R,M)):L.call(R,M)},void 0,A)}bufferEvents(u){const L=[];this.c.push(L);const R=u();return this.c.pop(),L.forEach(A=>A()),R}}n.EventBufferer=l;class s{constructor(){this.c=!1,this.d=d.None,this.f=i.Disposable.None,this.g=new m({onDidAddFirstListener:()=>{this.c=!0,this.f=this.d(this.g.fire,this.g)},onDidRemoveLastListener:()=>{this.c=!1,this.f.dispose()}}),this.event=this.g.event}set input(u){this.d=u,this.c&&(this.f.dispose(),this.f=u(this.g.fire,this.g))}dispose(){this.f.dispose(),this.g.dispose()}}n.Relay=s}),Y(X[52],Q([0,1,7]),function(O,n,E){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.CancellationTokenSource=n.CancellationToken=void 0;const D=Object.freeze(function(S,c){const d=setTimeout(S.bind(c),0);return{dispose(){clearTimeout(d)}}});var i;(function(S){function c(d){return d===S.None||d===S.Cancelled||d instanceof o?!0:!d||typeof d!="object"?!1:typeof d.isCancellationRequested=="boolean"&&typeof d.onCancellationRequested=="function"}S.isCancellationToken=c,S.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:E.Event.None}),S.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:D})})(i=n.CancellationToken||(n.CancellationToken={}));class o{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?D:(this.b||(this.b=new E.Emitter),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class y{constructor(c){this.a=void 0,this.b=void 0,this.b=c&&c.onCancellationRequested(this.cancel,this)}get token(){return this.a||(this.a=new o),this.a}cancel(){this.a?this.a instanceof o&&this.a.cancel():this.a=i.Cancelled}dispose(c=!1){var d;c&&this.cancel(),(d=this.b)===null||d===void 0||d.dispose(),this.a?this.a instanceof o&&this.a.dispose():this.a=i.None}}n.CancellationTokenSource=y}),Y(X[12],Q([0,1,51,6]),function(O,n,E,D){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.uriToFsPath=n.URI=void 0;const i=/^\w[\w\d+.-]*$/,o=/^\//,y=/^\/\//;function S(s,a){if(!s.scheme&&a)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!i.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!o.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(y.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function c(s,a){return!s&&!a?"file":s}function d(s,a){switch(s){case"https":case"http":case"file":a?a[0]!==e&&(a=e+a):a=e;break}return a}const p="",e="/",C=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class f{static isUri(a){return a instanceof f?!0:a?typeof a.authority=="string"&&typeof a.fragment=="string"&&typeof a.path=="string"&&typeof a.query=="string"&&typeof a.scheme=="string"&&typeof a.fsPath=="string"&&typeof a.with=="function"&&typeof a.toString=="function":!1}constructor(a,u,L,R,A,M=!1){typeof a=="object"?(this.scheme=a.scheme||p,this.authority=a.authority||p,this.path=a.path||p,this.query=a.query||p,this.fragment=a.fragment||p):(this.scheme=c(a,M),this.authority=u||p,this.path=d(this.scheme,L||p),this.query=R||p,this.fragment=A||p,S(this,M))}get fsPath(){return h(this,!1)}with(a){if(!a)return this;let{scheme:u,authority:L,path:R,query:A,fragment:M}=a;return u===void 0?u=this.scheme:u===null&&(u=p),L===void 0?L=this.authority:L===null&&(L=p),R===void 0?R=this.path:R===null&&(R=p),A===void 0?A=this.query:A===null&&(A=p),M===void 0?M=this.fragment:M===null&&(M=p),u===this.scheme&&L===this.authority&&R===this.path&&A===this.query&&M===this.fragment?this:new m(u,L,R,A,M)}static parse(a,u=!1){const L=C.exec(a);return L?new m(L[2]||p,l(L[4]||p),l(L[5]||p),l(L[7]||p),l(L[9]||p),u):new m(p,p,p,p,p)}static file(a){let u=p;if(D.isWindows&&(a=a.replace(/\\/g,e)),a[0]===e&&a[1]===e){const L=a.indexOf(e,2);L===-1?(u=a.substring(2),a=e):(u=a.substring(2,L),a=a.substring(L)||e)}return new m("file",u,a,p,p)}static from(a){const u=new m(a.scheme,a.authority,a.path,a.query,a.fragment);return S(u,!0),u}static joinPath(a,...u){if(!a.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let L;return D.isWindows&&a.scheme==="file"?L=f.file(E.win32.join(h(a,!0),...u)).path:L=E.posix.join(a.path,...u),a.with({path:L})}toString(a=!1){return N(this,a)}toJSON(){return this}static revive(a){if(a){if(a instanceof f)return a;{const u=new m(a);return u._formatted=a.external,u._fsPath=a._sep===v?a.fsPath:null,u}}else return a}}n.URI=f;const v=D.isWindows?1:void 0;class m extends f{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=h(this,!1)),this._fsPath}toString(a=!1){return a?N(this,!0):(this._formatted||(this._formatted=N(this,!1)),this._formatted)}toJSON(){const a={$mid:1};return this._fsPath&&(a.fsPath=this._fsPath,a._sep=v),this._formatted&&(a.external=this._formatted),this.path&&(a.path=this.path),this.scheme&&(a.scheme=this.scheme),this.authority&&(a.authority=this.authority),this.query&&(a.query=this.query),this.fragment&&(a.fragment=this.fragment),a}}const w={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function _(s,a,u){let L,R=-1;for(let A=0;A<s.length;A++){const M=s.charCodeAt(A);if(M>=97&&M<=122||M>=65&&M<=90||M>=48&&M<=57||M===45||M===46||M===95||M===126||a&&M===47||u&&M===91||u&&M===93||u&&M===58)R!==-1&&(L+=encodeURIComponent(s.substring(R,A)),R=-1),L!==void 0&&(L+=s.charAt(A));else{L===void 0&&(L=s.substr(0,A));const U=w[M];U!==void 0?(R!==-1&&(L+=encodeURIComponent(s.substring(R,A)),R=-1),L+=U):R===-1&&(R=A)}}return R!==-1&&(L+=encodeURIComponent(s.substring(R))),L!==void 0?L:s}function g(s){let a;for(let u=0;u<s.length;u++){const L=s.charCodeAt(u);L===35||L===63?(a===void 0&&(a=s.substr(0,u)),a+=w[L]):a!==void 0&&(a+=s[u])}return a!==void 0?a:s}function h(s,a){let u;return s.authority&&s.path.length>1&&s.scheme==="file"?u=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?a?u=s.path.substr(1):u=s.path[1].toLowerCase()+s.path.substr(2):u=s.path,D.isWindows&&(u=u.replace(/\//g,"\\")),u}n.uriToFsPath=h;function N(s,a){const u=a?g:_;let L="",{scheme:R,authority:A,path:M,query:U,fragment:W}=s;if(R&&(L+=R,L+=":"),(A||R==="file")&&(L+=e,L+=e),A){let I=A.indexOf("@");if(I!==-1){const q=A.substr(0,I);A=A.substr(I+1),I=q.lastIndexOf(":"),I===-1?L+=u(q,!1,!1):(L+=u(q.substr(0,I),!1,!1),L+=":",L+=u(q.substr(I+1),!1,!0)),L+="@"}A=A.toLowerCase(),I=A.lastIndexOf(":"),I===-1?L+=u(A,!1,!0):(L+=u(A.substr(0,I),!1,!0),L+=A.substr(I))}if(M){if(M.length>=3&&M.charCodeAt(0)===47&&M.charCodeAt(2)===58){const I=M.charCodeAt(1);I>=65&&I<=90&&(M=`/${String.fromCharCode(I+32)}:${M.substr(3)}`)}else if(M.length>=2&&M.charCodeAt(1)===58){const I=M.charCodeAt(0);I>=65&&I<=90&&(M=`${String.fromCharCode(I+32)}:${M.substr(2)}`)}L+=u(M,!0,!1)}return U&&(L+="?",L+=u(U,!1,!1)),W&&(L+="#",L+=a?W:_(W,!1,!1)),L}function b(s){try{return decodeURIComponent(s)}catch{return s.length>3?s.substr(0,3)+b(s.substr(3)):s}}const r=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function l(s){return s.match(r)?s.replace(r,a=>b(a)):s}}),Y(X[57],Q([0,1,8,7,10,11,6,4]),function(O,n,E,D,i,o,y,S){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.create=n.SimpleWorkerServer=n.SimpleWorkerClient=n.logOnceWebWorkerWarning=void 0;const c="$initialize";let d=!1;function p(l){!y.isWeb||(d||(d=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(l.message))}n.logOnceWebWorkerWarning=p;class e{constructor(s,a,u,L){this.vsWorker=s,this.req=a,this.method=u,this.args=L,this.type=0}}class C{constructor(s,a,u,L){this.vsWorker=s,this.seq=a,this.res=u,this.err=L,this.type=1}}class f{constructor(s,a,u,L){this.vsWorker=s,this.req=a,this.eventName=u,this.arg=L,this.type=2}}class v{constructor(s,a,u){this.vsWorker=s,this.req=a,this.event=u,this.type=3}}class m{constructor(s,a){this.vsWorker=s,this.req=a,this.type=4}}class w{constructor(s){this.a=-1,this.g=s,this.b=0,this.c=Object.create(null),this.d=new Map,this.f=new Map}setWorkerId(s){this.a=s}sendMessage(s,a){const u=String(++this.b);return new Promise((L,R)=>{this.c[u]={resolve:L,reject:R},this.o(new e(this.a,u,s,a))})}listen(s,a){let u=null;const L=new D.Emitter({onWillAddFirstListener:()=>{u=String(++this.b),this.d.set(u,L),this.o(new f(this.a,u,s,a))},onDidRemoveLastListener:()=>{this.d.delete(u),this.o(new m(this.a,u)),u=null}});return L.event}handleMessage(s){!s||!s.vsWorker||this.a!==-1&&s.vsWorker!==this.a||this.h(s)}h(s){switch(s.type){case 1:return this.j(s);case 0:return this.k(s);case 2:return this.l(s);case 3:return this.m(s);case 4:return this.n(s)}}j(s){if(!this.c[s.seq]){console.warn("Got reply to unknown seq");return}const a=this.c[s.seq];if(delete this.c[s.seq],s.err){let u=s.err;s.err.$isError&&(u=new Error,u.name=s.err.name,u.message=s.err.message,u.stack=s.err.stack),a.reject(u);return}a.resolve(s.res)}k(s){const a=s.req;this.g.handleMessage(s.method,s.args).then(L=>{this.o(new C(this.a,a,L,void 0))},L=>{L.detail instanceof Error&&(L.detail=(0,E.transformErrorForSerialization)(L.detail)),this.o(new C(this.a,a,void 0,(0,E.transformErrorForSerialization)(L)))})}l(s){const a=s.req,u=this.g.handleEvent(s.eventName,s.arg)(L=>{this.o(new v(this.a,a,L))});this.f.set(a,u)}m(s){if(!this.d.has(s.req)){console.warn("Got event for unknown req");return}this.d.get(s.req).fire(s.event)}n(s){if(!this.f.has(s.req)){console.warn("Got unsubscribe for unknown req");return}this.f.get(s.req).dispose(),this.f.delete(s.req)}o(s){const a=[];if(s.type===0)for(let u=0;u<s.args.length;u++)s.args[u]instanceof ArrayBuffer&&a.push(s.args[u]);else s.type===1&&s.res instanceof ArrayBuffer&&a.push(s.res);this.g.sendMessage(s,a)}}class _ extends i.Disposable{constructor(s,a,u){super();let L=null;this.a=this.q(s.create("vs/base/common/worker/simpleWorker",I=>{this.c.handleMessage(I)},I=>{L?.(I)})),this.c=new w({sendMessage:(I,q)=>{this.a.postMessage(I,q)},handleMessage:(I,q)=>{if(typeof u[I]!="function")return Promise.reject(new Error("Missing method "+I+" on main thread host."));try{return Promise.resolve(u[I].apply(u,q))}catch(z){return Promise.reject(z)}},handleEvent:(I,q)=>{if(h(I)){const z=u[I].call(u,q);if(typeof z!="function")throw new Error(`Missing dynamic event ${I} on main thread host.`);return z}if(g(I)){const z=u[I];if(typeof z!="function")throw new Error(`Missing event ${I} on main thread host.`);return z}throw new Error(`Malformed event name ${I}`)}}),this.c.setWorkerId(this.a.getId());let R=null;const A=globalThis.require;typeof A<"u"&&typeof A.getConfig=="function"?R=A.getConfig():typeof globalThis.requirejs<"u"&&(R=globalThis.requirejs.s.contexts._.config);const M=(0,o.getAllMethodNames)(u);this.b=this.c.sendMessage(c,[this.a.getId(),JSON.parse(JSON.stringify(R)),a,M]);const U=(I,q)=>this.h(I,q),W=(I,q)=>this.c.listen(I,q);this.g=new Promise((I,q)=>{L=q,this.b.then(z=>{I(N(z,U,W))},z=>{q(z),this.j("Worker failed to load "+a,z)})})}getProxyObject(){return this.g}h(s,a){return new Promise((u,L)=>{this.b.then(()=>{this.c.sendMessage(s,a).then(u,L)},L)})}j(s,a){console.error(s),console.info(a)}}n.SimpleWorkerClient=_;function g(l){return l[0]==="o"&&l[1]==="n"&&S.isUpperAsciiLetter(l.charCodeAt(2))}function h(l){return/^onDynamic/.test(l)&&S.isUpperAsciiLetter(l.charCodeAt(9))}function N(l,s,a){const u=A=>function(){const M=Array.prototype.slice.call(arguments,0);return s(A,M)},L=A=>function(M){return a(A,M)},R={};for(const A of l){if(h(A)){R[A]=L(A);continue}if(g(A)){R[A]=a(A,void 0);continue}R[A]=u(A)}return R}class b{constructor(s,a){this.a=a,this.b=null,this.c=new w({sendMessage:(u,L)=>{s(u,L)},handleMessage:(u,L)=>this.d(u,L),handleEvent:(u,L)=>this.f(u,L)})}onmessage(s){this.c.handleMessage(s)}d(s,a){if(s===c)return this.g(a[0],a[1],a[2],a[3]);if(!this.b||typeof this.b[s]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+s));try{return Promise.resolve(this.b[s].apply(this.b,a))}catch(u){return Promise.reject(u)}}f(s,a){if(!this.b)throw new Error("Missing requestHandler");if(h(s)){const u=this.b[s].call(this.b,a);if(typeof u!="function")throw new Error(`Missing dynamic event ${s} on request handler.`);return u}if(g(s)){const u=this.b[s];if(typeof u!="function")throw new Error(`Missing event ${s} on request handler.`);return u}throw new Error(`Malformed event name ${s}`)}g(s,a,u,L){this.c.setWorkerId(s);const M=N(L,(U,W)=>this.c.sendMessage(U,W),(U,W)=>this.c.listen(U,W));return this.a?(this.b=this.a(M),Promise.resolve((0,o.getAllMethodNames)(this.b))):(a&&(typeof a.baseUrl<"u"&&delete a.baseUrl,typeof a.paths<"u"&&typeof a.paths.vs<"u"&&delete a.paths.vs,typeof a.trustedTypesPolicy!==void 0&&delete a.trustedTypesPolicy,a.catchError=!0,globalThis.require.config(a)),new Promise((U,W)=>{(globalThis.require||O)([u],q=>{if(this.b=q.create(M),!this.b){W(new Error("No RequestHandler!"));return}U((0,o.getAllMethodNames)(this.b))},W)}))}}n.SimpleWorkerServer=b;function r(l){return new b(l,null)}n.create=r}),Y(X[53],Q([0,1,7,10]),function(O,n,E,D){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.TokenizationRegistry=void 0;class i{constructor(){this.a=new Map,this.b=new Map,this.c=new E.Emitter,this.onDidChange=this.c.event,this.d=null}fire(S){this.c.fire({changedLanguages:S,changedColorMap:!1})}register(S,c){return this.a.set(S,c),this.fire([S]),(0,D.toDisposable)(()=>{this.a.get(S)===c&&(this.a.delete(S),this.fire([S]))})}registerFactory(S,c){var d;(d=this.b.get(S))===null||d===void 0||d.dispose();const p=new o(this,S,c);return this.b.set(S,p),(0,D.toDisposable)(()=>{const e=this.b.get(S);!e||e!==p||(this.b.delete(S),e.dispose())})}getOrCreate(S){return fe(this,void 0,void 0,function*(){const c=this.get(S);if(c)return c;const d=this.b.get(S);return!d||d.isResolved?null:(yield d.resolve(),this.get(S))})}get(S){return this.a.get(S)||null}isResolved(S){if(this.get(S))return!0;const d=this.b.get(S);return!!(!d||d.isResolved)}setColorMap(S){this.d=S,this.c.fire({changedLanguages:Array.from(this.a.keys()),changedColorMap:!0})}getColorMap(){return this.d}getDefaultBackground(){return this.d&&this.d.length>2?this.d[2]:null}}n.TokenizationRegistry=i;class o extends D.Disposable{get isResolved(){return this.c}constructor(S,c,d){super(),this.g=S,this.h=c,this.i=d,this.a=!1,this.b=null,this.c=!1}dispose(){this.a=!0,super.dispose()}resolve(){return fe(this,void 0,void 0,function*(){return this.b||(this.b=this.j()),this.b})}j(){return fe(this,void 0,void 0,function*(){const S=yield Promise.resolve(this.i.createTokenizationSupport());this.c=!0,S&&!this.a&&this.q(this.g.register(this.h,S))})}}}),Y(X[54],Q([0,1,31,12,2,53]),function(O,n,E,D,i,o){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.TokenizationRegistry=n.InlayHintKind=n.Command=n.FoldingRangeKind=n.SymbolKinds=n.isLocationLink=n.DocumentHighlightKind=n.SignatureHelpTriggerKind=n.InlineCompletionTriggerKind=n.CompletionItemKinds=n.EncodedTokenizationResult=n.TokenizationResult=n.Token=void 0;class y{constructor(h,N,b){this.offset=h,this.type=N,this.language=b,this._tokenBrand=void 0}toString(){return"("+this.offset+", "+this.type+")"}}n.Token=y;class S{constructor(h,N){this.tokens=h,this.endState=N,this._tokenizationResultBrand=void 0}}n.TokenizationResult=S;class c{constructor(h,N){this.tokens=h,this.endState=N,this._encodedTokenizationResultBrand=void 0}}n.EncodedTokenizationResult=c;var d;(function(g){const h=new Map;h.set(0,E.Codicon.symbolMethod),h.set(1,E.Codicon.symbolFunction),h.set(2,E.Codicon.symbolConstructor),h.set(3,E.Codicon.symbolField),h.set(4,E.Codicon.symbolVariable),h.set(5,E.Codicon.symbolClass),h.set(6,E.Codicon.symbolStruct),h.set(7,E.Codicon.symbolInterface),h.set(8,E.Codicon.symbolModule),h.set(9,E.Codicon.symbolProperty),h.set(10,E.Codicon.symbolEvent),h.set(11,E.Codicon.symbolOperator),h.set(12,E.Codicon.symbolUnit),h.set(13,E.Codicon.symbolValue),h.set(15,E.Codicon.symbolEnum),h.set(14,E.Codicon.symbolConstant),h.set(15,E.Codicon.symbolEnum),h.set(16,E.Codicon.symbolEnumMember),h.set(17,E.Codicon.symbolKeyword),h.set(27,E.Codicon.symbolSnippet),h.set(18,E.Codicon.symbolText),h.set(19,E.Codicon.symbolColor),h.set(20,E.Codicon.symbolFile),h.set(21,E.Codicon.symbolReference),h.set(22,E.Codicon.symbolCustomColor),h.set(23,E.Codicon.symbolFolder),h.set(24,E.Codicon.symbolTypeParameter),h.set(25,E.Codicon.account),h.set(26,E.Codicon.issues);function N(l){let s=h.get(l);return s||(console.info("No codicon found for CompletionItemKind "+l),s=E.Codicon.symbolProperty),s}g.toIcon=N;const b=new Map;b.set("method",0),b.set("function",1),b.set("constructor",2),b.set("field",3),b.set("variable",4),b.set("class",5),b.set("struct",6),b.set("interface",7),b.set("module",8),b.set("property",9),b.set("event",10),b.set("operator",11),b.set("unit",12),b.set("value",13),b.set("constant",14),b.set("enum",15),b.set("enum-member",16),b.set("enumMember",16),b.set("keyword",17),b.set("snippet",27),b.set("text",18),b.set("color",19),b.set("file",20),b.set("reference",21),b.set("customcolor",22),b.set("folder",23),b.set("type-parameter",24),b.set("typeParameter",24),b.set("account",25),b.set("issue",26);function r(l,s){let a=b.get(l);return typeof a>"u"&&!s&&(a=9),a}g.fromString=r})(d=n.CompletionItemKinds||(n.CompletionItemKinds={}));var p;(function(g){g[g.Automatic=0]="Automatic",g[g.Explicit=1]="Explicit"})(p=n.InlineCompletionTriggerKind||(n.InlineCompletionTriggerKind={}));var e;(function(g){g[g.Invoke=1]="Invoke",g[g.TriggerCharacter=2]="TriggerCharacter",g[g.ContentChange=3]="ContentChange"})(e=n.SignatureHelpTriggerKind||(n.SignatureHelpTriggerKind={}));var C;(function(g){g[g.Text=0]="Text",g[g.Read=1]="Read",g[g.Write=2]="Write"})(C=n.DocumentHighlightKind||(n.DocumentHighlightKind={}));function f(g){return g&&D.URI.isUri(g.uri)&&i.Range.isIRange(g.range)&&(i.Range.isIRange(g.originSelectionRange)||i.Range.isIRange(g.targetSelectionRange))}n.isLocationLink=f;var v;(function(g){const h=new Map;h.set(0,E.Codicon.symbolFile),h.set(1,E.Codicon.symbolModule),h.set(2,E.Codicon.symbolNamespace),h.set(3,E.Codicon.symbolPackage),h.set(4,E.Codicon.symbolClass),h.set(5,E.Codicon.symbolMethod),h.set(6,E.Codicon.symbolProperty),h.set(7,E.Codicon.symbolField),h.set(8,E.Codicon.symbolConstructor),h.set(9,E.Codicon.symbolEnum),h.set(10,E.Codicon.symbolInterface),h.set(11,E.Codicon.symbolFunction),h.set(12,E.Codicon.symbolVariable),h.set(13,E.Codicon.symbolConstant),h.set(14,E.Codicon.symbolString),h.set(15,E.Codicon.symbolNumber),h.set(16,E.Codicon.symbolBoolean),h.set(17,E.Codicon.symbolArray),h.set(18,E.Codicon.symbolObject),h.set(19,E.Codicon.symbolKey),h.set(20,E.Codicon.symbolNull),h.set(21,E.Codicon.symbolEnumMember),h.set(22,E.Codicon.symbolStruct),h.set(23,E.Codicon.symbolEvent),h.set(24,E.Codicon.symbolOperator),h.set(25,E.Codicon.symbolTypeParameter);function N(b){let r=h.get(b);return r||(console.info("No codicon found for SymbolKind "+b),r=E.Codicon.symbolProperty),r}g.toIcon=N})(v=n.SymbolKinds||(n.SymbolKinds={}));class m{static fromValue(h){switch(h){case"comment":return m.Comment;case"imports":return m.Imports;case"region":return m.Region}return new m(h)}constructor(h){this.value=h}}m.Comment=new m("comment"),m.Imports=new m("imports"),m.Region=new m("region"),n.FoldingRangeKind=m;var w;(function(g){function h(N){return!N||typeof N!="object"?!1:typeof N.id=="string"&&typeof N.title=="string"}g.is=h})(w=n.Command||(n.Command={}));var _;(function(g){g[g.Type=1]="Type",g[g.Parameter=2]="Parameter"})(_=n.InlayHintKind||(n.InlayHintKind={})),n.TokenizationRegistry=new o.TokenizationRegistry}),Y(X[55],Q([0,1,52,7,28,12,3,2,32,54,48]),function(O,n,E,D,i,o,y,S,c,d,p){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.createMonacoBaseAPI=n.KeyMod=void 0;class e{static chord(v,m){return(0,i.KeyChord)(v,m)}}e.CtrlCmd=2048,e.Shift=1024,e.Alt=512,e.WinCtrl=256,n.KeyMod=e;function C(){return{editor:void 0,languages:void 0,CancellationTokenSource:E.CancellationTokenSource,Emitter:D.Emitter,KeyCode:p.KeyCode,KeyMod:e,Position:y.Position,Range:S.Range,Selection:c.Selection,SelectionDirection:p.SelectionDirection,MarkerSeverity:p.MarkerSeverity,MarkerTag:p.MarkerTag,Uri:o.URI,Token:d.Token}}n.createMonacoBaseAPI=C}),Y(X[58],Q([0,1,16,12,3,2,45,21,41,42,55,23,47,40,11]),function(O,n,E,D,i,o,y,S,c,d,p,e,C,f,v){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.create=n.EditorSimpleWorker=void 0;class m extends y.MirrorTextModel{get uri(){return this.c}get eol(){return this.f}getValue(){return this.getText()}getLinesContent(){return this.d.slice(0)}getLineCount(){return this.d.length}getLineContent(h){return this.d[h-1]}getWordAtPosition(h,N){const b=(0,S.getWordAtText)(h.column,(0,S.ensureValidWordDefinition)(N),this.d[h.lineNumber-1],0);return b?new o.Range(h.lineNumber,b.startColumn,h.lineNumber,b.endColumn):null}words(h){const N=this.d,b=this.p.bind(this);let r=0,l="",s=0,a=[];return{*[Symbol.iterator](){for(;;)if(s<a.length){const u=l.substring(a[s].start,a[s].end);s+=1,yield u}else if(r<N.length)l=N[r],a=b(l,h),s=0,r+=1;else break}}}getLineWords(h,N){const b=this.d[h-1],r=this.p(b,N),l=[];for(const s of r)l.push({word:b.substring(s.start,s.end),startColumn:s.start+1,endColumn:s.end+1});return l}p(h,N){const b=[];let r;for(N.lastIndex=0;(r=N.exec(h))&&r[0].length!==0;)b.push({start:r.index,end:r.index+r[0].length});return b}getValueInRange(h){if(h=this.q(h),h.startLineNumber===h.endLineNumber)return this.d[h.startLineNumber-1].substring(h.startColumn-1,h.endColumn-1);const N=this.f,b=h.startLineNumber-1,r=h.endLineNumber-1,l=[];l.push(this.d[b].substring(h.startColumn-1));for(let s=b+1;s<r;s++)l.push(this.d[s]);return l.push(this.d[r].substring(0,h.endColumn-1)),l.join(N)}offsetAt(h){return h=this.r(h),this.k(),this.h.getPrefixSum(h.lineNumber-2)+(h.column-1)}positionAt(h){h=Math.floor(h),h=Math.max(0,h),this.k();const N=this.h.getIndexOf(h),b=this.d[N.index].length;return{lineNumber:1+N.index,column:1+Math.min(N.remainder,b)}}q(h){const N=this.r({lineNumber:h.startLineNumber,column:h.startColumn}),b=this.r({lineNumber:h.endLineNumber,column:h.endColumn});return N.lineNumber!==h.startLineNumber||N.column!==h.startColumn||b.lineNumber!==h.endLineNumber||b.column!==h.endColumn?{startLineNumber:N.lineNumber,startColumn:N.column,endLineNumber:b.lineNumber,endColumn:b.column}:h}r(h){if(!i.Position.isIPosition(h))throw new Error("bad position");let{lineNumber:N,column:b}=h,r=!1;if(N<1)N=1,b=1,r=!0;else if(N>this.d.length)N=this.d.length,b=this.d[N-1].length+1,r=!0;else{const l=this.d[N-1].length+1;b<1?(b=1,r=!0):b>l&&(b=l,r=!0)}return r?{lineNumber:N,column:b}:h}}class w{constructor(h,N){this.c=h,this.d=Object.create(null),this.f=N,this.g=null}dispose(){this.d=Object.create(null)}h(h){return this.d[h]}j(){const h=[];return Object.keys(this.d).forEach(N=>h.push(this.d[N])),h}acceptNewModel(h){this.d[h.url]=new m(D.URI.parse(h.url),h.lines,h.EOL,h.versionId)}acceptModelChanged(h,N){if(!this.d[h])return;this.d[h].onEvents(N)}acceptRemovedModel(h){!this.d[h]||delete this.d[h]}computeUnicodeHighlights(h,N,b){return fe(this,void 0,void 0,function*(){const r=this.h(h);return r?C.UnicodeTextModelHighlighter.computeUnicodeHighlights(r,N,b):{ranges:[],hasMore:!1,ambiguousCharacterCount:0,invisibleCharacterCount:0,nonBasicAsciiCharacterCount:0}})}computeDiff(h,N,b,r){return fe(this,void 0,void 0,function*(){const l=this.h(h),s=this.h(N);return!l||!s?null:w.k(l,s,b,r)})}static k(h,N,b,r){const l=r==="experimental"?f.linesDiffComputers.experimental:f.linesDiffComputers.smart,s=h.getLinesContent(),a=N.getLinesContent(),u=l.computeDiff(s,a,b);return{identical:u.changes.length>0?!1:this.l(h,N),quitEarly:u.quitEarly,changes:u.changes.map(R=>{var A;return[R.originalRange.startLineNumber,R.originalRange.endLineNumberExclusive,R.modifiedRange.startLineNumber,R.modifiedRange.endLineNumberExclusive,(A=R.innerChanges)===null||A===void 0?void 0:A.map(M=>[M.originalRange.startLineNumber,M.originalRange.startColumn,M.originalRange.endLineNumber,M.originalRange.endColumn,M.modifiedRange.startLineNumber,M.modifiedRange.startColumn,M.modifiedRange.endLineNumber,M.modifiedRange.endColumn])]})}}static l(h,N){const b=h.getLineCount(),r=N.getLineCount();if(b!==r)return!1;for(let l=1;l<=b;l++){const s=h.getLineContent(l),a=N.getLineContent(l);if(s!==a)return!1}return!0}computeMoreMinimalEdits(h,N,b){return fe(this,void 0,void 0,function*(){const r=this.h(h);if(!r)return N;const l=[];let s;N=N.slice(0).sort((a,u)=>{if(a.range&&u.range)return o.Range.compareRangesUsingStarts(a.range,u.range);const L=a.range?0:1,R=u.range?0:1;return L-R});for(let{range:a,text:u,eol:L}of N){if(typeof L=="number"&&(s=L),o.Range.isEmpty(a)&&!u)continue;const R=r.getValueInRange(a);if(u=u.replace(/\r\n|\n|\r/g,r.eol),R===u)continue;if(Math.max(u.length,R.length)>w.n){l.push({range:a,text:u});continue}const A=(0,E.stringDiff)(R,u,b),M=r.offsetAt(o.Range.lift(a).getStartPosition());for(const U of A){const W=r.positionAt(M+U.originalStart),I=r.positionAt(M+U.originalStart+U.originalLength),q={text:u.substr(U.modifiedStart,U.modifiedLength),range:{startLineNumber:W.lineNumber,startColumn:W.column,endLineNumber:I.lineNumber,endColumn:I.column}};r.getValueInRange(q.range)!==q.text&&l.push(q)}}return typeof s=="number"&&l.push({eol:s,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),l})}computeLinks(h){return fe(this,void 0,void 0,function*(){const N=this.h(h);return N?(0,c.computeLinks)(N):null})}textualSuggest(h,N,b,r){return fe(this,void 0,void 0,function*(){const l=new e.StopWatch(!0),s=new RegExp(b,r),a=new Set;e:for(const u of h){const L=this.h(u);if(!!L){for(const R of L.words(s))if(!(R===N||!isNaN(Number(R)))&&(a.add(R),a.size>w.o))break e}}return{words:Array.from(a),duration:l.elapsed()}})}computeWordRanges(h,N,b,r){return fe(this,void 0,void 0,function*(){const l=this.h(h);if(!l)return Object.create(null);const s=new RegExp(b,r),a=Object.create(null);for(let u=N.startLineNumber;u<N.endLineNumber;u++){const L=l.getLineWords(u,s);for(const R of L){if(!isNaN(Number(R.word)))continue;let A=a[R.word];A||(A=[],a[R.word]=A),A.push({startLineNumber:u,startColumn:R.startColumn,endLineNumber:u,endColumn:R.endColumn})}}return a})}navigateValueSet(h,N,b,r,l){return fe(this,void 0,void 0,function*(){const s=this.h(h);if(!s)return null;const a=new RegExp(r,l);N.startColumn===N.endColumn&&(N={startLineNumber:N.startLineNumber,startColumn:N.startColumn,endLineNumber:N.endLineNumber,endColumn:N.endColumn+1});const u=s.getValueInRange(N),L=s.getWordAtPosition({lineNumber:N.startLineNumber,column:N.startColumn},a);if(!L)return null;const R=s.getValueInRange(L);return d.BasicInplaceReplace.INSTANCE.navigateValueSet(N,u,L,R,b)})}loadForeignModule(h,N,b){const r=(a,u)=>this.c.fhr(a,u),s={host:(0,v.createProxyObject)(b,r),getMirrorModels:()=>this.j()};return this.f?(this.g=this.f(s,N),Promise.resolve((0,v.getAllMethodNames)(this.g))):new Promise((a,u)=>{O([h],L=>{this.g=L.create(s,N),a((0,v.getAllMethodNames)(this.g))},u)})}fmr(h,N){if(!this.g||typeof this.g[h]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+h));try{return Promise.resolve(this.g[h].apply(this.g,N))}catch(b){return Promise.reject(b)}}}w.n=1e5,w.o=1e4,n.EditorSimpleWorker=w;function _(g){return new w(g,null)}n.create=_,typeof importScripts=="function"&&(globalThis.monaco=(0,p.createMonacoBaseAPI)())})}).call(this);

//# sourceMappingURL=../../../../min-maps/vs/base/worker/workerMain.js.map